Menu Dikat

1. Menu Dikat

Pro ovládání grafického systému Dikat slouží dvě hlavní menu:

  • upravené roletové menu systému MicroStation.
  • hlavní panel nástrojů, který je volně posunovatelný po celé ploše obrazovky.


Hlavní roletové menu

1.1 Hlavní roletové menu

Hlavní roletové menu systému Dikat je přidáno do roletového menu systému MicroStation jako třetí až osmá nabídka roletových menu MicroStation. Tabulky funkcí hlavního roletového menu a jejich podmenu jsou uvedeny dále.

1.1.1 Tabulka funkcí roletového menu DIKAT

Pro činnost | Použít volbu |  | Kap.
Vyvolání manažeru výkresů, rastrových souborů a chyb | Manažery | ? | 2
Vstupy dat do systému a výstupy dat ze systému | Vstup / Výstup | ? | 3
Informace o parcelách, vlastnících, BPEJ | Informace | ? | 4
Tvorba a editace prvků mapy, geodetické úlohy | Vedení DKM | ? | 5
Práce s rastrovými daty | Rastr | ? | 6
Nastavení parametrů MG, otevření hl. paletového rámu | Nástroje | ? | 7

Poznámka:

Symbol “? ” značí, že volby (např. RASTR) obsahují další podmenu, které je popsáno dále.

1.1.2 Tabulky funkcí podmenu roletového menu DIKAT

Podmenu 'Manažery' hl. roletového menu

Pro činnost | Použít volbu
Připojení, odpojení výkresů svazku | Výkresů
Připojení, odpojení přehledky a vlastních rastrových dat | Rastrových souborů
Zobrazení a lokalizace chybových elementů, vytvořených procesy kontrol | Chyb

Podmenu 'Vstup / Výstup' hl. roletového menu

Pro činnost | Použít volbu
Import bodů ze seznamu souřadnic do výkresu | Body do výkresu
Import bodů ze seznamu souřadnic do databáze bodů | Body do DB
Import dat výměnného formátu do systému DIKAT | Vstup z VKM
Export dat z výkresu do výměnného formátu | Výstup do VKM
Vytvoření a tisk výřezu mapy | Kopie KM
Vytvoření mapového listu, generování popisu, mapového listu a tisk KM | Mapový list
očíslování lomových bodů výkresu - nové | Přehled č.bodů-nově
očíslování lomových bodů výkresu – z PCB | Přehled č.bodů -z PCB
Vytvoření textových a grafických výstupních souborů z databáze bodů | Body z DB
Vypuštění dat z databáze bodů | Archiv DB

Podmenu 'Informace' hl. roletového menu

Pro činnost | Použít volbu
Výpočet obvodu, obsahu a počtu lomových bodů hranic plochy interaktivně i v dávce, vyhledání parcely | Výpočet plochy
Vyhledání parcely podle parcelního čísla | Vyhledání p.č.
Interaktivní získávání informací o parcele z mapy | Údaje o parcele
Interaktivní vyhledávání vlastníka a jeho parcel v mapě | Vlastnictví
Zjištění a zobrazení kladu mapového listu | Klad map. listů

Podmenu 'Vedení DKM' hl. roletového menu

Pr o činnost | Použít volbu
Tvorba nových elementů | Kreslení elementů
Změna atributů již existujících elementů | Změna elementů
Mazání elementů | Mazání elementů
Informace o elementech | Informace o elementech
Editace liniové kresby a textů mapy | Opravná editace
Zadávání polohy a spojování bodů uložených v PČB | Spojování bodů
Vstup bodu do výkresu z klávesnice | Vstup bodů
Výpočet vybraných geodetických úloh | Geodetické úlohy
Integrovaný systém Groma | Groma – geodet.úlohy
Transformace výkresu | Transformace
Změna platnosti bodu | Body - platnost
Sestavení GP a tvorba textových výstupů | Sestavení GP
Nástroj pro tvorbu ZPMZ a geometrického plánu | ZPMZ a GP
Rozdělení parcely na dvě části | Rozdělení plochy
Veškeré kontrolní funkce systému | Kontrolní funkce
Dávkový výpočet dílů BPEJ | Bonitář

Podmenu 'Rastr' hl. roletového menu

Pro činnost | Použít volbu
Nástroj pro práci s rasrtry | Image manager
Načtení rastrového souboru se zvolenými atributy | Načti rastr
Zavření všech připojených rastrových souborů | Zavři vše
Vyvolání editoru rastrových dat | Práce s rastry

Podmenu 'Nástroje' hl. roletového menu

Pro činnost | Použít volbu
Zapínání / vypínání tématického obsahu mapy | Parametry zobrazení
Zobrazení informací o číslech bodů na obrazovce | Zobrazení bodů
Zobrazení zvoleného textového souboru | Zobrazení textu
Nastavení aktivního měřítka pro zobrazení značek a textů | Měřítko výkresu
Vložení a editace položek řídicí databáze DIKAT “Project” | Projekt
Zobrazení zájmové oblasti ve zvoleném pohledu | Lupa
Zobrazení referenční příručky DIKAT | Nápověda
Zobrazení verze programu a dalších informací o něm | O programu
Otevření hlavního panelu nástrojů | Panel nástrojů


Hlavní panel nástrojů

1.2 Hlavní panel nástrojů

Hlavní panel nástrojů se zobrazí na obrazovce po volbě funkce “Nástroje – Panel nástrojů”. Menu je členěno podle technologických skupin.

Výběr prvků

Manažery

Informace

Rastry

Ohrada

Vstup / Výstup

Vedení DKM

Nástroje

Podmenu hlavního panelu nástrojů

Podmenu (panely nástrojů), která obsahují již konkrétní funkce, se dají z hlavního panelu nástrojů "vytrhnout". To se provede stisknutím tlačítka <DATA> na patřičné ikoně a se stále stisknutým tlačítkem se paleta posune do strany, až se objeví rámeček. Nyní je možno panel umístit na požadované místo a uvolnit tlačítko.

V další části příručky bude uveden popis jednotlivých funkcí systému DIKAT a způsoby jejich využití v tom pořadí, jak jsou uvedeny v hlavním roletovém menu.

Při popisu spouštění jednotlivých funkcí bude položen důraz na využití panelů nástrojů, jehož použití je uživatelsky příjemnější, s vědomím, že všechny funkce lze samozřejmě spouštět také
z roletového menu.


Manažery

2. Manažery

Menu 'Manažery' sdružuje manažery systému DIKAT. Menu obsahuje:

  • Manažer výkresů - připojení, odpojení výkresů svazku
  • Manažer rastrových souborů - připojení, odpojení přehledky a vlastních r astrových dat
  • Manažer chyb - zobrazení a lokalizace chybových elementů vytvořených procesy kontrol
  • Manažer podporuje jakékoliv názvy výkresů (část pře příponou), ale pro účely systému Dikat se doporučuje používat členění dat digitální mapy používané v oboru zeměměřictví a katastru. Jedná se zejména o územní členění podle katastrálních území a typové členění podle druhu mapy.
  • Členění do katastrálních území je realizováno pomocí kódů katastrálních území. Zkrácený kód k.ú., pomocí něhož lze rozlišit katastrální území v rámci jednoho okresu, má podobu tříznakového řetězce číslic, např. "002". Úplný kód k.ú. je zřetězením čtyřčíselného kódu okresu a zkráceného kódu k.ú., např. "3505002" pro kód okresu "3505" a zkrácený kód k.ú. 002. Pomocí úplného kódu k.ú. lze rozlišit katastrální území v rámci celého státu.
  • Členění jednotlivých typů je realizováno pomocí adresářové struktury. Například řetězec "BPJ" odpovídá typu bonitovaných půdně ekologických jednotek. Soubor odpovídající typu 'BPJ' je v adresáři ....\mapy\bpj\..


Manažer výkresů

2.1 Manažer výkresů

Manažer výkresů je dialogové okno pro práci se soubory v rámci jednoho katastrálního území. Jedná se zejména o připojování, odpojování a aktivování výkresových souborů. Jednotlivé položky v seznamu odpovídají jednotlivým typům souborů v rámci katastrálního území, které je určeno kódem zobrazeným nad seznamem.
Seznam obsahuje sloupec, zobrazující aktuální stav připojení souborů. Je-li soubor daného tématu připojen, je v seznamu označen symbolem "X". Aktivní soubor je označen červenou barvou. Nepřipojené soubory jsou neoznačeny.

Připojení či odpojení souboru se provádí kliknutím myši (stiskem <DATA>) v zaškrtávacím políčku. Aktivace souboru se provádí dvojím kliknutím myši na požadovaný soubor.


Menu výkres

2.1.1 Menu 'Výkres'

  • 'Vybrat z disku'

Položka otevře standardní dialogové okno MicroStation pro otevření výkresového souboru.

  • 'Vybrat z projektu'

Položka otevře dialogové okno obsahující všechny výkresy zapsané v projekt. Poklepáním na řádek v dialogu se provede aktivace tohoto souboru.

  • 'Vše připojit' – připojí všechny výkresy v rámci jednoho svazku.
  • 'Vše odpojit' – odpojí všechny referenční výkresy.
  • 'Zavřít' – zavře dialog Manažer výkresů.


Menu nástroje

2.1.2 Menu 'Nástroje'

  • 'Přizpůsobit pohled' – přizpůsobí rozpětí vybraného pohledu tak, aby se zobrazil veškerý obsah označeného výkresu.
  • 'Vytvořit nový soubor > vybraný' – vytvoří nový výkresový soubor v adresáři a typu, jež odpovídá označené položce v seznamu.
  • 'Vytvořit nový soubor > volitelně' – otevře dialogové okno Vytvořit výkres pro vytvoření nového výkresového souboru z daného jména ve vybraném adresáři.


Manažer rastrových souborů

2.2 Manažer rastrových souborů

Manažer umožňuje připojit k aktivnímu výkresu připravené klady mapových listů s jejich číselným označením a následně k nim připojit (zobrazit) existující rastrové soubory. Je nutné, aby atributy prvků kresby kladu mapových listů byly ve vektorových souborech standardně nastaveny a připojované rastrové soubory mapy byly natransformovány na příslušné klady mapových listů.

  • Klady mapových listů ve vektorové formě se předem připraví pro existující rastrové soubory (naskenované mapové listy) v rozsahu katastrálního území , a to zvlášť pro listy katastrálních map (S-JTSK, systém gusterbergský nebo svatoštěpánský), původních map bývalého pozemkového katastru, popřípadě listy dalších, zpravidla účelových map existujících v zájmovém úz e mí (tzv. obecný klad mapových listů). Pro každou ze tří mapových skupin, reprezentovaných v dialogovém okně Klady/Přehledy jedním tlačítkem ('KN', 'DPE', 'Obec'), je potřebné vytvořit (nakreslit) vektorový soubor stanoveného jména. Tento soubor musí obsahovat sít' kladu jednotlivých listů (přehledku) a jejich číselné označení (název souboru).
  • Umístění prvků v jednotlivých souborech je nutno dodržet takto:
Název souboru | Vrstva
KLAD_KN.dgn | 46
KLAD_DPE.dgn | 47
OBEC.dgn | 48
  • Nastavení ostatních atributů je ponecháno na úvaze uživatele.

    Tyto soubory obsahující klady listů je nutno uložit v adresáři [C:\DIKAT40\DATA]\MAPY\KLADY.

    Rastrové soubory jednotlivých mapových listů je nutno natransformovat na příslušné listy kladu mapových listů a uložit je do adresáře [C:\DIKAT40\DATA]\RASTRY.

    •

    Dialogové okno Manažer rastrových souborů obsahuje:

    • 'Klad' – položka pro 3 druhy funkce kladů mapových listů:
    • 'KN' ... přepínač pro klad listů map katastru nemovitostí,
    • 'DPE' ... přepínač pro klad listů map bývalého pozemkového katastru,
    • 'Obec' ... přepínač pro obecný klad mapových listů
    • 'Barva' ... tlačítko pro nastavení barvy připojovaného rastrového souboru.
    • 'Připoj' - tlačítko umožňuje ke zvolenému kladu mapových listů připojit vybraný mapový list v rastrové formě. Pro připojení je nutno v zobrazeném kladu identifikovat a potvrdit číslo (identifikátor) mapového listu.
    • 'Odpoj' - tlačítko pro odpojení rastrového souboru od kladu mapových listů. Po stisku se odpojí posledně připojený rastrový soubor, každým dalším stiskem tlačítka se odpojí předchozí soubor.
    • 'Vše' - tlačítko se použije společně s tlačítkem 'Odpoj' pro odpojení všech připojených rastrových souborů včetně kladů mapových listů i souborů připojených dialogovým oknem Manažer souborů.


Postup

Připojení rastrového souboru:

  1. Vyvolejte dialogové okno Manažer rastrových souborů.
  2. V dialogovém okně stiskem přepínače připojte požadovaný klad mapových listů.
  3. Stiskněte tlačítko 'Připoj' a umístěte kurzor na příslušný identifikátor – číslo vybraného mapového listu v kladu. Stiskněte tlačítko <DATA> a pokud identifikátor zešedne, potvrďte volbu dalším stiskem <DATA>. Tím je rastrový soubor připojen a zobrazí se na obrazovce
    ve všech zapnutých pohledech.

Odpojení kladu mapových listů:

  1. Pokud není zobrazeno dialogové okno Manažer rastrových souborů, vyvolejte jej.
  2. Odpojení kladu mapových listů se uskuteční vypnutím příslušného (zapnutého) přepínače v dialogovém okně.

Odpojení rastrového souboru:

  1. Odpojení posledně připojeného rastrového souboru se provede stiskem tlačítka 'Odpoj'.


Manažer chyb

2.3 Manažer chyb

Funkce Manažer chyb slouží k manipulaci s chybovými elementy vytvořenými během kteréhokoliv kontrolního procesu (např. Kontrola liniové kresby). Tvar chybového elementu určuje typ chyby na který element ukazuje.

Pomocí manažeru chybových elementů lze optimálně zobrazit místa chyb a smazat již nepotřebné chybové elementy. Dialogové okno Manažer chyb obsahuje dvě karty: pro vykonávání povelů a pro nastavení.


Karta zobrazení

2.3.1 Karta 'Zobrazení' dialogového okna Manažer chyb:

Položky dialogového okna pro vykonávání povelů jsou:

  • 'Chyba' – popis chyby a statistika
  • '|<', '<', '>', '>|.' - listovací tlačítka pro zobrazení chybových elementů v detailu. V dialogovém okně se přitom objevuje kód a popis chyby. Při modifikaci (smazání) chybových elementů jinak než prostřednictvím manažeru chyb se doporučuje po každé takové modifikaci použít tlačítko'První' nebo 'Posl.'.
  • 'Informace > prvek' – popis chyby dle identifikace chybové značky ve výkresu.
  • 'Mazání chyb'
  • 'Aktivní' - funkce pro smazání aktivního chybového elementu.
  • 'Vše' - funkce pro smazání všech chybových elementů.


Postup

  • Základní použití manažeru chyb:
  1. Spusťte nějaký kontrolní proces, který vytvoří chybové elementy.
  2. Stiskněte tlačítko '|<' pro přesun na první chybový element a zobrazení statistiky.
  3. Zobrazujte místa chyb v detailu pomocí listovacích tlačítek.
  4. Jestliže chyby ve výkresu zároveň opravujete, zrušte vždy po opravě chybový element tlačítkem 'Aktivní'.


Karta parametry

2.3.2 Karta 'Parametry' dialogového okna Manažer chyb:

Položky dialogového okna v podobě pro nastavení jsou:

  • 'Vyhledávání chyb z kontroly' - určuje rozsah vyhledávaných chybových elementů dle druhu kontroly:
  • 'elementy' – kontrola rozpoznatelnosti elementů
  • 'kresby' – kontrola kresby
  • 'oblouky' – kontrola oblouků a kružnic
  • 'plochy' – kontrola ploch
  • 'k.ú.' – systémová kontrola k.ú.
  • 'DKM <=> DB bodů' – kontrola DKM <=> DB body
  • 'DKM <=> SPI' – kontrola DKM <=> SPI
  • 'Vše' – Označí všechny volby
  • 'Nic' – Odznačí všechny volby
  • 'Pohled:' - pohled pro zobrazování detailu kolem chybových elementů.
  • 'Zvětšení' - měřítko zvětšení chybových elementů při zobrazení v detailu.


Vstup - Výstup

3. Vstup / Výstup

Menu umožňuje otevřít:

  • Body do výkresu - import bodů ze seznamu souřadnic do výkresu
  • Body do DB - import bodů ze seznamu souřadnic do databáze bodů
  • Vstup z VKM - import dat výměnného formátu do systému DIKAT
  • Výstup do VKM - export dat z vý kresu do výměnného formátu
  • Kopie KM - vytvoření a tisk výřezu mapy
  • Mapový list - vytvoření map. listu, gener. popisu, map. rámu a tisk KM
  • Přehled č. bodů-nově - nové očíslování lomových bodů - nové
  • Přehled č. bodů-z PCB - nové očíslování lomových bodů – z PCB
  • Body z DB - vytvoření text. a graf. výst. soub. z databáze bodů
  • Archiv DB - vypuštění dat z databáze bodů


Body do výkresu

3.1 Body do výkresu

Funkce Body do výkresu slouží k importu bodů ze seznamu souřadnic do aktivního výkresu. Načtený bod je fyzicky zapsán do souboru a prezentován v aktivním výkresu tečkou v příslušných souřadnicích. K "tečce" jsou připojeny informace o číslu k.ú. společně s číslem ZPMZ a číslem bodu. Tyto informace mohou být zobrazeny pomocí Zobrazení bodů.

Po vyvolání funkce se zobrazí dialogové okno:

  • Jméno importovaného souboru lze zadat dvojím způsobem:
  • do řádku 'Jméno souboru:' se zapíše plná cesta se jménem souboru,
  • v menu 'Nastavení' se vybere příkaz 'Otevřít soubory' a po otevření dialogového okna
    Seznam souborů se vybere příslušný soubor (zobrazí se do řádku 'Jméno souboru:'). Podle nastaveného typu souboru se otevírá příslušná maska v dialogovém okně. Po zadání jména souboru stiskem tlačítka 'Import' se provede načtení bodů.
  • 'Typ souboru:' - volba, kterou se nastavuje formát importovaného souboru souřadnic. Importovat lze dva typy souborů:
  • 'txt' ... nastavení pro textový soubor libovolného formátu "*.txt" (typ formátu se nastavuje viz dále menu 'Nastavení' > 'Formát'),
  • 'geus' ... nastavení pro datové soubory GEUSu "*.dat".
  • 'Import' - tlačítko, které slouží pro načtení ("bodů") souboru zvoleného typu do DKM.


Menu Nastavení

3.1.1 Menu 'Nastavení'

3.1.1.1 Výběr

Volba 'Výběr' ('Body do výkresu' > 'Nastavení') otevírá dialogové okno Výběr.

V dialogovém okně lze nastavit tyto parametry:

  • 'Bod min:' - vstupní pole pro nastavení minimálního čísla bodu, od kterého se bude provádět výběr (0),
  • 'Bod max:' - vstupní pole pro nastavení maximálního čísla bodu, do kterého se bude provádět výběr (999999999999) (12 míst),
  • 'Ymin:' - vstupní pole pro nastavení minimální Y souřadnice, od které se bude provádět výběr,
  • 'Xmin:' - vstupní pole pro nastavení minimální X souřadnice, od které se bude provádět výběr,
  • 'Ymax:' - vstupní pole pro nastavení maximální Y souřadnice, do které se bude provádět výběr,
  • 'Xmax:' - vstupní pole pro nastavení maximální X souřadnice, do které se bude provádět výběr.

Parametry a hodnoty výběru jsou nastaveny tak, že jejich nastavení není obvykle nutno měnit.

3.1.1.2 Formát a jeho definice

Pokud se načítají textové soubory, je třeba zvolit správný formát pro načítání. Formát souboru se volí v dialogovém okně Formát souřadnic, které lze otevřít z menu dialogového okna Body do výkresu menu 'Nastavení' > 'Formát'.

V dialogovém okně Formát souřadnic lze zvolit z již vytvořených formátů, nebo vytvářet nové formáty dle požadavků:

  • 'Název formátu:' - vstupní textové pole se jménem formátu,
  • 'Předpis formátu:' - vstupní textové pole se strukturou požadovaného formátu,
  • "Výběr z nadefinovaných formátů" - listovací pole, ve kterém lze pomocí myši zvolit požadovaný formát,
  • 'Ch. kv.' – pole pro zadání kódu charakteristiky kvality pro formát, ve kterém se tento kód nenačítá ze souboru,
  • 'Volný formát' - přepínač pro volbu formátu pevné/ volné délky věty,
  • 'Uložit' - tlačítko, které slouží pro přidání nové definice formátu do výběru formátů,
  • 'Smazat' - tlačítko, které slouží pro zrušení definice formátu, který je zvýrazněn ve "Výběru z nadefinovaných formátů".

Pokud není žádný formát definován, použije se volný formát : <NUM> <Y> <X> <Z> <CODE>.

Předpis formátu může obsahovat tyto položky:

  • <NUM> - úplné číslo bodu,
  • <Y> - souřadnice Y,
  • <X> -souřadnice X,
  • <Z> - souřadnice Z,
  • <CODE> - třída přesnosti,
  • libovolný znak - pro oddělení jednotlivých položek ve větě.

Formát definovaný pomocí těchto položek bude vypadat např.:

Definice formátu <NUM> <Y> <X>

slouží pro načtení volného formátu - prvé tři sloupce

1000001432 675555.23 1023654.45 000.00 3

Definice formátu <NUM> : <Y> : <X>

slouží pro načtení volného formátu - prvé tři sloupce oddělené ":"

1000001432 : 675555.23 :1023654.45 : 000.00 :3

Definice formátu <NUM> <Y:9:2> <X:10:2> <Z:6:2> <CODE>

slouží pro načtení pevného formátu

1000001432 675555.23 1023654.45 403.78 3

Veškerá nastavení se ukládají do souboru "fileimrs.rsc", který je uložen podle nastavené systémové proměnné "MG_RSC" v daném adresáři.


Body do databáze bodů

3.2 Body do databáze bodů

Funkce Body do databáze bodů slouží pro import bodů ze seznamu souřadnic bodů v textovém tvaru (stanoveného formátu) do databáze bodů.

Formát je stanoven takto:

úplné_číslo_bodu souřadnice_Y X Z charakteristika_kvality_bodu souřadnice_my mx

Příklad:

770000600007 150446.16 –256596.29 0.00 6

770002220001 150596.35 –256528.78 0.00 3 691059.55 978726.21

Podmínkou je, aby v seznamu souřadnic bodů nebyly nulové údaje pro:

  • číslo ZPMZ,
  • vlastní číslo bodu,
  • souřadnice Y,X ,
  • charakteristiku kvality.

Vyplnění položek úplné_číslo_bodu, souřadnice_Y X Z a charakteristika_kvality_bodu je povinné, při neznámé výšce bodu píšeme 0.00. Položky my a mx povinné nejsou. Funkce slouží jak pro prvotní naplnění, tak i pro doplňování nových bodů do seznamu souřadnic v databázovém tvaru. Funkce naplní databázi bodů podle čísla (kódu katastrálního území) aktivního výkresu. Je nutno dát pozor, aby uživatel nenaplnil omylem "špatnou" databázi.

Proces probíhá v těchto etapách:

  • načítání vstupního souboru,
  • indexování pole souřadnic,
  • kontrola vstupního souboru proti sobě,
  • indexování databáze,
  • kontrola vstupního souboru proti databázi.

Po spuštění se zobrazí dialogové okno Body do DB.

Okno obsahuje položky:

  • 'Vstupní soubor' - pole pro zadání jména vstupního souboru jeho napsáním. Lze zadat rovněž pomocí dialogového okna po stisku tlačítka 'Vyber...'.
  • 'Výstupní chybový soubor' - pole pro zadání jména výstupního chybového souboru. Lze nastavit rovněž pomocí dialogového okna po stisku tlačítka 'Vyber...'.

V dialogovém okně Body do DB se nastavují přepínače:

  • 'Načíst body my, mx' - je-li přepínač zapnut, není načítání bodů, které jsou již v databázi (“duplicitní bod”), ukončeno, ale jsou pouze aktualizovány pomocné (měřené) souřadnice mx a my. S ostatními body se pracuje normálně. Souřadnice mx a my u bodů, které v databázi nejsou, jsou načteny a uloženy do databáze bez ohledu na stav přepínače.
  • 'Stejné body nezahrnout' - je-li přepínač zapnut, pak při načítání bodů budou vstupní body, které mají číslo shodné s bodem v DB, z dalšího zpracování vypuštěny, tzn. není již prováděna žádná další kontrola, např. kontrola souřadnic bodů. Při zapnutí této volby ztratí význam zapnutí přepínače 'Duplicita' (nemá vliv). Tento přepínač nemá vliv na kontrolu vstupního souboru proti sobě,
  • 'Tolerance' - je-li přepínač zapnut, pak je kontrolována nebezpečná blízkost bodů (tolerance) "0.14 m. Není-li zapnut, jsou body kontrolovány pouze na totožné souřadnice. Tento přepínač ovlivňuje oba kontrolní procesy (vstupní soubor proti sobě i vstupní soubor proti databázi),
  • 'Duplicita' - je-li přepínač zapnut, pak je kontrolována duplicita bodů. Soubor se kontroluje na jednoznačná úplná čísla bodů, tzn. body se stejným číslem jsou označeny jako chybné. Tento přepínač ovlivňuje oba kontrolní procesy (vstupní soubor proti sobě i vstupní soubor proti databázi).
  • 'Proveď - tlačítkem se spouští načítání vstupního souboru a příslušné kontroly. Při nalezení chyby je načítání ukončeno. Zjištěné chyby jsou zapsány do výstupního chybového souboru.
  • 'Konec' - tlačítkem se uzavře dialogové okno Body do DB a funkce ukončí.


Postup

  • Načtení bodů do databáze bodů:
  1. Stiskněte tlačítko 'Vyber...' ve skupině 'Vstupní soubor'. V dialogovém okně zadejte jméno vstupního textového souboru.
  2. Stiskněte tlačítko 'Vyber...' ve skupině 'Výstupní soubor'. V dialogovém okně můžete změnit nabízené jméno výstupního textového souboru. Pokud souhlasíte s názvem nabízeného výstupního souboru, nemusíte nic měnit.
  3. Ve skupině 'Kontrola' zvolte (nastavte) požadované kontroly.
  4. Načítání spusťte tlačítkem 'Proveď. Proces probíhá v několika etapách a jeho průběh je zobrazován v dialogovém okně Body do DB modrou barvou, spotřebovaný čas se zobrazuje v příkazovém okně MicroStation vlevo.
  5. První etapou procesu je indexování databáze. Pokud jsou ve vstupním souboru 10místná čísla bodů, otevře se dialogové okno Převod PORCIS. V dialogovém okně se zobrazí seznam dvojic pořadových čísel k.ú. a pokud je třeba číslo k.ú. změnit, vyberte kurzorem příslušný řádek s dvojicí a v poli 'Nový kód' zadejte nový kód k.ú. Tlačítkem 'OK' spustíte pokračování procesu, který z 10místných čísel vytvoří čísla 12místná a zahájí načítání a kontrolu bodů.

  • Výsledek kontroly:

a) Při bezchybném průběhu se zobrazí informační okno s hlášením, že předepsané kontroly proběhly v pořádku. Naplnění databáze se potvrdí tlačítkem 'Ano'.

b) Pokud kontrola neproběhla úspěšně, program vytvoří tři soubory: v prvním jsou zahrnuty body schopné dalšího načtení (soubor "*.o00" až "*.onn"), v druhém jsou body nesplňující kritéria kontroly (soubor "*.b00" až "*.bnn"), ve třetím souboru ("*.enn") jsou textové informace o bodech, které nesplnily kritéria kontroly.

Po stisku tlačítka 'OK' se v dialogovém okně Body do DB automaticky nastaví nový soubor bodů (soubor "*.onn"), které mohou být načteny do databáze. Funkce se znovu spustí tlačítkem 'Proveď.


Vstup z VKM

3.3 Vstup z VKM

Funkce Výměnný formát do výkresu DGN slouží ke konverzi dat z výměnného formátu DKM (viz Struktura a výměnný formát DKM, KMD, SPI katastru nemovitostí ČR a dat BPEJ verze 1.3 ze dne 24.11. 1999, č.j.5270/1999-22 , dále jen VKM) do systému DIKAT.


Postup

  • Postup při konverzi dat výměnného formátu DKM
    do systému DIKAT:

  1. Po spuštění funkce 'DKM do výkresu' se zobrazí standardní dialogové okno Vstupní soubor. Zadejte název vstupního souboru (např. "[c:\dikat\data]\in\vkm\
    3505003.vkm").
  2. Po potvrzení tlačítkem 'OK' se zobrazí další dialogové okno Výstupní soubor, ve kterém podle potřeby můžete upravit název nabízeného výstupního souboru včetně jeho umístění do adresáře (např. "[c:\dikat\data]\ mapy\ dkm\3505003a"). Tlačítko 'Změnit' umožňuje změnu zakládacího výkresu.
  3. Po stisku tlačítka 'OK' proběhne proces konverze dat všech elementů výměnného formátu DKM do systému DIKAT.
  4. Na případné chyby, které se vyskytly během konverze, upozorní dialogové okno Při převodu se vyskytly chyby! s názvem souboru, ve kterém je uložen protokol o převodu. Soubor je uložen v adresáři ("[c:\dikat\data]\out\report\").

  5. Konvertovaný soubor "*.dkm" je uložen ve výstupním souboru označeném v bodě 2.
  6. Při konverzi je současně vytvářen textový soubor seznamu souřadnic bodů (např. "[c:\dikat\data]\in\body\3505003.txt"). Tento seznam je připraven pro načtení do databáze seznamu souřadnic pomocí funkce Body do DB, 'Vstup'.


Výstup do VKM

3.4 Výstup do VKM

Funkce Výstup do VKM slouží pro výstup dat ze systému DIKAT do výměnného formátu DKM (soubory "*.vkm").

Funkce umožňuje tyto režimy výstupu:

  • 'běžný',
  • 'DKM',
  • 'GP',
  • 'BPEJ'.

Volbou druhu režimu se nastaví specifické parametry pro soubor "*.vkm", tj. zpřístupní se ovladače pro nastavení uživatelem.


Režim výstupu běžný

3.4.1 Režim výstupu 'běžný'

Před spuštěním aplikace v tomto režimu je nutné provést výběr elementů určených k výstupu do souboru *.vkm. Výběr elementů je prováděn funkcí MicroStation Vybrat prvek - šipka (Hlavní panel nástrojů ), výběr parcel je prováděn funkcí Vybrání elementů plošného objektu. Jsou zpracovávány vybrané elementy z připojených referenčních souborů, kterým nebyl přiřazen atribut "ke zrušení".

Po spuštění se zobrazí dialogové okno:

  • 'Režim převodu' - specificky upravuje podmínky daného režimu převodu dat.
  • 'Přesnost čísel bodů' – použití 10-ti 12-ti místného čísla bodu
  • 'Měřítko' – měřítko výstupního souboru "*.vkm"
  • 'Změna souboru' - výběr výstupního souboru
  • 'O.K.' - spuštění procesu
  • 'Storno' - ukončení procesu a zavření dialogového okna


Postup

  • Postup použití aplikace v režimu 'běžný':
  1. Otevřete soubor typu "dgn".
  2. Připojte referenčně soubory, jejichž data chcete exportovat do "*.vkm".
  3. Proveďte lokalizaci elementů výběrem, použijte funkci z Hlavního panelu nástrojů Vybrat prvek (šipka). (Pro výběr parcel použijte funkce 'Vybrání elementů plošného objektu').
    Na místě bez kresby stiskněte a držte stisknuto tlačítko <DATA>, pohybem kurzoru po úhlopříčce umístěte ohradu pro vybrání elementů. Po uvolnění stisku tlačítka jsou vybrané elementy označeny. (Označení elementů lze zrušit dalším stiskem tlačítk    a <DATA>).
  4. Spusťte aplikaci DKM do výměnného formátu a nastavte 'Režim převodu' na 'běžný'.
  5. Zkontrolujte vytvoření příslušného "*,vkm" souboru v adresáři
    "[C:\DIKAT\DATA]\OUT\VKM". Souběžně je v adresáři
    "[C:\DIKAT\DATA]\OUT\REPORT" vytvářen protokol o převodu "*.pto".


Režim výstupu DKM

3.4.2 Režim výstupu 'DKM'

V tomto režimu je lokalizace výběru elementů implicitně přednastavená na celý výkres typu 'DKM'. Jsou zpracovávány elementy, kterým nebyl přiřazen atribut 'ke zrušení'.

Po spuštění se zobrazí dialogové okno:

V režimu 'DKM' jsou implicitně přednastaveny tyto parametry:

  • 'Jméno výstupního souboru' ... "kyyyxxx.vkm"
  • 'Číslování bodů' - 12-ti místné
  • 'Měřítko' - přebírá se ze souboru 'DKM'


Postup

  • Postup použití aplikace v režimu 'DKM':
  1. Otevřete soubor typu "dkm".
  2. Zvolte režim procesu 'DKM'.
  3. Spusťte aplikaci.
  4. Zkontrolujte vytvoření příslušného "*.vkm" souboru v adresáři
    "[C:\DIKAT\DATA]\OUT\VKM".


Režim výstupu GP

3.4.3 Režim výstupu 'GP'.

V tomto režimu je lokalizace výběru elementů implicitně přednastavená na celý výkres typu 'GP'. Jsou zpracovány všechny elementy mající atribut 'ZPMZ' různý od nuly. Podporován je také atribut elementů 'ke zrušení'.

V režimu 'GP' jsou implicitně přednastaveny tyto parametry:

  • 'Jméno výstupního souboru' ... "pyyyxxx.vkm",
  • 'Číslování bodů' ... 12-ti místné,
  • 'Měřítko' ... přebírá se ze souboru 'GP'

Dialogové okno Výstup do výměnného formátu VKM obsahuje:

  • '2. souř. v místní soustavě' - přepínač pro zápis informace o tom, že druhé souřadnice daného souboru typu 'GP' jsou v místní soustavě. Tato informace se zapisuje do hlavičky výstup. souboru "*.vkm". Poloha přepínače 'OFF' znamená, že souřadnice jsou v systému JTSK.
  • 'GP v obecné místní soustavě' - je-li přepínač zapnut, uloží se do hlavičky výměnného formátu informace, že GP je zaměřen v obecné místní soustavě a nikoliv v souřadnicovém systému, který je uveden v projektu.


Postup

  • Postup použití aplikace v režimu 'GP':
  1. Otevřete soubor typu "gp".
  2. Zvolte režim procesu 'GP'.
  3. Spusťte aplikaci.
  4. Zkontrolujte vytvoření příslušného "*.vkm" souboru v adresáři
    "[C:\DIKAT\DATA]\OUT\VKM".


Režim výstupu BPEJ

3.4.4 Režim výstupu 'BPEJ'.

V tomto režimu je lokalizace výběru elementů implicitně přednastavená na celý výkres typu ‘BPEJ’. Jsou zpracovány všechny elementy, které odpovídají následující struktuře:

 | LINIE | Level | Color | Weight | Style
1. | Linie BPEJ | 52 | 2 | 5 | 0
 | TEXT | Level | Color | Weight | Style | Font | Height (mm)
2. | Kód BPEJ | 53 | 2 | 3 | 0 | 0 | 2 500
3. | kód nebonit. plochy | 53 | 4 | 3 | 0 | 0 | 2 500

V režimu ‘BPEJ’ je implicitně přednastaven parametr:

  • ‘Jméno výstupního souboru‘ ... dle stavu přepínače ‚Název souboru Bnnnnn’
  • ’Měřítko‘ ... přebírá se ze souboru ‘BPEJ’
  • u souborů ‘BPEJ‘ nejsou používána čísla bodů, proto se ‘Přesnost čísel bodů’nenastavuje.

Po spuštění se zobrazí dialogové okno:

  • ‘Název souboru Bnnnnn‘ – přepínač pro výběr tvaru jména výstupního souboru. Číslo nnnnn vzniká ubráním poslední cifry čísla ‘IdentČís‘ ze souboru project.dbf. Tato informace se zapisuje do hlavičky výstup. souboru “*.vkm” a zároveň je i názvem tohoto souboru. Je-li přepínač zapnut, znamená to, že se soubor uloží ve formátu ”byyyxxx.vkm”.


Postup

  • Postup použití aplikace v režimu ‘BPEJ’ :
  1. Otevřete soubor typu “bpj”.
  2. Zvolte režim procesu ‘BPEJ’ .
  3. Spusťte aplikaci.
  4. Zkontrolujte vytvoření příslušného “*.vkm” souboru v adresáři “[C:\DIKAT\DATA]\OUT\VKM”.


Kopie katastrální mapy

3.5 Kopie katastrální mapy

Funkce “Kopie KM” slouží pro vytvoření a tisk kopie katastrální mapy na výstupním zařízení. Při používání této funkce je potřebné mít připojen adresář s databázemi..

V dialogovém okně Kopie katastrální mapy lze nastavit:

  • 'Nastavení' - skupina voleb pro varianty kopie.
  • 'Měřítko výstup' - požadované výstupní měřítko kopie katastrální mapy ('500', '1000', '2000', '2880', '2880G', '2880S').
  • 'Měřítko vstup' - vztažné měřítko výkresu, ze kterého se tvoří výstup ('500', '1000', '2000', '2880', '2880G', '2880S').
  • Poznámka: u výstupu ze souřadnicového systému gusterbergského nebo svatoštěpánského je nutné položky vstup i výstup vyplnit shodně '2880G' nebo '2880S'.
  • 'Roz:' - rozměr výstupního formátu (A4 nebo A3).
  • 'Raz.' - přepínač určuje, zda bude výstup proveden s popisovým polem.
  • '90°' - přepínač určuje, zda bude výstup pootočen o 90°.
  • 'Soubor' - název souboru, do kterého se funkce vrátí po stisku tlačítka 'Výkres'.
  • 'Zobraz' - tlačítko, které slouží pro vygenerování souboru pro tisk. Funkce pro dané měřítko "vyřízne" z grafického souboru DKM zvolenou oblast ve formátu A4 nebo A3 do pracovního souboru a tento soubor přepracuje pro zobrazení dle vyhlášky č. 190/1996 Sb., ve znění vyhlášky č.179/1998 Sb.
  • 'Výkres' - tlačítko, které slouží pro návrat do souboru, jehož jméno je uvedeno v položce dialogového okna 'Soubor'. Jméno souboru je automaticky vyplněno jménem souboru, ze kterého se kopie tvořila.
  • 'Zrušit' - tlačítko, které slouží pro zavření dialogového okna Kopie katastrální mapy.
  • 'Tisk' – tlačítko slouží pro rychlý tisk na systémovou tiskárnu. Základní nastavení tisku (rozměr, rotace, ..) se nastaví dle hodnot v dialogovém okně Kopie katastrální mapy, ostatní nastavení se ponechají ze systémových nastavení Microstationu (okno Tisk).
  • 'Tisk okno' – při zaškrtnutí se při stisku tlačítka 'Tisk' zobrazí okno Tisk.
  • Při tisku Kopie KM je nutné zkontrolovat, zda je nastaveno správné měřítko tisku. Pokud nemůžete nastavit požadované měřítko, ale pouze menší, musíte změnit hodnoty rozměru stránky v souborech a4.asc a a3.asc v [c:\dikat\]system\plotcfg\ dle velikosti tisknutelné plochy vaší tisk árny.


Postup

  • Tvorba souboru "Kopie katastrální mapy" v normalizovaném zobrazení:
  1. Stiskněte tlačítko 'Zobraz'.
  2. Stiskem tlačítka <DATA> umístěte rám (ohradu) "Kopie KM".
  3. Druhým stiskem <DATA> spusťte proces tvorby souboru. Vyčkejte, než se na obrazovce vytvoří výkres "snímek.dgn" a provede se normované zobrazení.
  • Tvorba souboru "Kopie KM s čísly podrobných bodů DB":
  1. Připojte soubor s PČB.
  2. Umístěte ohradu okolo zájmové oblasti.
  3. Funkcí Body z DB vytvořte textový soubor seznamu souřadnic.
  4. Otevřete dialogové okno Kopie katastrální mapy. Stiskněte tlačítko 'Zobraz'.
  5. Stiskem tlačítka <DATA> umístěte rám kopie katastrální mapy.
  6. Druhým stiskem <DATA> spusťte proces tvorby souboru. Vyčkejte, než se na obrazovce vytvoří výkres "snímek.dgn" a provede se normované zobrazení.
  7. Funkcí Přehled čísel bodů uložte do souboru čísla v požadovaném rozsahu.
  • Tvorba dvou výstupů "Kopie KM" a "Kopie KM s čísly podrobných bodů DB" z téhož prostoru:
  1. Připojte soubor s PČB.
  2. Vytvořte "Kopii KM" (soubor "snimek.dgn").
  3. Ve funkci Parametry zobrazení vypněte přepínač 'Separované body'. Stiskem 'Aplikuj' vypnete zobrazení bodů.
  4. Vytiskněte "Kopii KM".
  5. Ve funkci Parametry zobrazení zapněte přepínač 'Separované body'. Stiskem 'Aplikuj' zapnete zobrazení bodů.
  6. Funkcí Přehled čísel bodů uložte čísla do souboru.
  • Tisk vytvořeného výkresu snimek.dgn:
  1. Stiskněte tlačítko 'Tisk'.
  2. Pokud si chcete tiskový výstup nejdříve prohlédnout, nebo měnit některá nastavení zaškrtněte 'Tisk okno' a potom teprve stiskněte tlačítko 'Tisk'.
  3. Informace o způsobu tisku v prostředí Windows je uvedena v příloze “A”.


Mapový list

3.6 Mapový list

  • Tato funkce není součástí systému Dikat pro MicroStation GeoOutlook.

Funkce Mapový list slouží pro generování kresby a popisu mapového listu, včetně mapového rámu, údajů a průsečíků souřadnicové sítě.

  • Při tvorbě mapového listu je možno u parcel dělených rámem mapového listu doplnit chybějící parcelní číslo. V tom případě je nutno pracovat v prázdném aktivním výkresu “DGN”.

Dialogové okno Mapový list obsahuje:

  • 'Síť' - přepínač pro generování průsečíků souřadnicové sítě,
  • 'Rám' - přepínač pro generování mapového rámu,
  • 'Popis' - přepínač pro generování mimorámových údajů.
  • 'List' - tlačítko, které slouží pro vygenerování mapového listu včetně průsečíků souřadnicové sítě, mapového rámu, resp. mimorámových údajů (podle nastavených přepínačů) do pracovního souboru. Funkce pro dané měřítko "vyřízne" z mapy oblast (dle zvoleného měřítka mapového listu) do pracovního souboru a tento soubor přepracuje pro zobrazení dle Vyhlášky č.190/1996 Sb.
  • 'Síť' - tlačítko, které umožňuje uložit souřadnice u zvolených průsečíků souřadnicové sítě.
  • 'Výkres' - tlačítko, které slouží pro návrat do souboru, ze kterého se mapový list tvořil a jehož jméno je uvedeno v dialogovém okně, položka 'Soubor'. Jméno souboru se vyplňuje automaticky.
  • 'Zrušit' - tlačítko, které slouží pro zavření dialogového okna.


Menu nastavení

3.6.1 Menu 'Nastavení'

3.6.1.1. Parametry

Hodnoty parametrů se nastaví v dialogovém okně Parametry:

  • 'Barva rám:' - nastavení barvy pro generovaný mapový rám,
  • 'Barva síť:' - nastavení barvy pro generované průsečíky souřadnicové sítě,
  • 'Barva popis:' - nastavení barvy pro generované mimorámové údaje,
  • 'Vrstva rám:' - nastavení vrstvy, do které bude mapový rám generován,
  • 'Vrstva síť:' - nastavení vrstvy, do které budou průsečíky souřadnicové sítě generovány,
  • 'Vrstva popis:' - nastavení vrstvy, do které budou mimorámové údaje generovány,
  • 'Měřítko vstup:' - nastavení měřítka, ve kterém je grafický soubor DKM vytvořen,
  • 'Měřítko výstup:' - nastavení měřítka, do kterého se přepočítá velikost značek a popisů,
  • 'Slučka' - pokud je přepínač zapnut, je na "silné" prvky vnitřní kresby přidána slučka,
  • 'Edit. PC' -pokud je přepínač zapnut, je možno doeditovat parcelní čísla (viz 'Výstup' >
    'Mapový list' > Editace parcelních čísel). Jestliže lokalizovaný mapový list neobsahuje žádné parcelní číslo, funkci 'Edit. PC' nelze použít,
  • 'Výkres' - přepínač k nastavení jednotlivých listů nebo celého výkresu pro uložení do nového souboru. Pokud je přepínač 'Výkres' zapnut, provede se zpracování pouze jednoho mapového listu, pokud je vypnut, provede se zpracování celého výkresu najednou,
  • 'Mód' - přepínač pro změnu zobrazení elementů podle vyhlášky. Pokud je přepínač vypnut, je vygenerován mapový list ve struktuře DIKAT,
  • 'Barva' - pokud je přepínač zapnut, mění se zobrazení elementů na zobrazení černobílé,
  • 'Síla' - pokud je přepínač zapnut, nastaví se síla čáry na nejmenší hodnotu.
  • Poměrem Měřítko vstup / Měřítko výstup se překreslují texty a značky na výstupu. U map
    S-JTSK se měřítko výstup rovněž používá pro určení velikosti výřezu.

3.6.1.2 Popis

Vyplnění a nastavení textových mimorámových údajů lze provést z menu 'Nastavení' položkou 'Popis'. Tento příkaz otevře dialogové okno Mimorámové údaje. Položka 'Systém' tohoto dialogového okna umožňuje volbu souřadnicového systému

  • 'JTSK' ... pro systém S - JTSK,
  • '2880G' ... pro systém Gusterbergský,
  • '2880S' ... pro systém Sv. Štěpánský.

Dialogové okno Mimorámové údaje při nastavení volby 'Systém' na 'JTSK':

V dialogovém okně se vyplňuje v textovém poli u položky

  • 'Obec, katastrální území' – jméno obce (obcí) a katastrálního (-ních) území.
  • 'Mapoval v roce ' - jméno původního zhotovitele mapy a rok mapování.
  • 'Mapa obnovena v digitální formě v roce' - rok obnovy.
  • 'Kopii mapy zhotovil dne:' – datum zhotovení kopie.
  • '© Český úřad zeměměřický a katastrální' – letopočet souhlasný s rokem obnovy.

Při nastavení volby 'Systém' v dialogovém okně Mimorámové údaje na '2880G' nebo na '2880S' je vyplnění textových polí u položek stejné s tím, že položka 'Mapoval v roce ' zde není.

Zbývající mimorámové údaje na kopii ( název a označení mapového listu, údaje o souřadnicovém systému, měřítko, okres, jméno katastrálního úřadu, který vyhotovil kopii atd.) jsou automatizovaně přebírány z konfiguračních souborů.

3.6.1.3 Editace parcelních čísel

Úpravu parcelních čísel, které byly doplněny automatizovaně volbou 'Edit PC' dialogového okna Parametry, lze lokalizovat a upravit pomocí dialogového okna Doplnění parcelních čísel.

Dialogové okno obsahuje tyto položky:

  • 'Seznam' - tlačítko, které slouží pro načtení seznamu doplněných čísel (uložených ve vrstvách 61 a 63). Čísla jsou načtena do výběrového pole,
  • 'Konec' - tlačítko, které uzavře dialogové okno,
  • (Listovací pole) - pole, které je rozděleno do tří sloupců,
  • 'pořadové číslo' - pořadové číslo doplněného parcelního čísla,
  • 'parcela' - parcelní číslo. Pokud je ve sloupci text "A - n", značí to, že funkce nebyla schopna automatizovaně parcelní číslo dohledat a umístit,
  • 'inform.' - charakteristika udávající, zda číslo bylo doplněno programem nebo změněno uživatelem,
  • 'Poloha' - skupina tlačítek pro zobrazení doplněných parcelních čísel,
  • 'První' - tlačítko, které umožňuje zobrazení prvního čísla v pořadí,
  • 'Předešlé' - tlačítko, které umožňuje zobrazení předchozího čísla (krok zpět),
  • 'Vybrané' - tlačítko, které umožňuje zobrazení zvýrazněného čísla v seznamu,
  • 'Další' - tlačítko, které umožňuje zobrazení následujících čísel seznamu (krok vpřed),
  • 'Zrušit' - tlačítko, které slouží pro vypuštění zvýrazněného čísla ze seznamu i výkresu,
  • 'Čís. parcely' - textové pole, ve kterém lze editovat vybrané parcelní číslo,
  • 'Změna' - tlačítko, kterým lze změněné číslo uložit do výkresu.


Postup

  • Kontrola umístěných čísel:
  1. Pokud je mapový list vygenerován, volbou 'Nastavení', 'Editace parcelních čísel' zobrazíte dialogové okno Doplnění parcelních čísel.
  2. Tlačítkem 'Seznam' načtěte doplněná parcelní čísla.
  3. V libovolném pohledu (např. 2) si zobrazte nějaké parcelní číslo v čitelné velikosti.
  4. Stiskněte tlačítko 'Další' a <DATA> v pohledu 2.
  5. Opětovným stiskem <DATA> je možno zobrazit další doplněné parcelní číslo.
  • Změna čísla:
  1. Najděte číslo, které požadujete změnit viz předchozí postup.
  2. V poli 'Čís. parcely' zadejte nové číslo. Tlačítkem 'Změna' a 'OK' změnu potvrdíte. Pokud je třeba číslo editovat (např. doplnit podlomení), klikněte dvakrát na vybrané číslo (černý řádek) v seznamu a toto číslo bude zkopírováno do pole 'Čís. parcely'.
  3. Změněné číslo se ve výkresu zobrazí odlišnou barvou.


Postup

  • Vytvoření mapového listu v normalizovaném zobrazení:
  1. V dialogovém okně Mapový list nastavte požadované přepínače včetně přepínačů v dialozích menu 'Nastavení'.
  2. V dialogovém okně Parametry musí být přepínač 'Výkres' - zapnut.
  3. Stiskněte tlačítko 'List'.
  4. Stiskem tlačítka <DATA> v zájmové oblasti se zobrazí rám mapového listu požadovaného měřítka.
  5. Vyplňte v dialogovém okně jméno souboru, do kterého bude mapový list vygenerován.
  6. Potvrzením jména souboru je pro danou oblast vygenerován mapový rám, průsečíky souřadnicové sítě a mimorámové údaje včetně popisu (podle nastavených přepínačů) a vše je zobrazeno na obrazovce.
  • Vytvoření souboru mapového listu v normalizovaném zobrazení včetně čísel z PCB:
  1. Připojte soubor s PCB.
  2. Pokud je potřeba vytvořit soubor seznamu souřadnic, umístěte ohradu okolo zájmové oblasti a funkcí Body z DB vytvořte textový soubor seznamu souřadnic.
  3. Otevřete dialogové okno Mapový list. Stiskněte tlačítko 'List'.
  4. Stiskem tlačítka <DATA> v zájmové oblasti se zobrazí rám mapového listu požadovaného měřítka.
  5. Vyplňte v dialogovém okně jméno souboru, do kterého bude mapový list vygenerován.
  6. Potvrzením jména souboru je pro danou oblast vygenerován mapový list včetně PCB.
  7. Funkcí Přehled čísel bodů uložte do výkresového souboru čísla bodů.
  • Umístění souřadnic u zvolených "průsečíků souřadnicové sítě":
  1. Stiskněte tlačítko 'SíťO .
  2. Stiskem tlačítka <DATA> vyberte průsečík souřadnicové sítě, který chcete popsat.
  3. Stiskem tlačítka <RESET> funkci ukončíte.
  • Tisk mapového listu:
  1. Pomocí systému MicroStation umístěte ohradu tak, aby mapový list byl celý uvnitř. Nejrychleji ohradu umístíte pokud využijete "pomocného rohu" pro vytvoření optimální ohrady.
  2. V roletovém menu 'Soubor'spusťte funkci 'Tisk'.
  3. Informace o způsobu tisku v prostředí Windows je uvedena v příloze “A”.


Přehled čísel bodů - nově

3.7 Přehled čísel bodů - nově

Funkce Přehled čísel bodů slouží pro tvorbu přehledu čísel bodů z katastrální mapy. Při používání této funkce je nutné mít připojený adresář s databázemi, ve kterém je umístěn soubor "project.dbf".
Po zvolení funkce se zobrazí dialogové okno Číselný plán:

  • 'Soubor' - pole pro jméno textového souboru včetně cesty, do kterého se budou ukládat pracovní čísla bodů se souřadnicemi.
  • 'Číslo bodu:' - pole pro zadání vlastního čísla bodu, od kterého se bude číslovat.
  • 'Raz' - přepínač pro zapnutí, resp. vypnutí generování razítka.
  • 'Zobraz' - tlačítko, kterým se vytvoří soubory (výkres a seznam) číselného plánu.
  • Pokud je v dialogovém okně Nastavení volba 'Výkres' nastavena na 'Ref' nebo 'Ref+výkres' vytvoří se soubor "snímek.*".
  • Je-li volba 'Výkres' nastavena na 'Výkres' je výkres modifikován a číselný plán generován do aktivního souboru.
  • 'Bod' - tlačítko, které slouží k očíslování jednotlivých lomových bodů. Vybraný bod se zapíše do zvoleného textového souboru.
  • 'Síť' - tlačítko, které je určeno pro uvedení souřadnic u zvolených průsečíků souřadnicové sítě.
  • 'Výkres' - tlačítko, které slouží pro návrat do souboru, ze kterého se očíslování spouštělo.
  • 'Zrušit' - tlačítko, které slouží pro zavření dialogového okna Kopie KM.


Menu Nastavení

3.7.1 Menu 'Nastavení'

Pokud nevyhovují nastavené parametry, je možno změnit nastavené hodnoty pro tisk.

3.7.1.1. Parametry

Pokud je třeba změnit nastavené hodnoty pro číselný plán, v menu 'Nastavení' dialogového okna vyberete příkaz 'Parametry'. Tento příkaz otevře okno Nastavení, v němž je možno nastavit:

  • 'Číslo zakázky' - pole pro číslo zakázky,
  • 'Kat. území' - textové pole pro jméno katastrálního území,
  • 'Bod' - nastavení barvy a vrstvy pro zobrazení bodu,
  • 'Náčrt' - nastavení barvy a vrstvy pro zobrazení čísla náčrtu,
  • 'Číslo' - nastavení barvy a vrstvy pro zobrazení čísla bodu,
  • 'Čas' - počítačový čas v době vyhotovení číselného plánu,
  • 'Vyhotovil' - textové pole pro jméno pracovníka, který kopii vyhotovil,
  • 'Dne' - textové pole pro datum vyhotovení kopie,
  • 'Potvrdil' - textové pole pro jméno pracovníka, který kopii potvrdil,
  • 'Dne' - textové pole pro datum potvrzení kopie,
  • 'Font' - číslo fontu, který se bude používat pro pracovní očíslování bodů,
  • 'Mezera' - textové pole pro nastavení mezery mezi textem a bodem,
  • 'Měřítko vstup' - textové pole pro nastavení měřítka výkresu, ve kterém byl výkres zhotoven,
  • 'Měřítko výstup' - textové pole pro nastavení nového měřítka výkresu (tento parametr ovlivňuje zároveň velikost textů očíslovaných bodů). Měřítka V a N je důležité nastavit při modifikaci výkresu,
  • 'Výška' - pole pro nastavení výšky číslic v metrech,
  • 'Šířka' - pole pro nastavení šířky číslic v metrech,
  • 'ZPMZ:' - nastavení čísla ZPMZ,
  • 'TP:' - volba pro nastavení třídy přesnosti bodů (charakteristiky kvality) pro danou očíslovanou oblast,
  • 'Síť - přepínač pro generování průsečíků souřadnicové sítě,
  • 'Mod' - přepínač pro změnu zobrazení elementů dle normy. Pokud je přepínač vypnut, je vygenerován výřez ve struktuře DIKAT,
  • 'Barva' - přepínač zapnutý - na výstupu je barva všech prvků bílá (pro plotter),
  • 'Síla' - přepínač zapnutý - na výstupu je síla čar 0 (pro plotter),
  • 'Výkres:' - volba pro určení souboru, do kterého se budou generovat pracovní čísla bodů:
  • 'Ref' ... generování pracovních čísel bodů do ref. výkresu ("snímek.*"). Do souboru ("snímek.*") jsou zkopírovány elementy původního aktivního výkresu a jsou vygenerována čísla. Slouží pro očíslování aktivního výkresu, neboť se do něj neprovádějí změny,
  • 'Ref + Výkres' ... do pracovního souboru jsou zkopírovány elementy původního aktivního výkresu a jsou vygenerována čísla. Po vygenerování pracovních čísel zůstane připojen i původní aktivní výkres,
  • 'Výkres' ... generování čísel bodů do aktivního výkresu. Elementy jsou ukládány do aktivního výkresu a pokud jsou zapnuty přepínače 'Mod', 'Barva', 'Síla', jsou změněny prvky aktivního výkresu. Slouží pro očíslování připojených referenčních výkresů.


Postup

  • Tvorba číselného plánu:
  1. Stiskněte tlačítko 'Zobraz'. Vyčkejte přepnutí do souboru "snímek.*".
  2. Stiskem tlačítka <DATA> v pohledu zadejte první roh ohrady.
  3. Druhým stiskem <DATA> určete (zadejte) protilehlý roh ohrady.
  4. Dalším stiskem tlačítka <DATA> se spustí proces vytvoření výkresu číselného plánu. Postup je zobrazován v okně Procent hotovo.
  • Očíslování jednotlivého bodu:
  1. Stiskněte tlačítko 'Bod' (otevře se dialogové okno pro zadání čísla náčrtu a čísla bodu).
  2. Stiskem tlačítka <TENTATIVE> vyberte (lokalizujte) bod pro očíslování.
  3. Dalším stiskem tlačítka <DATA> volbu potvrďte.
  • Uložení souřadnic u průsečíku souřadnicové sítě:
  1. Stiskněte tlačítko 'Síť'.
  2. Kurzor umístěte poblíž průsečíku souřadnicové sítě.
  3. Stiskem tlačítka <DATA> se zobrazí souřadnice u průsečíku souřadnicové sítě.

Vyhotovený číselný plán lze vytisknout funkcí 'Tisk' z roletového menu 'Soubor'. Informace o způsobu tisku v prostředí Windows je uvedena v příloze “A”.


Přehled čísel bodů-zPČB

3.8 Přehled čísel bodů – z PCB

Funkce umožňuje trvalé zapsání informací o bodech (podle zvolených parametrů) do aktivního výkresu. Jsou zapisovány informace uložené v souboru PČB k jednotlivým bodům. Pokud není zadána ohrada, je zpracován celý výkres.

Po vyvolání funkce se otevře dialogové okno PČB

V dialogovém okně se nastavují kritéria pro zápis informací o bodech do aktivního výkresu:

  • 'Číslo' – do výkresu bude zapsáno číslo bodu.
  • 'KÚ' – do výkresu bude zapsáno číslo k.ú..
  • 'ZPMZ' - do výkresu bude zapsáno číslo ZPMZ.
  • 'Bod' - do výkresu bude zakreslena značka bodu.
  • 'KÚ-ZPMZ' – přepínač pro nastavení struktury čísla bodu – při zaškrtnutí se bude číslo k.ú. a číslo ZPMZ zapisovat společně.
  • 'Vše z PČB' – přepínač pro zpřístupnění dolní části dialogu pro zadání kritérií / při zaškrtnutí se zapíší všechny body z výkresu PČB.
  • 'Výběr bodů' – skupina polí pro zadání kritérií pro výběr bodů pro zápis. Při výběru má vždy vyšší váhu kritérium ve skupině vlevo (např. pro vybrání všech bodů s číslem ZPMZ 51 je nutné zadat i příslušné číslo k.ú.).
  • 'Zapiš' - tlačítko pro spuštění procesu.


Menu nastavení

3.8.1 Menu 'Nastavení'

V menu 'Nastavení' lze z roletového menu zvolit položku 'Parametry'. V dialogovém okně Parametry lze nastavit parametry zápisu popisu ('KÚ', 'ZPMZ', 'Číslo') a parametry zápisu bodu. Parametry pro jednotlivé části popisu / bodu se nastavují v sekci 'nastavení pro ..' – sekce se zobrazují přepínači 'KÚ', 'ZPMZ', 'Číslo' a 'Bod'.


Body z databáze bodů

3.9 Body z databáze bodů

Funkce Body z DB umožňuje výběry bodů z databáze bodů podle výběrových kriterií. Po spuštění se zobrazí dialogové okno Body z DB:

Výběr z databáze bodů umožňuje získat informace o bodech, např. číslo, souřadnice, kvalitu bodu. Výstup je možno omezit výběrovým kritériem.


Výběrová kritéria

3.9.1 Výběrová kritéria

  • 'Globální filtr' - slouží pro zadání výběrových kritérií přes jednotlivé položky v databázi. Zpřístupnění a uplatnění kritéria se provede zapnutím přepínače, patřícímu k dané položce.
  • 'Číslo k.ú.' (číslo katastrálního území) - přepínač zpřístupní pro zadání pole Od: Do:,
  • 'ZPMZ' (číslo ZPMZ) - přepínač zpřístupní pro zadání pole Od: Do:,
  • 'Číslo bodu' (vlastní číslo bodu) - přepínač zpřístupní pro zadání pole Od: Do:,
  • 'Vztah bodu ke kresbě' - volba zaslepena, protože se nevyplňuje pole v databázi,
  • 'Charakt. kval. bodu' - přepínač zpřístupní volbu pro zadání charakteristiky kvality podrobného bodu (dříve třída přesnosti). Volba automaticky zahrne body určené zvolenou střední souřadnicovou odchylkou a body přesnější:
  • Body určené se stř. souř. chybou do 0.04 m (1),
  • Body určené se stř. souř. chybou do 0.08 m (2),
  • Body určené se stř. souř. chybou do 0.14 m (3),
  • Body určené se stř. souř. chybou do 0.26 m (4),
  • Neobsazeno,
  • Body digitalizované z mapy 1:1000 (6),
  • Body digitalizované z mapy 1:2000 (7),
  • Body digitalizované z mapy 1:2880 (8),
  • 'Stav bodu' - přepínač zpřístupní volby, které ovlivňují výběr bodů podle typu příznaku bodu:
  • 'Vstupní' - vstupní bod, který se váže k novému geometrickému plánu, který dosud nenabyl právní účinnosti,
  • 'Platný' - platné body KM,
  • 'Vyřazený' - bod označený za neplatný,
  • 'Chybný' - body nesprávně zavedené do DB.
  • 'Lokalizace' - volbou se nastavuje doplňkový výběr. Standardně je nastavena lokalizace 'Není'. Nastavené výběry a lokalizace jsou ve vztahu logického součinu, tzn. vyberou se všechny body, které současně splňují jak zvolené podmínky výběru, tak i zvolenou lokalizaci. Možné typy lokalizace:
  • 'Není' ... výběr všech bodů uložených v DB seznamu souřadnic,
  • 'Ohrada' ... výstupem výběru budou body ležící pouze uvnitř ohrady. Lze zadat libovolnou ohradu (vytvoří se systémem MicroStation),
  • 'Hranice č.b.1 ->č. b. 2' ... po vybrání této volby se objeví zadávací pole pro čísla dvou bodů, která budou tvořit hranici vybraného území. Výstupem výběru budou body ležící uvnitř takto vzniklé ohrady,
  • 'Okolí č. bodů' ... po vybrání této volby se objeví zadávací pole pro číslo bodu, jež má tvořit střed kružnice výběru, a textové pole pro zadání průměru,
  • 'Parcely' ... vybráním této volby budou do zpracování zahrnuty ty body z databáze, jež mají stejné souřadnice jako kresebné prvky v 'Selection set'.
  • 'Aktualizace PČB' - pokud je provedeno nastavení dialogového okna podle obrázku, pak se zpřístupní přepínač pro aktualizaci PČB. Nesmí být navoleno žádné výběrové kritérium, 'Lokalizace:' nastavena na 'Ohrada' a 'Výstup' nastaven na 'PČB - referenční'. Je-li toto vše zajištěno a volba aktualizace zaškrtnuta, pak v rámci ohrady dochází k aktualizaci PČB.
  • 'Výstup' -volbou a přepínačem se ovládá typ výstupního souboru z DB seznamu souřadnic.
  • ('Typy výstupu:' )
  • 'Obrazovka' ... vybrané body jsou vypsány na obrazovku do textového okna Výpis ze seznamu databáze,
  • 'Textový soubor-12' ... vybrané body jsou vypsány do textového souboru ve formátu textového "vstupního" souboru s použitím 12místného číslování bodů,
  • 'Textový soubor-10' ... vybrané body jsou vypsány do textového souboru ve formátu textového "vstupního" souboru s použitím 10místného číslování bodů,
  • 'Textový soubor úplný 12' ... vybrané body jsou vypsány do textového souboru, do kterého jsou uloženy všechny položky (sloupce) databáze bodů s použitím 12místného číslování bodů,
  • 'Textový soubor úplný 10' ... vybrané body jsou vypsány do textového souboru, do kterého jsou uloženy všechny položky (sloupce) databáze bodů s použitím 10místného číslování bodů,
  • 'Zobrazení na obr.' ... vybrané body jsou pouze zobrazeny (nejsou zapsány) ve zvoleném pohledu MicroStation,
  • 'PČB - referenční' ... vybrané body jsou zapsány do "pčb" souboru. Po výběru výstupního souboru dojde k vykreslení bodů (zápisu do již existujícího DGN).
  • 'Pro migraci' - tento režim výstupu bodů automaticky nastavuje filtr 'Stav bodu' na 'Vstupní' a 'Vyřazený'. Lokalizace výběru v tomto režimu musí být v rámci celého výkresu a to na 'Není', nebo 'Ohrada'. Vybrané body jsou vypsány do textového souboru ve formátu GEUS, přičemž stav bodu 'Zrušený' je v tomto souboru nahrazen znakem "X".
  • 'Do existujícího' - přepínač umožňující zápis vybrané lokalizace bodů do již existujícího text. souboru seznamu souřadnic (další doplnění).
  • 'Proveď' - tlačítko, kterým se po nastavení požadovaných filtrů spustí proces výběru z databáze bodů. Proces probíhá několika způsoby podle druhu zvoleného výstupu:

a) Pokud je 'Výstup' v dialogovém okně Body z DB nastaven na 'Obrazovka', po spuštění funkce tlačítkem 'Proveď' a po výběru pohledu pro zobrazení, je výsledek výběru zobrazen v textovém okně Výpis ze seznamu databáze. Výpis je uspořádán podle vzestupných úplných čísel bodů, pro každý bod je určen jeden řádek a údaje v řádcích jsou sestaveny do sloupců, které obsahují: 'poř.č. bodu', 'PORCIS', 'ZPMZ', 'CISLO', 'Y', 'X','Z','ZBP', 'TRIDA', 'CHKRESBA', 'STAV', 'DATUM', 'Ymer', 'Xmer'.

b) Pokud je 'Výstup' v dialogovém okně Body z DB nastaven na 'Textový soubor-12' nebo na 'Textový soubor-10', otevře se po spuštění funkce dialogové okno Výstupní soubor, ve kterém je možno nastavit název výstupního souboru (např. "vyberl04.txt"). Po stisku tlačítka 'Proveď a po zvolení pohledu je proveden výběr bodů do zvoleného souboru.

Při nastaveném výstupu 'Textový soubor - 10' se navíc v průběhu procesu otevře dialogové okno Převod PORCIS, ve kterém se nastaví nový kód k.ú. pro převod na 10místné číslování.

c) Pokud je druh 'Výstup' v dialogovém okně Body z DB nastaven na 'Zobrazení na obr.' , zobrazí se po vybrání pohledu dialogové okno Atributy pro zobrazení.

V dialogovém okně je možno nastavit barvy a vrstvy, do kterých se elementy budou ukládat. Dělení je podle charakteristiky kvality podrobného bodu.

  • 'Barvy:' - sloupec polí pro nastavení barev dané charakteristiky:
  • 1- modrá,
  • 2 - zelená,
  • 3 - červená,
  • 4 - žlutá,
  • 5 - fialová,
  • 6 - hnědá,
  • 7 - azurová,
  • 8 - černá.
  • 'Vrstvy:' - sloupec polí pro nastavení vrstev, do kterých se prvky uloží. Je-li zadána vrstva 0, nebude prvek vykreslen.
  • 'Tl. b.' - volba pro nastavení a tloušťky pro body.
  • 'OK' - tlačítko, kterým se potvrdí nastavení požadovaných parametrů a spustí se proces výběru z databáze do grafického souboru.

d) Pokud je druh 'Výstup' v dialogovém okně Body z DB nastaven na 'PČB - referenční', zapíše se vybraný obsah databáze do zvoleného souboru. Body se zakreslují jako tečky
a zobrazit je lze funkcí Zobrazení bodů.


Archivace databáze bodů

3.10 Archivace databáze bodů

  • Tato funkce není součástí systému Dikat pro MicroStation GeoOutlook.

Funkce Archiv DB lze spustit pouze z roletového menu, zajišťuje údržbu databáze bodů. Vybere ze seznamu DB body označené jako neplatné a zapíše je do textového souboru vypouštěných bodů. V databázi bodů jsou body (se stavem neplatný) následně označeny pro případné vypuštění. Zpracování je aplikováno na tu databázi, která odpovídá názvu aktivního výkresu, tj. libovolnému souboru výkresového svazku jednoho katastrálního území. Po vybrání funkce se zobrazí dialogové okno Archiv.DB bodů.

V dialogovém okně se nastavuje:

  • 'Soubor vypouštěných bodů' - pole pro zadání jména výstupního textového souboru. Soubor lze zadat rovněž pomocí dialogového okna po stisku tlačítka 'Vyber...'.
  • 'Datum aktualizace:' - pole pro zadání data v anglickém formátu (mm/dd/rr).
  • 'Vyber ...' - tlačítkem se otevře dialogové okno Soubor vypouštěných bodů, které slouží pro vyplnění jména a cesty na požadovaný výstupní soubor.
  • 'Proveď' - funkce, která zahájí vlastní generování souboru.


Postup

  • Vypuštění a archivace bodů z DB bodů:
  1. Aktivujte libovolný soubor "svazku" zpracovávaného území.
  2. Stiskněte tlačítko 'Vyber'. Zadejte jméno výstupního souboru.
  3. Stiskněte tlačítko 'Proveď' a vyčkejte konce procesu.


Informace

4. Informace

Menu 'Informace' obsahuje funkce pro získání informací o parcele nebo její části. Menu obsahuje:

  • Výpočet plochy - výpočet obvodu, obsahu a počtu lomových bodů hranic plochy interaktivně i v dávce, vyhledání parcely
  • Vyhledání parcely - vyhledání parcely podle parcelního čísla
  • Údaje o parcele - interaktivní získávání informací o parcele z mapy
  • Vlastnictví - interaktivní vyhledávání vlastníka a jeho parcel v mapě
  • Klad mapových listů - zjištění a zobrazení kladu mapového listu


Výpočet plochy parcely

4.1 Výpočet plochy parcely

Funkce umožňuje výpočet plochy podle zadaných podmínek. Tlačítkem <DATA> se vybere plocha, která se má určit. U hromadného výpočtu se potvrdí stiskem tlačítka <DATA>.


Způsob určení

4.1.1 Způsob určení

  • ‘Určení plochy’ – slouží pro nastavení obsahu plochy, to znamená, jaké prvky se mají zahrnout do výpočtu plochy
  • ‘Typ plochy’ – slouží pro nastavení způsobu výpočtu plochy.
  • ‘Plná’- vnější hranice určované plochy.
  • ‘Odpočet’ - plocha oblasti bez části ležící uvnitř určované oblasti a se kterou nemá žádný styčný bod.
  • ‘Hromadný výpočet’ – přepínač pro nastavení hromadného výpočtu ploch parcel. Hromadný výpočet může být vymezen ohradou.
  • ‘Seznam bodů’ – přepínač pro zobrazení informace o číslech lomových bodů. Zaškrtnutí tohoto přepínače zpřístupňuje dolní část dialogového okna.


Parametry

4.1.2 Parametry

  • ‚Zobrazit výpočet‘ – přepínač pro zobrazení vypočtené plochy.
  • ‘Plochu zaokrouhlit na m2’ – přepínač pro nastavení zaokrouhlování výměry na m.
  • ‘Vyplnění plochy’ – přepínač pro vybarvení vypočtené plochy. Vybarvení je pouze dočasné a po obnově pohledu je zrušeno. Aby se vybarvení plochy provedlo, je třeba mít v příslušném pohledu nastaven přepínač pro vyplňování ploch.
  • ‘Přizpůsobit pohled’ – nastavení čísla pohledu pro zobrazení vypočtené plochy do celého pohledu.
  • ‘Uložit objekt’ – přepínač pro uložení vypočtené plochy do aktivního výkresu.
  • ‘Vyšrafovat objekt’ - přepínač pro vyšrafování uloženého objektu.


Soubor

4.1.3 Soubor

Karta obsahuje parametry výstupního souboru a funkce pro práci s ním.

  • ‘Soubor’ – nastavení funkce tlačítka ‘Soubor’.
  • ‘Soubor’ – funkce pro práci se souborem.
  • ‘Jméno protokolu’ – jméno souboru, do kterého je možné ukládat informace o ploše. U hromadného výpočtu se informace o ploše ukládají automaticky.


Protokol

4.1.4 Protokol

Na této kartě se nastavuje obsah výstupního souboru.

  • ‘Parcelní číslo’ – přepínač pro nastavení ukládání informace o parcelním čísle do souboru.
  • ‘Počet bodů’ – přepínač pro nastavení ukládání informace o počtu bodů do souboru.
  • ‘Počet vnitř.’ – přepínač pro nastavení ukládání informace o počtu vnitřních objektů do souboru. U nastavení typu plochy ‘Plná’ se zapisuje automaticky –1.
  • ‘Obvod’ – přepínač pro nastavení ukládání informace o obvodu plochy do souboru.
  • ‘Výměra m2’ – přepínač pro nastavení ukládání informace o výměře plochy do souboru.
  • ‘Seznam bodů’ – přepínač pro nastavení ukládání informace o číslech lomových bodů do souboru. Zaškrtnutí tohoto přepínače zpřístupňuje dolní část dialogového okna.
  • ‘Zapsat’ – funkce uloží informace o ploše do souboru


Seznam bodů

4.1.5 Seznam bodů

Pro práci se seznamem bodů musí být zapnut přepínač ‘Seznam bodů’ na kartě protokol

  • ‘Posun’ – směr listování v seznamu bodů.
  • ‘Zobrazit’ – funkce pro zobrazení bodu ve zvoleném pohledu a zvoleném měřítku.
  • ‘Pohled’ – čísla pohledu pro zobrazování bodu.
  • ‘Hrana’ – velikosti strany pohledu v m.


Postup

  • Postup při měření plochy parcely:
  1. Na kartě Způsob určení nastavte parametry pro měření ('Určení plochy' - 'parcela', 'Typ' - 'odpočet').
  2. Tlačítkem <DATA> zvolte bod uvnitř žádaného plošného objektu.
  3. Ve stavovém řádku jsou zobrazeny vypočtené údaje.
  4. Tlačítkem <RESET> lze vysvícení plochy zrušit.
  • Interaktivní výpočet plochy a zápis do souboru:
  1. Nastavte přepínače na kartě Způsob určení.
  2. Na kartě Soubor založte nebo vyberte soubor pro zapsání protokolu.
  3. Na kartě Protokol vyberte položky, které chcete do souboru zapsat.
  4. Spusťte výpočet plochy.
  5. Tlačítkem 'Zapsat ' (na kartě Protokol) uložte interaktivně obsah položek do souboru.


Vyhledání parcely

4.2 Vyhledání parcely

Funkce vyhledá parcelu podle parcelního čísla a ukáže ji v optimálním zvětšení ve zvoleném pohledu.

Nastavení funkce:

  • 'Parcelní číslo:' - pole pro zadání čísla hledané parcely.
  • 'Parcela:' – přepínač pro nastavení typu vyhledávané parcely, možné volby – 'Pozemková', 'Stavební', 'Zjedn. poz.', 'Zjedn. stav.', 'Obecný text'.
  • 'Přizpůsobit pohled' – přepínač pro nastavení, zda přizpůsobovat některý pohled vyhledané parcele.
  • 'Vyhledat' – vyhledá parcelu, stejnou funkci má i stisknutí klávesy Enter v 'Parcelní číslo:'.


Postup

  • Vyhledání parcely:
  1. Aktivujte funkci.
  2. Zadejte parcelní číslo, typ parcely a číslo pohledu.
  3. Stiskněte <ENTER>.


Údaje o parcele

4.3 Údaje o parcele

je funkce, která je určena pro interaktivní získávání informací o parcele. Pro funkčnost je nutné mít k MicroStation připojenu relační databázi s daty SPI. Dialogové okno má dvě podoby.


Úplné okno

4.3.1 Úplné okno

  • Horní část okna zobrazuje informace získané z databáze SPI pro parcelu vybranou v 'Vyhledat'.
  • 'Vyhledat' – funkce pro výběr parcely a zadávání parametrů.
  • 'vlastník' - přepínač, který umožňuje zapnout, resp. vypnout zobrazování údajů ve vloženém okně 'Vlastník',
  • 'bonita' – přepínač pro získávání informace o bonitních dílech z databáze NysboXXX,
  • 'výměra DKM' – přepínač pro výpočet plochy z výkresu a následné porovnání s SPI,
  • 'Vyhledat' - po stisku tlačítka je očekávána identifikace parcelního čísla v DKM. Vyhledané informace jsou zobrazeny v dialogovém okně,
  • 'číselná řada' – typ parcely pro vyhledávání funkcí 'dle č. parcel',
  • 'číslo parc. / popisné' – textové pole pro zadání parcelního nebo popisného čísla, podle kterého lze vyhledávat funkcí 'dle č. parcel' nebo 'dle č. popis.',
  • 'Číslo KÚ' – textové pole pro zadání pořadového čísla KÚ,
  • 'dle č. parcel' – vyhledá informace pro parcelu zadaného parcelního čísla,
  • 'dle č. popis.' – vyhledá informace pro parcelu zadaného popisného čísla,
  • 'Zavřít' - tlačítko pro uzavření dialogového okna Údaje o parcele,
  • 'min. okno' - tlačítko pro přepnutí do minimalizovaného okna


Minimalizované okno

4.3.2 Minimalizované okno

V tomto okně jsou zobrazeny jenom, základní údaje z SPI pro danou parcelu

  • 'Vyhledat' - po stisku tlačítka je očekávána identifikace parcelního čísla v DKM. Vyhledané informace jsou zobrazeny v dialogovém okně,
  • 'výměra DKM' – přepínač pro výpočet plochy z výkresu a následné porovnání s SPI,
  • 'max. okno' - tlačítko pro přepnutí do úplného okna.


Postup

  • Zobrazení informací o parcele z SPI podle parcelního čísla:
  1. Stiskněte tlačítko 'Vyhledat'.
  2. Stiskem tlačítka <DATA> identifikujte parcelní číslo.
  3. Stiskem tlačítka <DATA> spusťte proces.
  • Zobrazení informací o parcele z SPI podle čísla parcelního:
  1. Zapněte úplnou podobu okna.
  2. Vyberte typ parcely v 'číselná řada'.
  3. Zadejte parcelní číslo a číslo k.ú. do 'číslo parc. / popisné' a 'Číslo KÚ'.
  4. Stiskněte tlačítko 'dle č. parcel'.
  • Zobrazení informací o parcele z SPI podle čísla popisného:
  1. Zapněte úplnou podobu okna.
  2. Zadejte číslo popisné a číslo k.ú. do 'číslo parc. / popisné' a 'Číslo KÚ'.
  3. Stiskněte tlačítko 'dle č. popis.'.


Vlastnictví

4.4 Vlastnictví

  • Tato funkce není součástí systému Dikat pro MicroStation GeoOutlook.

Jde o funkci, která dotazem do relační databáze vyhledá vlastníka v k.ú. a zobrazuje jeho parcely. Proto je třeba mít databázi SPI připojenu k systému MicroStation. Funkci slouží dialogové okno Vlastnictví, které obsahuje:

  • 'Dotaz na :' - volba klíče, podle kterého se bude vyhledávat vlastník, tj. podle jména (Jméno), rodného čísla/identifikačního čísla organizace (RČ/IČO) nebo listu vlastnictví (LV)
  • 'Vyhledat:' - pole pro zadání jména nebo čísla (RČ,IČO nebo LV). Jméno je možno zadat zkráceně, např. místo “Novák” jen “nov”.
  • 'Vyhledat' - tlačítkem je spuštěno vyhledání vlastníka v databázi SPI. V poli 'Příjmení/Název' se zobrazí seznam vlastníků.
  • 'ČP' - po stisku tlačítka jsou v poli Parcelní čísla vypsány parcely vybraného vlastníka. Pro zobrazení je třeba vybranou parcelu v poli 'Příjmení/Název' zvýraznit.
  • 'Zobraz' - po stisku tlačítka je ve zvoleném pohledu zobrazena zvýrazněná parcela (v poli 'Parcelní čísla') vybraného vlastníka,
  • '1' - volba pro zadání čísla pohledu, ve kterém budou parcely zobrazovány,
  • 'Zrušit' - tlačítkem je dialogové okno Údaje o parcele uzavřeno.


Postup

  • Vyhledání vlastníka, např. podle jména “Novák”a zobrazení jeho parcel:
  1. Jako klíč k vyhledání vlastníka zadejte “Jméno”, stačí zkráceně, např. “nov”.
  2. Do pole Vyhledat napište jméno vlastníka.
  3. Tlačítkem 'Vyhledat' zobrazíte všechny vlastníky začínající na “nov”.
  4. Zvýrazněte vlastníka, jehož parcely chcete vyhledat.
  5. Stiskněte tlačítko 'ČP'.
  6. Zvýrazněte číslo parcely, kterou požadujete zobrazit.
  7. Stiskněte tlačítko 'Zobrazit'.


Klad mapových listů

4.5 Klad mapových listů

Funkce Klad mapových listů umožňuje zjistit klad mapového listu podle nastaveného měřítka. Funkce zobrazí polohu jednotlivého listu v DKM nebo KM-D a v dialogovém okně systému MicroStation zobrazí jeho označení podle umístění mapového listu v kladu systému JTSK. Po spuštění se zobrazí dialogové okno Klady mapových listů:

  • 'Měřítko' - pole volby pro nastavení měřítka. Podle nastaveného měřítka se zobrazuje na obrazovce příslušný klad mapových listů grafického souboru DKM.
  • '1:200' až '1:50000' ... klad mapových listů v S - JTSK,
  • '1:2880G' ... klad mapových listů v systému gusterbergském,
  • '1:2880S' ... klad mapových listů v systému svatoštěpánském.
  • 'Zapsat' - přepínač umožňuje zapsání rámu mapového listu do vrstvy 63 po stisku tlačítka <DATA>.
  • 'Dynamika' - je-li přepínač zapnut jsou rámy zobrazovány při pohybu kurzoru nad mapou. Je-li přepínač vypnut je nutno pro informaci stisknout tlačítko <DATA>.
  • 'Klad' - tlačítko, které aktivuje funkci zjišťování kladů. Klad mapového listu je zjištěn podle nastaveného měřítka a polohy kurzoru v grafickém souboru DKM. Rám mapového listu je pouze zobrazen.
  • 'Síť' - tlačítkem lze v zadané oblasti vytvořit hektometrovou síť. Oblast je obdélníková a zadává se dvěmi protilehlými body. Elementy jsou v aktivním výkresu, ve vrstvě č. 63.


Postup

  • Zjištění kladu mapového listu:
  1. Nastavte požadované měřítko.
  2. Stiskněte tlačítko 'Klad'.
  3. Kurzorem vyberte v grafickém souboru DKM polohu, kde chcete zjistit klad mapového listu.
  4. Po stisku tlačítka <DATA> v požadované parcele se zobrazí v grafickém okně poloha mapového listu a v komunikačním okně MicroStation označení mapového listu.
  5. K odstranění kresby rámu mapového listu použijte funkce Obnovit pohled z Ovladače pohledů.


Vedení DKM

5. Vedení DKM

Menu 'Vedení DKM' obsahuje funkce pro tvorbu a opravu grafických dat. Menu umožňuje otevřít:

  • Kreslení elementů - tvorba nových elementů
  • Změna atributů elementů - změna atributů již existujících elementů
  • Mazání elementů - mazání elementů
  • Informace o elementech - informace o elementech
  • Opravná editace - editace liniové kresby a textů mapy
  • Spojování bodů - zadávání polohy a spojování bodů uložených v PČB
  • Vstup bodů - vstup bodu do výkresu z klávesnice
  • Geodetické úlohy - výpočet vybraných geodetických úloh
  • Komunikační modul Dikat – Groma - integrovaný systém Groma
  • Transformace - transformace výkresu
  • Body – platnost - změna platnosti bodu
  • Sestavení GP - sestavení GP a tvorba textových výstupů
  • ZPMZ a GP - nástroj pro tvorbu ZPMZ a geometrického plánu
  • Rozdělení plochy - rozdělení parcely na dvě části
  • Kontrolní funkce - veškeré kontrolní funkce systému


Kreslení elementů

5.1 Kreslení elementů

Položka roletového menu 'Vedení DKM' nabízí mimo řady dalších funkcí i funkce, jež slouží k základní editaci a manipulaci s prvky (elementy) obsahu digitální katastrální mapy (DKM). Tyto základní funkce jsou rovněž přístupné i z ikonového menu 'Vedení DKM' (první čtyři ikony zleva v horní řadě) v pořadí:

  • Kreslení elementů
  • Změna elementů
  • Mazání elementů
  • Informace o elementech

Pro práci s kreslícími funkcemi se doporučuje "vytrhnout" příslušný panel z panelu základního. Tak jsou lépe přístupné ikony obsahující jednotlivé funkce pro kreslení.

Kreslící funkce při vybrání požadovaného elementu automaticky definují atributy kresleného prvku.

Pod pojmem atributy se zde rozumějí ty vlastnosti prvku, které nemají vztah k polohovému určení prvku. Nejsou to tedy např. souřadnice krajních bodů úsečky, ale např. vlastnosti “hranice neznatelná” nebo “popisové parcelní číslo” apod.

Přípustné kombinace hodnot atributů určují třídy, resp. skupiny tříd prvků grafického souboru DKM. Dialogové okno nedovoluje, aby nastala nepřípustná kombinace (alespoň, co se týče popisu struktury grafického souboru DKM).

Odlišení jednotlivých atributů prvku se v systému Dikat provádí pomocí “vnitřních” vlastností systému MicroStation – Vrstva, Barva, Tloušťka, Typ. Nastavení těchto vlastností pro vybraný element lze zobrazit zaškrtnutím přepínače 'Nast.' , seznam vlastností pro všechny elementy DKM je uveden v příloze.

Přepínač a pole "ZPMZ" - číslo záznamu podrobného měření změn (číslo GP). Tato informace obsažená v elementech má význam pro odlišení více GP.

  • 'ZPMZ' - přepínač pro zapnutí čísla ZPMZ, filtru pro mazání změny atributu atd. Má význam u operací změny, mazání a selekce elementů: je-li vypnutý, položka ZPMZ se ignoruje.
  • 'ZPMZ' - pole pro číslo ZPMZ. Číslo se zobrazuje při dotazu na element, pokud je elementu přiřazeno, jinak je nulové. Při editaci položky se její obsah synchronizuje ve všech dialogových oknech pro jednotlivé typy elementů.


Kreslení linie

5.1.1 Kreslení linie

První dva výběrové seznamy a dvě ikony v pravé části okna Nastavení pro kreslení slouží k nastavení typu linie, pomocí dalších výběrových seznamů se nastaví doplňující atributy liniových elementů. Předposledním výběrovým seznamem se definuje typ linie ("úsečka", "oblouk", "kruž. 3b.", "kružnice středem", "křivka"). Při kreslení definované linie se postupuje stejně jako u příslušných funkcí ve standardním menu MicroStation.

Možná nastavení:

  • Výběrové seznamy:
  • Hranice – je duplikován prvním tlačítkem
  • Doplňkové linie - je duplikován druhým tlačítkem
  • Jakost
  • Hranice budovy
  • Typ linie
  • platnost – pro účely GP
  • 'Zámek na body' - je-li přepínač zapnut, pak každé zadání bodu linie bez použití tlačítka <TENTATIVE> je upřesněno na ohodnocený bod, pokud takový existuje v dostatečné blízkosti. Body se vyhledávají v aktivním výkresu a výkresu PCB.
  • Pravoúhlé kreslení linií lze dosáhnout použití m funkce AccuDraw systému MicroStation. Pro účely systému Dikat je funkce nastavení úhlu pro kreslení uložena na klávesu F2.


Postup

  • Postup při kreslení:
  1. Pomocí ikony v okně Nastavení pro kreslení zvolte typ linie a pokud je třeba, výběrovými seznamy nastavte další atributy.
  2. Pomocí stisku tlačítka <DATA> vložte první bod linie a vytvářejte kresbu.
  • Postup při kreslení pravoúhle:
  1. Pomocí ikony v okně Nastavení pro kreslení zvolte typ linie a pokud je třeba, výběrovými seznamy nastavte další atributy.
  2. Pomocí stisku tlačítka <DATA> vložte první bod linie.
  3. Stiskněte klávesu F2 – zobrazí se směrová růžice, kterou můžete libovolně otáčet – určete směr kreslení linie. Růžice AccuDraw se zastaví v požadovaném směru
  4. vkládejte postupně další body linie, přičemž při přiblížení k pravému úhlu se linie “přichytne” v tomto směru.


Editace popisu

5.1.2 Editace popisu

Pro vložení prvek typu text, se stiskne přepínač 'Popis' a pomocí jednoho ze dvou výběrových seznamů pod přepínači se zvolí příslušný druh popisu (v horním seznamu parcelní čísla, v dolním místní názvy). Zde rovněž platí analogie s používáním standardních funkcí systému MicroStation. Text se napíše do vstupního pole v dolní části dialogu Nastavení pro kreslení., určí se jeho atributy (lze i obráceně) a umístí se na požadovaném místě ve výkresu tlačítkem <DATA>.

Pokud má být text umístěn jinak než vodorovně, je třeba zapnout přepínač 'Úhel' a dvěma stisky tlačítka <DATA> určit nejprve polohu levého dolního kraje textu a poté úhel natočení.

Obdobným způsobem lze zadat (pokud to okolnosti vyžadují) i jinou velikost textu než jakou stanovuje hodnota atributu (přepínač 'Velikost'). Uživatel může pomocí tří stisků tlačítka <DATA> určit velikost textu a úhel jeho natočení.

Možná nastavení:

  • Výběrové seznamy:
  • Parcelní čísla
  • Ostatní názvy
  • platnost – pro účely GP
  • 'Text:' - pole pro zadání popisu.
  • 'Úhel' - je-li přepínač zapnut, zadává se kurzorem natočení elementu, viz obecný popis funkce.
  • 'Velikost:' - zadání velikosti elementu.
  • 'standardní' ... element má standardní velikost.
  • 'zmenšená (0.67)' ... element je zmenšený na 0.67 standardní velikosti.
  • 'určit' ... velikost elementu (nestandardní) se zadává kurzorem, viz obecný popis funkce.


Postup

  • Postup při editaci textu:
  1. Stiskněte přepínač 'Popis'
  2. Pomocí výběrových seznamů zvolte požadovaný druh popisu.
  3. Zadejte v poli 'Text:' požadovaný popis, např. parcelní číslo.
  4. Je-li to nutné aktivujte přepínač 'Úhel', přepínač 'Velikost:' nastavte na 'určit'. Prvním stiskem tlačítka <DATA> v parcele umístěte číslo do parcely, druhým určete jeho velikost a třetím stanovte úhel natočení textu.


Umístění značky

5.1.3 Umístění značky

Čtyři ikony a první čtyři výběrové seznamy, které se v okně Nastavení pro kreslení zobrazí po stisku přepínače 'Značky' slouží ke vkládání značek do výkresu. Používání funkce je analogické s umísťováním textového elementu, správný průběh je ovšem podmíněn existencí příslušných značek v knihovně buněk (je zajištěno při standardní instalaci aplikace).

Možná nastavení:

  • Výběrové seznamy:
  • Body
  • Druhy pozemku
  • Stavby
  • Bodové objekty
  • Typ
  • platnost – pro účely GP
  • 'Úhel' - je-li přepínač zapnut, zadává se kurzorem natočení elementu, viz obecný popis funkce.
  • 'Velikost:' - zadání velikosti elementu.
  • 'standardní' ... element má standardní velikost.
  • 'zmenšená (0.67)' ... element je zmenšený na 0.67 standardní velikosti.
  • 'určit' ... velikost elementu (nestandardní) se zadává kurzorem, viz obecný popis funkce.


Postup

  • Postup při umístění značky:
  1. Stiskněte přepínač 'Značky' v okně Nastavení pro kreslení.
  2. Pomocí některého z výběrových seznamů nebo některé z ikon zvolte požadovanou značku.
  3. Nastavte doplňující atributy.
  4. Stiskem tlačítka <TENTATIVE> identifikujte lomový bod a pomocí tlačítka <DATA> umístěte značku. Značky druhu pozemku umísťujte jen stiskem <DATA>.


Změna elementů

5.2 Změna elementů

Funkce Změna atributů v menu Vedení DKM je určena pro změnu nepolohových vlastností elementu. V dialogovém okně je třeba nastavit nové hodnoty atributů, které uživatel chce prvku přidělit. Přitom lze pracovat pouze s těmi atributy, jichž se změna týká. Například je-li požadavek na změnu speciálního atributu "hranice" na hodnotu "hranice neznatelná", nemusí se uživatel starat o to, jakou hodnotu měl základní atribut hranice ("hranice státní", "hranice parcel", "vnitřní kresba"). Neměnnost atributu se zadá nastavením "***" v příslušných návěštích.

Možná nastavení:

  • Výběrové seznamy – nastavení stejná jako v kreslení elementů.
  • 'Změna ve skup.' - je-li přepínač zapnut lze provést hromadné změny:.
  • 'Jeden' – vybraný prvek.
  • 'Vybrané' – funkce pracuje v dávce pro prvky ve výběrové množině.
  • 'V ohradě' – funkce pracuje v dávce pro všechny prvky v ohradě.
  • 'Všechny' – všechny prvky v aktivním souboru.


Postup

  • Interaktivní změna speciálního atributu linie na "hranice podzemní":
  1. Aktivujte funkci Změna atributů z menu 'Vedení DKM' nebo pomocí příslušné ikony.
  2. Pomocí ikony v okně Nastavení pro změnu vyberte 'Linie'.
  3. Výběrové seznamy nastavte na "***" mimo třetího, kde nastavte "podzemní"
  4. Identifikujte příslušný element a stiskem <DATA> potvrďte požadovanou změnu.
  • Hromadné přiřazení standardních atributů parcelní kresby (účelné pro prvotní zpracování nestrukturovaných dat z jiného systému):
  1. Požadovanou množinu liniových elementů vymezte ohradou.
  2. Aktivujte funkci Změna atributů z panelu 'Vedení DKM'.
  3. V dialogovém okně Nastavení pro změnu aktivujte přepínač , 'Linie'.
  4. Zaškrtněte přepínač 'Změna ve skup.' a nastavte 'V ohradě'.
  5. Nastavte atributy linie na hodnoty 'hranice parcely' (pomocí ikony), '***', '***', 'není hranice budovy', a 'platná'. Pro efektivní zadání těchto hodnot můžete použít dotazu na již existující element, viz Informace o elementu.
  6. Opětovně spusťte funkci Změna atributů , proces potvrďte tlačítkem <DATA>.


Mazání elementů

5.3 Mazání elementů

Vymazání elementu je možno touto funkcí provést dvojím způsobem. První způsob se provedením neliší od standardní funkce systému MicroStation. Uživatel musí jen v dialogovém okně Informace o prvku aktivovat přepínač u toho typu prvku, který chce mazat. Je tím chráněn před nechtěným smazáním prvků jiného typu. Funkci lze použít samozřejmě i dávkově. Uživatel zvolí nastavení běhu funkce např. V ohradě a maže dávkově ty prvky, jejichž typ si vybral přepínačem.

Při druhém způsobu se v dialogovém okně Nastavení pro mazání aktivuje přepínač 'Mód:'. Ten zaručuje, že uživatel bude mazat jen ten prvek, jehož atributy jsou právě v dialogu nastaveny. Znamená to, že omylem nesmaže např. defin. č. stav. parcely, má-li nastaveno defin. č. pozem. parcely.

Aktivní stav přepínače 'Mód:' se využívá především při mazání v dávkovém režimu.

Možná nastavení:

  • 'Mód:' – Mazány budou pouze ty prvky, jejichž atributy odpovídají nadefinovaným.
  • 'Způsob:'
  • 'Jeden' – vybraný prvek.
  • 'Vybrané' – funkce pracuje v dávce pro prvky ve výběrové množině.
  • 'V ohradě' – funkce pracuje v dávce pro všechny prvky v ohradě.
  • 'Všechny' – všechny prvky v aktivním souboru - viz funkce Změna elementů.


Postup

  • Smazání elementu v neaktivním módu:
  1. Aktivujte funkci Mazání prvku.
  2. Aktivujte přepínač pro typ prvku.
  3. Identifikujte patřičný element a stiskem <DATA> potvrďte smazání.
  • Hromadné smazání elementů v aktivním módu:
  1. Aktivujte funkci Mazání prvku.
  2. Aktivujte přepínač pro typ prvku.
  3. Nastavte 'V ohradě'.
  4. Aktivujte přepínač 'Mód:'.
  5. Nastavte atributy prvku.
  6. Opětovně spusťte funkci Mazání prvku a potvrďte stiskem tlačítka <DATA> smazání.


Informace o elementech

5.4 Informace o elementech

Po vyvolání funkce a umístění kurzoru na požadovaný element kresby se stiskne tlačítko <DATA>. Patřičný element zešedne a jeho atributy se zobrazí v dialogovém okně Informace o prvku.


Postup

  • Dotaz na linii:
  1. Aktivujte funkci Informace o prvku.
  2. Identifikujte element stiskem <DATA>.
  3. Informace o atributech elementu se objeví v dialogovém okně. Informace o prvku.


Opravná editace

5.5 Opravná editace

Funkce Opravná editace slouží pro editaci liniové kresby a textů mapy.

Panel nástrojů obsahuje zleva doprava tyto funkce:

  • Úsečku vlož
  • Úsečku uber
  • Pč šipka
  • Popis uprav
  • Popis posuň
  • Popis otoč
  • Značku posuň
  • Průsečíky
  • Vyrovnání
  • Posun svazku

5.5.1 Úsečku vlož

je funkce pro rozdělení úsečky na dvě části.

5.5.2 Úsečku uber

je funkce, která slouží pro nahrazení dvou úseček jednou. Nahrazená úsečka má atributy první úsečky.

5.5.3 Pč šipka

je funkce, která slouží pro úpravu parcelního čísla, které nelze zobrazit v dané parcele. Funkce řeší úpravu tzv. "parcelním číslem se šipkou".

5.5.4 Popis uprav

je funkce, která slouží pro úpravu velikosti textu.

5.5.5 Popis posuň

je funkce, která slouží pro posouvání textu ve výkresu.

5.5.6 Popis otoč

je funkce, která slouží pro natáčení textu.

5.5.7 Značku posuň

je funkce, která slouží pro přesunutí mapové značky ve výkresu na jiné vhodnější místo.

5.5.8 Průsečíky

je funkce pro řešení průsečíku linií.

5.5.9 Vyrovnání

je funkce pro vyrovnání bodů do přímky. Vytvoří průsečíky z intersekcí vzniklých na jednom hlavním liniovém prvku, který kříží několik dalších linií. Kromě toho funkce automaticky odstraní kratší konce těchto linií. S výhodou se používá při vektorizaci řadové zástavby, schodů apod.

5.5.10 Posun svazku

je funkce pro posun vrcholu a všech konců do vrcholu vedoucích.


Postup

  • Vložení vrcholu do úsečky
  1. Vyberte funkci Úsečku vlož.
  2. Stisknutím tlačítka <DATA> vyberte úsečku určenou pro rozdělení.
  3. Stisknutím tlačítka <DATA> vyberte nový vrchol úseček.
  • Vypuštění vrcholu z kresby
  1. Vyberte funkci Úsečku uber.
  2. Stisknutím tlačítka <DATA> vyberte první úsečku.
  3. Stisknutím tlačítka <DATA> výběr potvrdíte.
  4. Stisknutím tlačítka <DATA> vyberte druhou úsečku.
  5. Stisknutím tlačítka <DATA> výběr potvrdíte.
  • Tvorba parcelního čísla
  1. Vyberte funkci Pč šipka.
  2. Stisknutím tlačítka <DATA> vyberte parcelní číslo.
  3. Stisknutím tlačítka <DATA> umístěte zmenšené parcelní číslo do původní parcely.
  4. Stisknutím tlačítka <DATA> umístěte druhý konec šipky mimo parcelu.
  • Změna velikosti textu (zmenšení o 30%)
  1. Vyberte funkci Popis uprav.
  2. Stisknutím tlačítka <DATA> vyberte text.
  3. Stisknutím tlačítka <DATA> volbu potvrdíte.
  • Posunutí textu
  1. Vyberte funkci Popis posuň.
  2. Stisknutím tlačítka <DATA> vyberte text.
  3. Stisknutím tlačítka <DATA> posunete text.
  • Pootočení textu
  1. Vyberte funkci Popis otoč.
  2. Stisknutím tlačítka <DATA> vyberte text.
  3. Stisknutím tlačítka <DATA> natočíte text.
  • Posunutí značky
  1. Vyberte funkci Značku posuň.
  2. Stisknutím tlačítka <DATA> vyberte značku.
  3. Stisknutím tlačítka <DATA> posunete značku.
  4. Stisknutím tlačítka <RESET> posun značky ukončíte.
  • Průsečíky:
  1. Stiskem <DATA> označte liniové prvky, které tvoří intersekci.
  2. Dalším stiskem <DATA> je vytvořen průsečík.
  3. Stiskem <RESET> je funkce ukončena.
  • Vyrovnání
  1. Stiskem <DATA> označte základní liniový prvek.
  2. Dalším stiskem <DATA> jsou vytvořeny průsečíky a současně smazány kratší konce liniových prvků.
  3. Stiskem <RESET> je funkce ukončena.
  • Posun bodů
  1. Stiskem <DATA> označte vrchol tvořený jedním nebo více prvky.
  2. Dalším stiskem <DATA> vrchol uchopíte.
  3. Dalším stiskem <DATA> (nebo <TENTATIVE><DATA>) vrchol umístíte.
  4. Stiskem <RESET> je funkce ukončena.


Spojování bodů

5.6 Spojování bodů

  • Tato funkce není součástí systému Dikat pro MicroStation GeoOutlook.

Funkce zobrazí okno umožňující vyhledávat / spojovat body z aktivního výkresu a z referenčního výkresu PČB.

  • 'Předčíslí' – pole pro zadání čísla k.ú. a ZPMZ.
  • 'Číslo' – pole pro zadání čísla bodu (Předčíslí a číslo musí dohromady tvořit úplné číslo bodu).
  • 'Akce'
  • 'Vyhledat' – najde vybraný bod a zobrazí ho ve vybraném pohledu.
  • 'Kresba – spojí body linií vybranou v Kreslení elementů.
  • 'Pohled' – výběr okna (pohledu) pro zobrazení bodu.
  • 'Okno' – velikost hrany okna (pohledu), která definuje zvětšení.
  • 'Najdi' – vyhledá požadovaný bod – stejnou funkci má i stisk klávesy Enter v poli 'Číslo'.


Postup

  • Vyhledání bodu:
  1. V dialogu Vyhledávání bodů zadejte předčíslí,
  2. Zadejte číslo bodu a stiskněte Enter.
  • Spojování bodů:
  1. Spusťte funkci Kreslení elementů a vyberte požadovaný typ linie,
  2. V dialogu Vyhledávání bodů zadejte předčíslí,
  3. Postupně zadávejte čísla bodů, které se mají spojovat – každý bod potvrďte klávesou Enter.


Vstup bodů

5.7 Vstup bodů

Funkce slouží pro vstup bodů z klávesnice do aktivního výkresu. Touto funkcí se vyvolá dialogové okno Vstup bodů.

V dialogovém okně je možno zadat tyto parametry:

  • 'Číslo bodu'
  • 'Náčrt' – pole pro zadání čísla náčrtu,
  • 'Číslo' - nastavení čísla bodu,
  • 'Souřadnice'
  • 'Y:' - pole zadání redukované souřadnice Y,
  • 'X:' - pole zadání redukované souřadnice X,
  • 'Redukce souřadnic'
  • 'dY:' - nastavení redukce Y souřadnice,
  • 'dX:' - nastavení redukce X souřadnice,
  • 'Protokol'
  • 'Protokol' – otevře dialogové okno Protokol pro práci s protokolem,
  • 'Zobraz' - po stisku tlačítka je bod uložen do výkresu,


Postup

  • Postup vložení bodu do výkresu:
  1. Zadejte číslo vkládaného bodu do 'Číslo bodu'.
  2. Zadejte Y souřadnici do řádku 'Y:', resp. redukovanou Y souřadnici.
  3. Zadejte X souřadnici do řádku 'X:', resp. redukovanou X souřadnici.
  4. Stiskněte tlačítko 'Zobraz'. Bod se uloží do aktivního výkresu a vytvoří se protokoly.


Protokol

5.7.1 Protokol

V dialogovém okně Protokol je možno nastavit jméno protokolu o výpočtu.

  • 'Soubor' – menu pro otevření / založení protokolu,
  • 'Zobraz' – zobrazí protokol v samostatném okně.


Geodetické úlohy

5.8 Geodetické úlohy

Systém Dikat zabezpečuje provedení výpočtu dále uvedených vybraných geodetických úloh a některých úloh pomocných. Zadané délkové hodnoty jsou v metrické míře a úhlové hodnoty v gradech. Ke všem úlohám jsou automaticky vyhotovovány dva protokoly o kontrolním procesu. První protokol obsahuje kompletní údaje z výpočtu a má příponu "*.pr1", a druhý protokol obsahuje pouze nově vypočtené body ve formátu pro načtení do databáze bodů a má příponu "*.pr2". Pokud je připojen referenční výkres 'PČB', jsou do výpočtu automaticky přebírána úplná čísla podrobných bodů přímo z datové báze. Pokud jsou zadány nadbytečné veličiny, program vypočte příslušné mezní odchylky. Přednastaveným adresářem pro ukládání protokolů o kontrolním procesu je "c: \[dikat40\data]\out\report".

Soubory "*.pr1" a "*.pr2" lze zobrazit libovolným textovým editorem.

Vybrané geodetické úlohy:

  • polární metoda
  • ortogonální metoda
  • průsečík přímek
  • volné stanovisko (VolneSt).

Pomocné úlohy:

  • výpočet vzdálenosti mezi dvěma body (Výpočet délek)
  • zapsání souřadnic bodů do textového souboru (Výpis souřadnic).

V tomto dialogovém okně se uvede:

  • 'Jméno protokolu:' - jméno textového souboru, do kterého se budou ukládat vypočtená data. Jméno souboru lze zadat dvojím způsobem:
  • do řádku 'Jméno protokolu:' zapíšete plnou cestu se jménem souboru bez přípony, kterou si systém doplní. Pokud se neuvede "plná cesta", protokoly se uloží do aktuálního adresáře,
  • v menu 'Nastavení' vyberete příkaz 'Soubor otevřít' a po otevření dialogového okna vyberete příslušný soubor nebo zvolte příkaz 'Nový soubor' pro vytvoření nového protokolu. Jméno zvoleného protokolu se zobrazí do řádku 'Jméno souboru:',
  • 'Chr. kv.' - pro zadání kódu charakteristiky kvality u počítaných bodů
  • 'Předčíslí' - pro zadávání čísla k.ú. a čísla ZPMZ u počítaného bodu,
  • 'Číslo' - pro zadávání čísla bodu u počítaného bodu.


Polární metoda

5.8.1 Polární metoda

Funkce slouží pro výpočet souřadnic podrobných bodů polární metodou. V dialogovém okně je možno nastavit tyto parametry:

  • 'Stanovisko'
  • 'Náčrt:' - pro zadání čísla náčrtu stanoviska,
  • 'Číslo:' - pro zadání čísla bodu stanoviska,
  • 'Y:' - pro zadání y-ové souřadnice stanoviska,
  • 'X:' - pro zadání x-ové souřadnice stanoviska,
  • 'Nové St' - tlačítko pro smazání nastavených hodnot,
  • 'VložBod' - tlačítko pro interaktivní zadání souřadnic "Y", "X" z výkresu pomocí kurzoru dle nastaveného přepínače 'Souř.:',
  • 'Souř.:' - volba pro nasměrování zadávání souřadnic stanoviska nebo orientace tlačítkem 'VložBod',
  • 'Orientace'
  • 'Náčrt:' - pro zadání čísla náčrtu orientace,
  • 'Číslo:' - pro zadání čísla bodu orientace,
  • 'Směr:' - pro zadání směru na orientaci,
  • 'Vzdál.:' - pro zadání vzdálenosti na orientaci,
  • 'Y:' - pro zadání y-ové souřadnice orientace,
  • 'X:' - pro zadání x-ové souřadnice orientace,
  • 'Přidat' - tlačítkem se přidá orientace do seznamu orientací,
  • 'Ubrat' - tlačítkem je zrušena zvýrazněná orientace v seznamu orientací,
  • 'Určovaný bod'
  • 'Náčrt:' - pro zadání čísla k.ú. a čísla ZPMZ určovaného bodu,
  • 'Číslo:' - pro zadání čísla bodu určovaného bodu,
  • 'Směr' - pro zadání směru na určovaný bod,
  • 'Vzdál.:' - pro zadání vzdálenosti na určovaný bod,
  • 'Y:' - pro zobrazení y-ové souřadnice určovaného bodu,
  • 'X:' - pro zobrazení x-ové souřadnice určovaného bodu,
  • 'Výpočet' - tlačítkem je spuštěn výpočet bodu polární metodou.


Postup

  • Postup výpočtu:
  1. Spusťte funkci 'Nové St.' (vynuluje všechna pole v dialogovém okně).
  2. Spusťte funkci 'VložBod' s přepínačem 'Souř.:' nastaveným na 'Stanovisko'.
  3. Stiskem tlačítek <TENTATIVE>, <DATA> zvolte stanovisko (vloží se automaticky souřadnice stanoviska).
  4. Stiskem tlačítek <TENTATIVE>, <DATA> zvolte orientaci počátečního směru (zobrazí se souřadnice orientačního bodu).
  5. Zadejte z klávesnice směr a vzdálenost na orientační bod z měření do textových polí 'Směr:', 'Vzdál.:'.
  6. Vyberte funkci 'Přidat'.
  7. V případě orientace na více bodů opakujte kroky 4 – 6.
  8. Zadejte z klávesnice směr a vzdálenost z měření na určovaný bod do textových polí 'Směr:' a 'Vzdál.:' v části dialogového okna 'Určovaný bod'.
  9. Vyberte funkci 'Výpočet'. Vypočtený bod se zobrazí v aktuálním výkresu.
  10. V případě více určených bodů opakujte krok 1 a 9.
  11. Výsledné protokoly "*.pr1" a "*.pr2" se ukládají do adresáře "c:\[Dikat40\data\]out\report".


Ortogonální metoda

5.8.2 Ortogonální metoda

Funkce slouží pro výpočet souřadnic podrobných bodů ortogonální metodou. Touto funkcí se vyvolá dialogové okno, v němž je možno nastavit tyto parametry:

  • 'Identické body'
  • 'Stan.:' - pro zadání staničení na identickém bodě,
  • 'Kolm.:' - pro zadání kolmice na identickém bodě,
  • 'Y:' - pro zadání y-ové souřadnice identického bodu,
  • 'X:' - pro zadání x-ové souřadnice identického bodu,
  • 'VložBod' - po stisku tlačítka se očekává interaktivní zadání souřadnic "Y", "X" pomocí kurzoru,
  • 'Klíč' - tlačítko pro výpočet a zobrazení transformačního klíče,
  • 'Přidat' - tlačítko pro přidání identického bodu do seznamu identických bodů,
  • 'Ubrat' - tlačítkem je zrušen zvýrazněný identický bod v seznamu identických bodů,
  • 'Určovaný bod:'
  • 'Náčrt:' - pro zadání čísla k.ú. a ZPMZ určovaného bodu,
  • 'Číslo:' - pro zadání čísla bodu určovaného bodu,
  • 'Staničení:' - pro zadání staničení určovaného bodu,
  • 'Kolmice:' - pro zadání kolmice určovaného bodu,
  • 'Y:' - pro zobrazení y-ové souřadnice určovaného bodu,
  • 'X:' - pro zobrazení x-ové souřadnice určovaného bodu,
  • 'Nová přímka' - tlačítkem jsou zadané údaje smazány,
  • 'Výpočet' - tlačítkem je spuštěn výpočet bodu ortogonální metodou.


Postup

  • Postup výpočtu:
  1. Vyberte funkci 'Nová přímka'
  2. Vyberte funkci 'VložBod'
  3. Stiskem tlačítka <TENTATIVE>, <DATA> zvolte počátek přímky (automaticky se vyplní souřadnice Y,X, možno zadat i z klávesnice).
  4. Z klávesnice zadejte z měření staničení a kolmici do textových polí 'Stan.:' a 'Kolm.:' (pro pevnou přímku jsou hodnoty 0,0).
  5. Vyberte funkci 'Přidat' (tím je zadán počáteční bod přímky).
  6. Opakujte kroky 2 - 5 pro koncový bod přímky (pro volný konec přímky jsou hodnoty 'Stan.:' a 'Kolm.:' různé od 0, pro pevnou přímku je automaticky vypočtena délka mezi počátečním a koncovým bodem).
  7. Po zadání měřické přímky vyberte funkci 'Klíč'. Tato funkce zapíše do protokolu parametry přímky.
  8. Z klávesnice zadejte z měření staničení a kolmici určovaného bodu do textových polí 'Staničení:', 'Kolmice:'.
  9. Vyberte funkci 'Výpočet'. Tato funkce zobrazí vypočtený bod.
  10. Výsledné protokoly "*.pr1" a "*.pr2" se ukládají do adresáře "c:\[dikat40\data]\out\report".


Průsečík dvou přímek

5.8.3 Průsečík dvou přímek

Funkce slouží pro výpočet souřadnic podrobného bodu průsečíkem ze dvou přímek.

Vstupní údaje pro výpočet lze v dialogovém okně zadat třemi způsoby:

  • čtyřmi body,
  • dvěma body a prvkem,
  • dvěma prvky.


Postup

Postupy výpočtu.

a) Průsečík určen čtyřmi body (4 body):

  1. Vyberte funkci 'Zobraz'.
  2. Stiskem tlačítek <TENTATIVE>, <DATA> zvolte první bod na první přímce.
  3. Stiskem tlačítek <TENTATIVE>, <DATA> zvolte druhý bod na první přímce.
  4. Stiskem tlačítek <TENTATIVE>, <DATA> zvolte první bod na druhé přímce.
  5. Stiskem tlačítek <TENTATIVE>, <DATA> zvolte druhý bod na druhé přímce (bod průsečíku přímek se zobrazí ve výkresu).
  6. Stiskem tlačítka <RESET> funkci ukončíte.

b) Průsečík určen dvěma body a prvkem (2 body + prvek):

  1. Stiskněte tlačítko 'Zobraz'.
  2. Stiskem tlačítek <TENTATIVE>, <DATA> zvolte první bod na první přímce.
  3. Stiskem tlačítek <TENTATIVE>, <DATA> zvolte druhý bod na první přímce.
  4. Stiskem tlačítek <DATA> vyberte prvek (např. úsečku).
  5. Stiskem tlačítek <DATA> vybraný prvek potvrďte (bod průsečíku přímek se zobrazí ve výkresu).
  6. Stiskem tlačítka <RESET> funkci ukončíte.

c) Průsečík určen dvěma prvky (2 prvky):

  1. Stiskněte tlačítko 'Zobraz'.
  2. Stiskem tlačítek <DATA> vyberte první prvek (např. úsečku).
  3. Stiskem tlačítek <DATA> vybraný prvek potvrďte.
  4. Stiskem tlačítek <DATA> vyberte druhý prvek (např. úsečku).
  5. Stiskem tlačítek <DATA> vybraný prvek potvrďte (bod průsečíku přímek se zobrazí ve výkresu).
  6. Stiskem tlačítka <RESET> funkci ukončíte.


Volné stanovisko

5.8.4 Volné stanovisko

Funkce slouží pro výpočet volného stanoviska.

V dialogovém okně je možno nastavit tyto parametry:

  • 'Orientace'
  • 'Bod:' - pole pro zobrazení čísel orientačních bodů,
  • 'Náčrt' - nastavení čísla náčrtu orientačního bodu,
  • 'Číslo' - nastavení čísla orientačního bodu,
  • 'Směr:' - nastavení směru na orientační bod,
  • 'Vzdál.:' - nastavení vzdálenosti na orientační bod,
  • 'Y:' - nastavení y-ové souřadnice orientačního bodu,
  • 'X:' - nastavení x-ové souřadnice orientačního bodu,
  • 'VložBod' - po stisku tlačítka je očekáváno interaktivní zadání souřadnic Y, X pomocí kurzoru,
  • 'Klíč' - tlačítko pro výpočet a zobrazení vypočteného transformačního klíče. Transformační klíč je počítán metodou nejmenších čtverců iteračním postupem. Je-li mezi souřadnicemi v obou soustavách příliš velký nesoulad, může dojít k situaci, že iterační proces nebude konvergovat k výsledné vyrovnané hodnotě. Je-li zapnut přepínač protokolů při použití funkce 'Klíč', zapíší se parametry transformace do protokolu,
  • 'Přidat' - tlačítkem je přidán zvolený orientační bod pro výpočet volného stanoviska,
  • 'Ubrat' - tlačítko pro vypuštění zvýrazněného orientačního bodu,
  • 'Určovaný bod'
  • 'Náčrt' - nastavení čísla k.ú. a čísla ZPMZ určovaného bodu,
  • 'Číslo' - nastavení čísla určovaného bodu,
  • 'Y' - pro zobrazení vypočtené y-ové souřadnice určovaného bodu,
  • 'X' - pro zobrazeni vypočtené x-ové souřadnice určovaného bodu,
  • 'Nový bod' - tlačítkem jsou zadané hodnoty vymazány a funkce připravena pro nový výpočet,
  • 'Výpočet' - tlačítkem je spuštěn výpočet volného stanoviska. Pokud nejsou zadány vzdálenosti na orientační body, výpočet se provede protínáním zpět. Pokud jsou zadány vzdálenosti, výpočet se provede podobnostní transformací.


Postup

  • Postup výpočtu volného stanoviska:
  1. Vyberte funkci 'Nový bod' (vynulují se všechny údaje).
  2. Vyberte funkci 'VložBod'.
  3. Stiskem tlačítka <TENTATIVE>, <DATA> zvolte první určující bod (o známých souřadnicích).
  4. Zadejte z klávesnice měřený směr a vzdálenost na první určující bod do textového pole 'Směr:', 'Vzdál.:'
  5. Vyberte funkci 'Přidat'.
  6. Opakujte pro další určující body kroky 2 - 5.
  7. Po zadání určujících bodů vyberte funkci 'Klíč' (zobrazí se vypočtené parametry).
  8. Vyberte funkci 'Výpočet'. Zobrazí se vypočtený bod v aktivním výkresu a zapíše se do protokolu.
  9. Výsledné protokoly "*.pr1" a "*.pr2" se ukládají do adresáře "c:\[Dikat40\data]\out\report".


Výpočet vzdálenosti mezi dvěma body

5.8.5 Výpočet vzdálenosti mezi dvěma body

Funkce, která slouží pro výpočet vzdálenosti mezi dvěma body.

  • Postup:
  1. Vyberte funkci 'Délky'.
  2. Stiskem tlačítek <TENTATIVE>, <DATA> zvolte počáteční bod pro měření.
  3. Stiskem tlačítek <TENTATIVE>, <DATA> zvolte koncový bod pro měření (vzdálenost se zvýrazní)
  4. Výsledky se ukládají pro protokolů.


Zapsání souřadnic bodů do textového souboru

5.8.6 Zapsání souřadnic bodů do textového souboru

Funkce Výpis souřadnic slouží pro zapsání souřadnic existujících bodů do textového souboru nebo pro zadání nového bodu kliknutím do výkresu.

  • Postup:
  1. Vyberte funkci 'Výpis souřadnic'.
  2. Stiskem tlačítek <TENTATIVE>, <DATA> zvolte bod, určený pro zapsání do textového souboru, pokud není bod nalezen v místě kliknutí <DATA> vytvořte bod nový.
  3. Dále krok 2.
  4. Stiskem tlačítka <RESET> funkci ukončíte.
  5. Výsledné souřadnice se ukládají do protokolů (pro případné načtení do databáze bodů).


Komunikační modul Dikat - Groma

5.9 Komunikační modul Dikat <-> Groma

  • Tato funkce je zpřístupněna pouze, pokud uživatel při instalaci zadá "Rozšíření Groma" a není součástí systému Dikat pro MicroStation GeoOutlook.

Popis systému Groma není součástí této příručky a lze je nalézt v originální dokumentaci systému Groma. Další popis se týká pouze komunikace mezi systémy Dikat a Groma.

Pro vzájemnou komunikaci mezi oběma systémy slouží dialogové okno Groma s roletovým menu. Toto okno se automaticky otevře při spuštění programu Groma a musí zůstat otevřené po celou dobu práce s programem Groma.


Přetahování bodů Dikat-Groma

5.9.1 Přetahování bodů DIKAT - > Groma

Každá výpočetní úloha má možnost zadávat body přímo z výkresu, do seznamu souřadnic se body zadávají pomocí okna Vstup souřadnic.

Pro vstup bodu z výkresu (úplné číslo bodu, souřadnice a kód charakteristiky kvality bodu) do okna vybrané výpočetní úlohy nebo okna Vstup souřadnic slouží tlačítko 'Vstup bodů z výkresu' [image].


Postup

  • Vstup bodů:
  1. Zvolte požadovanou úlohu (výpočetní úlohy, přidávání bodů do seznamu apod.).
  2. U položky, kterou chcete ukázat ve výkresu, stiskněte tlačítko 'Vstup bodů z výkresu'. Tlačítko zůstane stisknuté a zobrazí se červeně. Ve stavovém řádku (komunikačním okně) MicroStation se objeví hlášení Odečítání souřadnic.
  3. Ukažte bod ve výkresu stisknutím tlačítka <Tentative> a potvrďte tlačítkem <Data>. Souřadnice budou automaticky přeneseny do dialogového okna programu Groma.


Přetahování bodů Groma-Dikat

5.9.2 Přetahování bodů Groma - > DIKAT

Body lze přetahovat myší na plochu okna DIKAT stejně, jako se přetahují mezi datovými okny a do výpočtů. Lze přetahovat jednotlivé body i skupiny označených bodů. Po přetažení jsou body okamžitě zobrazeny “tečkou” ve výkresu, úplné zobrazení je provedeno až po překreslení výkresu.


Postup

  • Postup při přetahování jednotlivých položek ze seznamu souřadnic nebo z výsledkové části okna výpočetní úlohy:
  1. Umístěte na požadovanou položku kurzor myši.
  2. Stiskněte levé tlačítko myši. Na zvolené položce se zobrazí kurzor.
  3. Držte stisknuté levé tlačítko myši a pohybujte jejím kurzorem po obrazovce. Při pohybu můžete sledovat, jak se kurzor myši mění podle toho, v kterém okně je právě umístěn.

Zavřená ruka

Tento tvar má kurzor na ploše okna, z něhož položku přetahujete.

Otevřená ruka

Tento tvar má kurzor na ploše okna, které je schopno přetahovaná data akceptovat.

Kříž

Kříž se objeví, je-li kurzor myši umístěn na ploše hlavního okna programu.

Zákaz

Tuto podobu má kurzor, je-li umístěn na ploše okna, které není schopno přetahované údaje přijmout.

  1. Je-li kurzor umístěn na správném okně, uvolněte levé tlačítko myši. Data jsou přesunuta nebo zkopírována na příslušné místo.
  • Postup při přetahování bloku položek ze seznamu souřadnic:
  1. Označte požadované položky v seznamu (pravým tlačítkem myši nebo funkcí označ).
  2. Umístěte kurzor myši kamkoli do okna, z něhož chcete data přetahovat.
  3. Stiskněte prostřední tlačítko myši. Pokud máte pouze dvoutlačítkovou myš, stiskněte levé tlačítko spolu s klávesou <Shift>.
  4. Držte stisknuté prostřední (levé) tlačítko myši a pohybujte jejím kurzorem po obrazovce. Další postup je shodný jako při přetahování jedné položky. Liší se pouze některé podoby kurzoru:

Zavřené ruce

Tento tvar má kurzor na ploše okna, z něhož blok přetahujete.

Otevřené ruce

Tento tvar má kurzor na ploše okna, které je schopno přetahovaná data akceptovat (jiný seznam stejného typu, výpočetní dialogové okno atd.).


Funkce komunikačního modulu

5.9.3 Funkce komunikačního modulu

5.9.3.1 Nabídka 'Soubor'

  • 'Vytvořit bod' – vytvoří bod na zadaném místě ve výkresu
  • 'Editovat bod' – opraví informace o vybraném bodu
  • 'Vytvořit popisy' – pro účely systému Dikat nepoužíváno
  • 'Exportovat seznam souřadnic' – Vytvoří textový seznam souřadnic bodů z aktivního výkresu:
  • 'Jméno souboru' – pole na zadání jména výstupního souboru
  • 'Vybrat' – otevře dialog na zadání výstupního souboru
  • 'Typ souboru' – formát ukládání souřadnic do výstupního souboru
  • 'Zápis' – spustí funkci – pokud je definovaná ohrada, zapíší se do souboru jenom body v ohradě.
  • 'Odstranit duplicitní body' – funkce odstraní všechny duplicitní body (stejné číslo bodu a stejné souřadnice) v aktivním výkresu.
  • 'Přenést body do Gromy ...' – funkce umožní přenos všech bodů / bodů v ohradě z aktivního výkresu a z referenčního výkresu ”PCB” do okna Vstup souřadnic.
  • 'Vyhledání / spojování bodů' – funkce otevře dialogové okno Vyhledávání bodů. viz. kap. 5.6
  • 'Mazání bodů' – funkce otevře dialogové okno Mazání bodů.

Okno Mazání bodů:

  • 'Min: Předčíslí, číslo' – pole pro zadání dolní hranice rozsahu čísel.
  • 'Max: Předčíslí, číslo' – pole pro zadání horní hranice rozsahu čísel.
  • 'Smazat' – odstraní všechny body v aktivním výkresu, které vyhovují zadaným kritériím. Po smazání se ve stavovém řádku zobrazí informace o počtu smazaných bodů.

5.9.3.2 Nabídka 'Nastavení'

  • 'Zobrazit body' – zapne dynamické zobrazování informací o bodech
  • 'Skrýt body' – vypne dynamické zobrazování informací o bodech
  • 'Zobrazení bodů' – otevře dialogové okno Parametry zobrazení bodů –viz. 7.2
  • 'Atributy' – otevře dialogové okno pro nastavení parametrů zápisu bodů z Gromy do Dikatu. Doporučuje se ponechat stávající nastavení:

  • 'Souřadnice' – otevře dialog pro přepočet souřadnic při přenosu z Gromy do Dikatu. Doporučuje se ponechat stávající nastavení:


Postup

  • Hromadný přenos bodů z výkresu “PCB” do Gromy:
  1. Ve výkresu referenčně připojte výkres “PCB” – viz Manažery výkresů.
  2. Pokud chcete přenést body z části mapy, umístěte ohradu.
  3. Spusťte program Groma.
  4. V programu Groma založte nový / otevřete seznam souřadnic.
  5. V seznamu stiskem tlačítka <Insert> otevřete okno Vstup souřadnic a zapněte tlačítko 'Vstup bodů z výkresu' – viz Přetahování bodů DIKAT - > Groma.
  6. Zapněte funkci 'Přenést body do Gromy ...' z menu 'Soubor' komunikačního modulu 'Groma'.
  7. Tlačítkem <Data> potvrďte obsah ohrady / celý výkres.


Transformace

5.10 Transformace

Systém Dikat samostatně od ostatních geodetických úloh zabezpečuje provedení výpočtu Transformace. K úloze jsou automaticky vyhotovovány dva protokoly o kontrolním procesu. První protokol obsahuje kompletní údaje z výpočtu a má příponu "*.pr1", a druhý protokol obsahuje pouze nově vypočtené body ve formátu pro načtení do databáze bodů a má příponu "*.pr2". Pokud jsou zadány nadbytečné veličiny, program vypočte příslušné mezní odchylky. Přednastaveným adresářem pro ukládání protokolů o kontrolním procesu je "[c:\dikat40\data\]out\report".

Soubory "*.pr1" a "*.pr2" lze zobrazit libovolným textovým editorem.

V dialogovém okně Transformace je možno nastavit tyto parametry:

  • 'Identické body' – oblast slouží pro zadávání a odstraňování identických bodů,
  • 'Y', 'X', 'y´', 'x´', - souřadnice identického bodu v cílové (Y) a vstupní (y´) souřadnicové soustavě.
  • 'Vložit' - po stisku tlačítka je očekáván vstup souřadnic lokalizací tlačítkem <TENTATIVE> v grafickém souboru. Souřadnice jsou uloženy v polích 'Y', 'X' a 'y´', 'x´' podle volby 'Cíl' / 'Vstup',
  • 'Přidat' - tlačítko pro přidání zvoleného identického bodu do transformace,
  • 'Ubrat' - tlačítkem lze vypustit zvýrazněný identický bod z transformace,
  • 'Zobrazit' – tlačítko pro zobrazení informace o výpočtu transformace a zobrazení linií spojujících identické body,
  • 'Uložit' – uloží informace o identických bodech a typu transformace do souboru ,
  • 'Načíst' – načte informace o identických bodech a typu transformace ze souboru,
  • 'Inverze' – při načítání identických bodů a transformačního klíče jsou zaměněny vstupní a výstupní souřadnice.
  • Transformační klíče se ukládají do [c:\dikat40\data\]out\transfor\*.txt – jména souborů odpovídají jménu výkresu.
  • 'Typ transformace' – nastavení typu transformace pro výpočet. Program umožňuje počítat tři typy transformace:
  • 'Posun' - měřítkové koeficienty jsou rovny jedné. Pro tuto transformaci stačí dva identické body,
  • 'Podobnostní' - transformační klíč bude mít ve směru os Y a X stejné měřítkové koeficienty. Pro tuto transformaci stačí dva identické body,
  • 'Afinní' - transformační klíč bude mít různé měřítkové koeficienty pro směr osy Y a X. Tento typ transformace vyžaduje alespoň tři identické body,
  • ' Výkres' / ' Soubor' – přepínač určuje předmět transformace a tím také další podobu dialogového okna:
  • 'Výkres' - přepínač pro transformaci aktivního výkresu. Je-li přepínač zapnut, budou se transformovat elementy aktivního výkresu. Pokud je ve výkresu nastavena ohrada (obdélníková), budou se transformovat pouze prvky v ohradě.

  • 'Ztotožnění BPEJ' – pokud je políčko zaškrtnuto, bude po transformaci automaticky spuštěna funkce Posun bodů BPEJ – viz dále,
  • 'Zaokrouhlit na cm' – při zaškrtnutí je veškerá kresba zaokrouhlována na cm.
  • 'Soubor' - přepínač pro transformaci textového souboru. Je-li přepínač zapnut, budou se transformovat body z textového souboru.

  • 'Zobrazit' - přepínač pro nastavení zobrazení vypočtených bodů do výkresu. Je-li přepínač zapnut, bude se zobrazovat ve výkresu výsledek transformace (body ze souboru v poli 'Výstup') podle nastavených hodnot. Tyto hodnoty se dají nastavit v okně Nastavení parametrů,
  • 'Nastavení' – otevře okno Nastavení parametrů,
  • 'Vstup' - pole pro nastavení názvu a cesty vstupního TXT souboru seznamu souřadnic,
  • 'Výstup' - pole pro nastavení názvu a cesty výstupního TXT souboru seznamu souřadnic,
  • 'Nová tr.' - tlačítkem jsou vymazány zadané hodnoty v dialogovém okně a funkce je připravena pro nové zadání,
  • 'Výpočet' - tlačítkem je spuštěn výpočet transformace,
  • 'Storno' - tlačítkem je uzavřeno dialogové okno transformace,
  • 'Protokol' - tlačítko pro otevření dialogového okna pro nastavení protokolu o výpočtu.
  • Pro každé k.ú. lze uložit jeden transformační klíč.


Posun bodů BPEJ

5.10.1 Posun bodů BPEJ

Funkce se automaticky spouští po transformaci, pokud byla zaškrtnuta volba 'Ztotožnění BPEJ'. Funkce pro každý lomový bod kresby BPEJ hledá v zadaném okolí lomový bod kresby DKM a pokud je takovýto bod nalezen, je k němu kresba BPEJ “přitažena”. Funkce vyhotovuje protokol o zpracování v [c:\dikat40\data\]out\report\tbon???.txt. Dialogové okno obsahuje:

  • 'Limit (cm)' – číselná hodnota, uvádějící do jaké vzdálenosti má funkce hledat kresbu DKM,
  • 'Proveď' – spustí funkci.
  • Pokud spustíte výpočet transformace bez zadaných identických bodů, bude pouze spuštěna tato funkce.


Nastavení parametrů

5.10.2 Nastavení parametrů

V dialogovém okně Nastavení parametrů je možno nastavit tyto parametry:

  • 'Ch. kv.' - pole pro zadání kódu charakteristiky kvality vypočtených bodů (volba je přednastavena na hodnotu "3").
  • 'Formát TXT:' – Formát vstupního / výstupního souboru souřadnic.


Protokol

5.10.3 Protokol

V dialogovém okně Protokol je možno nastavit jméno protokolu o výpočtu.

  • 'Soubor' – menu pro otevření / založení protokolu,
  • 'Zobraz' – zobrazí protokol v samostatném okně.


Postup

  • Transformace grafického souboru:
  1. Nastavte typ transformace: posun, podobnostní nebo afinní.
  2. Zadejte souřadnice identického bodu pro transformaci 'Y', 'X' a 'y´', 'x´' . Souřadnice lze zadat pomocí klávesnice nebo stiskem funkce 'Vložit' a pomocí tlačítek <TENTATIVE>, <DATA> ukázáním na identický bod.
  3. Stiskněte tlačítko 'Přidat'. Program automaticky přepočítává transformační klíč a zobrazuje souřadnicové opravy na jednotlivých bodech. Počet identických bodů je omezen pouze kapacitou volné operační paměti. Po přepočítání klíče se spustí funkce na vkládání bodů.
  4. Body 3 - 4 opakujte do zadání všech identických bodů.
  5. Zapněte přepínač 'Výkres'.
  6. Pokud je to vhodné, umístěte ohradu.
  7. Spusťte výpočet stisknutím tlačítka 'Výpočet'.
  • Transformace seznamu souřadnic:
  1. Nastavte typ transformace: posun, podobnostní nebo afinní.
  2. Zadejte souřadnice identického bodu pro transformaci 'Y', 'X' a 'y´', 'x´' . Souřadnice lze zadat pomocí klávesnice nebo stiskem funkce 'Vložit' a pomocí tlačítek <TENTATIVE>, <DATA> ukázáním na identický bod.
  3. Stiskněte tlačítko 'Přidat'. Program automaticky přepočítává transformační klíč a zobrazuje souřadnicové opravy na jednotlivých bodech. Počet identických bodů je omezen pouze kapacitou volné operační paměti. Po přepočítání klíče se spustí funkce na vkládání bodů.
  4. Body 3 - 4 opakujte do zadání všech identických bodů.
  5. Zadejte úplnou cestu a jméno vstupního souboru s daty (soubor "*.txt").
  6. Zadejte úplnou cestu a jméno výstupního souboru pro uložení vypočtených dat, a to pouze v případě, že chcete vypočtené souřadnice ukládat do samostatného, eventuálně nového souboru ("*.txt"). Jestliže chcete vypočtené souřadnice bodů ukládat do obecného souboru, zadaného v hlav. menu GÚ, zůstane pole pro 'Výstup' prázdné.
  7. Stiskněte tlačítko 'Výpočet'.


Změny platnosti bodu

5.11 Změny platnosti bodu

  • Tato funkce není součástí systému Dikat pro MicroStation GeoOutlook.

Funkce Body - platnost umožňuje zobrazit a změnit informaci o stavu bodu (položka STAV) a informaci o charakteristice kvality bodu ( položka TRIDA ) v databázi bodů a ve výkresu PČB. Bod je určen výběrem grafického prvku. Podporován je grafický prvek "Line" (úsečka), "Cell" (buňka) a “Arc” (oblouk).

  • 'Bod' – informace o vyhledaném bodě.
  • 'Vyber' - tlačítko pro zahájení režimu výběru grafického prvku, s jehož body se má pracovat. Po stisku 'Vyber' funkce požaduje vybrat prvek. Pokud je vybraný prvek úsečka, nabídne se ke zpracování nejprve koncový bod, který je blíže kurzoru, jímž byl grafický prvek vybrán. Stiskem tlačítka <RESET> lze tento bod odmítnout a nechat vybrat druhý koncový bod. Pokud je vybraný prvek buňka, je bez dotazu akceptován vztažný bod buňky,
  • 'Měnit ihned' - přepínač režimu změny bodu:
  • 'zapnuto' ... atributy bodu se mění na nastavené hodnoty ihned po jeho výběru,
  • 'vypnuto' ... atributy bodu budou změněny až po stisku tlačítka 'Změna',
  • ('Stav bodu') - volbou v levé spodní části dialogového okna prvním přepínačem lze nastavit nový stav vybraného bodu. Je možno nastavit tyto hodnoty:
Neměnit | Neprovede změnu
Vstupní | 0
Platný | 1
Vyřazený | 2
Chybný | 3
  • ('Charakteristika kvality bodu') - volbou v levé spodní části dialogového okna druhým přepínačem lze nastavit nový stav vybraného bodu. Je možno nastavit tyto hodnoty:
Neměnit | Neprovede změnu
1.(0,04m) | 1
2.(0,08m) | 2
3.(0,14m) | 3
4.(0,26m) | 4
Neobsazeno | 5
Digit. 1:1000 | 6
Digit. 1:2000 | 7
nebo třídy přesnosti | 8

V dialogovém okně se vždy zobrazí hodnoty vybraného bodu (souřadnice Y,X , aktuální stav a aktuální charakteristika bodu). Pokud není vybraný bod v databázi bodů, je vypsáno "Nenalezen" do obou polí ‘Stav‘ a ‚Třída přesnosti‘.

Při změně třídy přesnosti bodu je tato změna reflektována i v souboru PCB, pokud však tento soubor již existuje.

Je-li třeba změnit v databázi bodů informaci o stavu bodů vybraných objektů z hodnoty "vstupní" na hodnotu "platný" dávkově, je nutné nejdříve vybrat elementy, kterých se změna týká – viz postup. Stejným postupem lze i dávkově změnit u vybraných objektů dávkově třídu přesnosti.


Postup

  • Dávková změna platnosti bodů vybraných objektů

  1. Funkcí Vybrat prvek (šipka) vyberte body u kterých chcete provést změnu.
  2. Zvolte funkci Změny platnosti bodu, která otevře dialogové okno Změna platnosti bodu. V dialogových oknech nastavte potřebné parametry.
  3. Tlačítkem 'Vyber' se v tomto případě otevře další dialogové okno Změna vstupní -> platný.
  4. V tomto dialogovém okně se zadá číslo "ZPMZ" a údaj se potvrdí tlačítkem 'OK'. Funkce změní informaci o stavu bodu u všech vybraných vstupních bodů nalezených v databázi.


Sestavení GP

5.12 Sestavení GP

Funkce slouží k automatickému vytváření formulářů Výpočet výměr, Výkaz dosavadního a nového stavu údajů katastru nemovitostí a Výkaz údajů o BPEJ.


Ovládání programu

5.12.1 Ovládání programu

Program se ovládá pomocí základního dialogového okna. Dialogové okno je pomocí záložek členěno na jednotlivé logické celky. Prvních pět záložek slouží pro zadávání vstupních dat, pod zbývajícími třemi záložkami jsou zobrazeny výsledné formuláře.

Vstupní hodnoty se zadávají do tabulek. Některé položky je třeba vyplnit ručně, některé jsou zadávány výběrem z nabídky. Na některých záložkách je tlačítko pro odečítání čísla parcely a vypočtené plochy přímo z výkresu ('?').

Editace tabulek - Při zadávání údajů stačí umístit kurzor na příslušnou buňku a začít psát. Pokud buňka již nějaký údaj obsahovala, bude přepsána. Při úpravě původního údaje, je možno režim editace vyvolat dvojitým kliknutím na buňku.

Obsah buňky se vymaže, umístí-li se na ni kurzor a stisknou klávesy <Ctrl><Del>.

Vkládání řádků - Pokud se vyplňuje tabulka obvyklým způsobem, tj. postupně shora dolů, není nutno se o přidávání řádků starat. Program přidává prázdné řádky na konec tabulky automaticky. Při vkládání prázdného řádku jinam, než na konec tabulky, je nutno přemístit kurzor na řádek, před nějž má být nový řádek vložen, a zvolit v nabídce [Editace - Vložit řádek], nebo stisknout kombinaci kláves <Ctrl><Ins>. Před řádek, na němž je kurzor, bude vložen prázdný řádek.

Rušení řádků – Při zrušení celého řádku je nutno na něj umístit kurzor, zvolit v nabídce [Editace - Zrušit řádek], nebo stisknout kombinaci kláves <Ctrl><Del>. Celý řádek bude z tabulky odstraněn.

Kopírování údajů – Kterýkoli údaj nebo blok údajů na jiné místo tabulky se zkopíruje následujícím způsobem:

1.Kopírovaný blok se označí pomocí myši nebo kurzorovými klávesami společně s klávesou <Shift>.

  • Celý řádek se označí pouhým ukázáním myší na první buňku (buňku, v níž je zobrazeno číslo řádku).

2.Data na původním místě se podle potřeby ponechají nebo zruší příkazem [Editace - Kopíruj] nebo [Editace - Přenes].

3.Na jiném místě tabulky se označí blok, kam mají být data vložena.

  • Označená oblast, do níž mají být data zkopírována, musí mít stejné rozměry (stejný počet řádků a sloupců), jako kopírovaná oblast.

Změna pořadí řádků – Při záměně některých řádků se může použít kopírování údajů pomocí schránky.

Nejprve se vloží prázdný řádek na místo, kam mají být data zkopírována. Potom se výše popsaným způsobem zkopíruje celý řádek. Nakonec se původní řádek zruší.

Zpracování geometrického plánu - Po zadání vstupních dat (případně jejich načtení ze souboru) lze zpracování geometrického plánu spustit příkazem 'Soubor' > 'Zpracovat' nebo klávesou <F4>.


Nastavení modulu a popisové pole

5.12.2 Nastavení modulu a popisové pole

Dialogové okno s nastavením se vyvolá příkazem 'Geometrický plán' > 'Volby'. V okně se mohou měnit následující parametry:

  • 'Opravy dosavadního stavu ve výkazu' - tímto přepínačem se volí, zda mají být ve výkazu výměr uvedeny opravy dosavadního stavu (škrtnutí dosavadního stavu a nadepsání nového stavu tak, jak se uvádí ve výpočtu výměr).
  • 'Zobrazovat seznam nabyvatelů' - zde se zvolí, zda má být pod tabulkou výkazu výměr uveden seznam nabyvatelů.

Popisové pole

Údaje, které mají být vyplněny v tabulce geometrického plánu (popisové pole), se vyplňují v dialogovém okně, které lze vyvolat příkazem 'Geometrický plán' > 'Popisové pole'.

Měřítko grafických podkladů slouží k výpočtu mezních odchylek ve výměrách.

Srážka mapového listu bude uvedena na začátku výpočetního protokolu.

  • Program srážku pouze vyplní do formuláře, ale předpokládá, že jsou výměry již opraveny, a žádnou opravu ze srážky mapových listů do výpočtu nezavádí.


Definování obsahu tabulek

5.12.3 Definování obsahu tabulek

Údaje pro katastr nemovitostí se zadávají na prvních třech záložkách dialogového okna.

5.12.3.1 Dosavadní stav KN

V této tabulce je třeba zadat parcely dosavadního stavu katastru nemovitostí, včetně výměr a způsobu jejich určení. Zadávají se následující údaje:

  • 'Staré číslo' - parcelní číslo dle katastru nemovitostí.
  • 'Výměra' - výměra parcely v m2.
  • 'Kvalita' - způsob určení výměry pozemku. Kvalita se může zvolit z nabízeného seznamu.
  • 'Druh pozemku'- druh pozemku (kulturu) lze zvolit z nabízeného seznamu kultur.
  • 'Způsob využití'- doplňující nepovinný údaj ke kultuře. Bude-li zadán, bude ve výsledném výkazu výměr zobrazen spolu s druhem pozemku ve formě zlomku.
  • 'Číslo LV'- číslo listu vlastnictví.
  • 'Opravit'- pomocí tohoto přepínače lze vynutit opravu dosavadní výměry parcely ve formuláři pro výpočet výměr i ve výsledním výkazu výměr. Je-li tento přepínač vypnut, bude v případě překročení mezní odchylky vznesen dotaz, zda se má odchylka vyrovnat nebo zda má být původní výměra opravena. Pokud žádnému z dílů příslušné parcely nelze opravu přiřadit, bude oprava celkové výměry provedena vždy.
  • 'Identifikátor paragrafu (§ Id)' - zde lze zvolit identifikátor příslušného paragrafu, podle něhož je výměra parcely změněna. Uskuteční-li se tato změna (v závislosti na dalších okolnostech a nastaveních), bude dále uvedeno plné znění důvodu změny.
  • 'Paragraf (§)'- po stisknutí tohoto tlačítka se zobrazí dialogové okno, v němž lze prohlížet a editovat seznam paragrafů opravňujících ke změně výměry parcely. V levé části tabulky je zkrácený identifikátor, pomocí něhož se paragrafy v tabulkách zadávají. V pravé části je plné znění, které bude uvedeno ve výsledných tabulkách. Počáteční znaky plného znění (do první mezery) budou použity jako symbol označující příslušnou opravu.

5.12.3.2 Nový stav KN

Zde se vyplní parcely nového stavu katastru nemovitostí. Zadávají se následující údaje:

  • 'Nové číslo' - nové parcelní číslo.
  • 'Výměra' - nově určená výměra parcely. Pokud je možno výměru odvodit z dále zadaných parcelních dílů, není třeba ji zde vyplňovat.
  • 'Způsob určení' - způsob, kterým byla nová výměra určena. Způsob lze zvolit z nabízeného seznamu.
  • 'Druh pozemku a způsob využití' - druh pozemku a způsob využití v novém stavu (podrobnosti viz Dosavadní stav).
  • 'Nevyrovnávat'- tímto přepínačem lze ručně ovlivňovat vyrovnání dílů parcely. Je-li u parcely tento přepínač zapnut, nebude provedeno vyrovnání parcelních dílů na celkovou výměru parcely.
  • 'Nabyvatel' - jméno a adresu nabyvatele lze zadat dvěma způsoby: Pokud se jedná o nového nabyvatele, který se v zadání ještě neobjevil, lze jej do vstupního okénka přímo vypsat. Jedná-li se o nabyvatele, který již zadáván byl, lze jej vybrat ze seznamu.
  • 'Odeč.' – tlačítko pro načtení čísla parcely a výměry z výkresu, pokud je již parcelní číslo v 'Nové číslo' definováno je ve výkresu parcela vyhledána automaticky.

Má-li být údaj o nabyvateli ve výsledném výkazu výměr rozepsán na více řádků, lze při zadávání tyto řádky oddělit znakem \ (zpětné lomítko).

Pokud nebude nabyvatel uveden, neobjeví se tato parcela v porovnání se stavem evidence právních vztahů ve formuláři Výkaz dosavadního a nového stavu údajů KN.

5.12.3.3 Díly KN

V této tabulce se definují všechny parcely a parcelní díly, které mají ve výsledných tabulkách figurovat. Zadávají se tyto údaje:

  • 'Staré číslo'- dosavadní číslo dílu dle platného stavu katastru nemovitostí. Číslo lze přímo zadat z klávesnice, nebo vybírat ze seznamu parcel uvedených ve starém stavu.
  • 'Nové číslo'- nové číslo, které příslušnému dílu připadne dle geometrického plánu. Číslo lze přímo zadat z klávesnice, nebo vybírat ze seznamu parcel uvedených v novém stavu.
  • 'Nový díl'- nové označení dílu, které příslušnému dílu připadne dle geometrického plánu.
  • 'Výměra a způsob určení'- výměra dílu a způsob, jakým byla výměra určena. Způsob určení lze volit ze seznamu.
  • 'Mapový list'- označení mapového listu, na němž příslušný díl leží.
  • 'Vyrovnávat'- pomocí tohoto přepínače lze volit, zda má být dílu, při vyrovnání dílů číselně určené výměry, přiřazena oprava. Tento přepínač je třístavový:
  • Neutrální stav - V tomto stavu není explicitně definováno, zda má být díl opravován. Program o opravě dílu rozhodne automaticky podle způsobu určení výměry. Nastavení je indikováno tmavě šedým čtverečkem na světle šedám pozadí. Na tento stav je přepínač přednastaven automaticky.
  • Vypnuto - Je-li přepínač v tomto stavu, nedostane díl při vyrovnání opravu. Stav je indikován prázdným světle šedým čtverečkem.
  • Zapnuto - Je-li přepínač v tomto stavu, dostane díl při vyrovnání opravu bez ohledu na ostatní okolnosti. Stav je indikován červeným zaškrtnutím.
  • 'BPEJ' – po stisknutí tlačítka je zobrazeno dialogové okno, v němž se mohou pro každý díl zadat postupně kódy BPEJ a k nim příslušné výměry..
  • 'Odeč.' – tlačítko pro odečtení výměry dílu z výkresu.

5.12.3.4 Údaje dřívější pozemkové evidence

  • 'Stav dřívější pozemkové evidence'- v tomto okně se zadávají údaje dřívější pozemkové evidence, které slouží pro porovnání se stavem evidence právních vztahů.
  • 'Číslo, výměra a list vlastnictví'- zde se vyplní parcelní čísla a výměry všech parcel, které vstupují do porovnání. Pokud jako číslo listu vlastnictví bude uvedena nula, tato parcela nebude v porovnání uvedena.
  • 'Podklad'- zde se uvede označení druhu evidence, odkud údaje pocházejí (např. PK).
  • 'Opravit'- pomocí tohoto přepínače lze vynutit opravu dosavadní výměry parcely ve formuláři pro výpočet výměr i ve výsledném výkazu výměr. Je-li tento přepínač vypnut, bude v případě překročení mezní odchylky vznesen dotaz, zda se má odchylka vyrovnat, nebo zda má být původní výměra opravena. Pokud žádnému z dílů příslušné parcely nelze opravu přiřadit, bude oprava celkové výměry provedena vždy.
  • 'Nevyrovnávat'- tímto přepínačem lze ručně ovlivňovat vyrovnání dílů parcely. Je-li u parcely tento přepínač zapnut, nebude provedeno vyrovnání parcelních dílů na celkovou výměru parcely.
  • 'Část'- pokud nejsou v seznamu dílů DPE zadány všechny díly příslušné parcely, byla by ve výkazu výměr zobrazena chybně zbytková výměra parcely. V takovém případě lze zapnout tento přepínač a program určí zbytkovou výměru odpočtem jednotlivých zadaných dílů od celkové výměry.
  • 'Identifikátor paragrafu (§ Id)' - zde lze zvolit identifikátor příslušného paragrafu, podle něhož je výměra parcely změněna. Uskuteční-li se tato změna (v závislosti na dalších okolnostech a nastaveních), bude dále uvedeno plné znění důvodu změny.
  • 'Paragraf (§)'- po stisknutí tohoto tlačítka se zobrazí dialogové okno, v němž lze prohlížet a editovat seznam paragrafů opravňujících ke změně výměry parcely. V levé části tabulky je zkrácený identifikátor, pomocí něhož se paragrafy v tabulkách zadávají. V pravé části je plné znění, které bude uvedeno ve výsledných tabulkách. Počáteční znaky plného znění (do první mezery) budou použity jako symbol označující příslušnou opravu.

5.12.3.5 Díly parcel dřívější pozemkové evidence

Zde se zadají všechny díly parcel dřívější pozemkové evidence pro porovnání se stavem evidence právních vztahů.

  • 'Staré číslo, nové číslo, nový díl'- tyto tři údaje slouží pro jednoznačné přiřazení dílu dřívější pozemkové evidence k dílu KN. Údaje jsou voleny ze seznamů, které přebírají hodnoty zadané v dílech parcel KN.
  • 'Číslo DPE, díl'- zde se vyplní parcelní číslo a označení dílu dle dřívější pozemkové evidence.
  • 'Vyrovnávat'- pomocí tohoto přepínače lze volit, zda má být dílu při vyrovnání dílů číselně určené výměry přiřazena oprava.
  • 'Ostatní údaje' - ostatní údaje se zadávají obdobně jako u dílů parcel katastru nemovitostí.
  • 'BPEJ' – tlačítko pro zadání údajů pro sestavení výkazu o bonitovaných půdně-ekologických jednotkách se zadávají. Po stisknutí tlačítka je zobrazeno dialogové okno, v němž se mohou pro každý díl zadat postupně kódy BPEJ a k nim příslušné výměry..
  • 'Odeč.' – tlačítko pro odečtení výměry dílu z výkresu.

5.12.3.6 Doplňující údaje

  • 'Texty' - v této tabulce se mohou zadat libovolné texty pro doplnění geometrického plánu.
  • 'Zobrazovat' - pomocí tohoto přepínače se může zapnout nebo vypnout umisťování příslušného textu, aniž by bylo třeba jej mazat a znovu zadávat.
  • 'Tabulka' - zde se zvolí, do které výstupní tabulky má být text umístěn.
  • 'Pozice' - v seznamu se zvolí požadovaná pozice pro umístění textu.
  • 'Umístění' - zvolí se typ relativního umístění vzhledem k zadané pozici (Před nebo Za)
  • 'Text' - do tohoto řádku se zadá požadovaný text. Je-li potřeba vložit víceřádkový text, rozepíše se na více položek, a jednotlivé položky se zadají do seznamu textů (všechny se stejným umístěním).


Výsledné tabulky

5.12.4 Výsledné tabulky

Zadané vstupní hodnoty se zpracují pomocí příkazu [Soubor - Zpracovat] nebo stiskem klávesy <F4>. Program vygeneruje výsledné tabulky, které si lze prohlédnout přímo v dialogovém okně, nebo pomocí náhledu před tiskem ([Soubor - Náhled]).


Vstupy a výstupy

5.12.5 Vstupy a výstupy

5.12.5.1 Ukládání dat do souboru

Příkazem [Soubor - Ulož] nebo [Soubor - Ulož jako] nebo kombinací kláves <Ctrl-S> lze celé zadání geometrického plánu zapsat do souboru. Soubory s geometrickým plánem mají příponu .gp.

5.12.5.2 Čtení dat ze souboru

Geometrický plán, dříve uložený do souboru, lze ze souboru opět načíst příkazem [Soubor - Otevři] nebo kombinací kláves <Ctrl-O>. Po načtení je geometrický plán automaticky zpracován.

5.12.5.3 Náhled před tiskem

Výsledné tabulky lze před tiskem zkontrolovat přímo v dialogovém okně programu, nebo v tiskovém náhledu, vyvolaném příkazem [Soubor - Náhled] nebo kombinací kláves <Ctrl-V>. V okně s náhledem lze volit, která strana má být zobrazena, a lze nastavovat zvětšení zobrazení.

5.12.5.4 Tisk

Vlastní tisk tabulky se spustí příkazem [Soubor - Tisk] nebo kombinací kláves <Ctrl-P>. Před tiskem je zobrazeno dialogové okno, v němž lze volit výstupní zařízení.

5.12.5.5 Export do DXF

Tabulky lze pomocí příkazu [Soubor - Exportuj tabulku] uložit do souboru ve formátu DXF, který lze načíst do dalších aplikací (MicroStation). Vzhled tabulky lze definovat v dialogovém okně [Soubor - Nastavení DXF].


Tvorba ZPMZ a GP

5.13 Tvorba ZPMZ a GP

Dialogové okno Tvorba ZPMZ a GP obsahuje skupinu funkcí pro vytváření a úpravu kresby ZPMZ, geometrického plánu a vytyčovacího náčrtu (dále ZPMZ a GP). Obsah ZPMZ i GP se kreslí do jednoho výkresu typu ZGV. Funkce na kartě 'Zadání' umožňují zakládat nové výkresy ZPMZ a GP a otevírat stávající.

Karta 'Kresba' obsahuje skupinu funkcí pro úpravu stávající kresby a doplnění nového obsahu výkresu (jedná se o kresbu, jež není součást struktury DKM – např. věcné břemeno, kroužek kolem p.č., ..).

Pomocí funkcí na kartě 'Výstup' lze vytvářet optimalizované výstupy na obrazovku a současně i pro tisk. Výstupní funkce automaticky zobrazí pouze ty elementy výkresu, které odpovídají danému typu výstupu (např. v kresbě ZPMZ je měřická síť, v kresbě GP nikoliv).

Dalším typem výstupu je vytvoření výkresu obsahující pouze novou a rušenou kresbu, na tento výkres lze spustit kontrolní funkce systému Dikat (kontrola zavedení GO do DKM) a po provedených kontrolách se tento výkres převede do výměnného formátu a předá na K.Ú.

  • Navržený postup práce je uveden v kap. 9 Systémové příručky.
  • Název výkresu ZGV je stejný jako název výkresu DKM, ze kterého vznikne výřezem, přípona je definována čtyřmístným číslem ZPMZ – tento způsob zakládání výkresů umožňuje založit samostatný výkres pro každý ZPMZ a GP.
  • V systému Dikat pro MS GeoOutlook nelze aktivnímu výkresu zadat jinou příponu než “.rdl”, proto musí i výkres ZGP mít příponu “rdl” – proto lze v každém k.ú. zpracovávat pouze jeden výkres ZGV a po zpracování jej přejmenovat.

Kresba ZPMZ a GP se zakresluje do vrstev 33-59. Výstupní funkce zapínají / vypínají příslušné vrstvy pro zobrazení (tisk) žádaného obsahu. Pokud je třeba do kresby zanést jakýkoliv další prvek, je vhodné jej umístit do vrstvy, která nejlépe odpovídá typu elementu. Obsah vrstev:

vrstva | prvek | zobrazovat v
 |  | GP | ZPMZ | vyt. n.
33 | identické body | X | X | X
34 | popis identických bodů | X | X | X
35 | nové body | X | X |
36 | popis nových bodů | X | X |
37 | vytyčované body |  |  | X
38 | popis vytyčovaných bodů |  |  | X
39 | původní body |  | X | X
40 | popis původních bodů |  | X | X
44 | šrafování budov (z funkce “Výpočet ploch”) |  | X | X
45 | měřené oměrné |  | X | X
46 | vypočtené oměrné | X |  |
50 | neplatný stav | X | X |
51 | oměrné identických bodů |  | X | X
52 | měřická síť - směr |  | X | X
52 | měřická síť |  | X | X
52 | body bodových polí |  | X | X
53 | mapový rám | X | X | X
54 | popis mapového rámu |  | X | X
55 | ploty | X | X | X
55 | právní hranice - dosavadní | X | X | X
55 | slučka na dosavadní hranici | X | X | X
57 | číslo náčrtu - ZPMZ | X | X |
58 | věcné břemeno | X | X |
59 | právní hranice - nová | X | X |
59 | kroužky kolem parcelních čísel | X | X |
59 | slučka na nové hranici | X | X |
59 | parcelní díl | X | X |

  • 'Měřítko' – pole na zadání měřítka, ve kterém se má vytvářet kresba ZPMZ a GP (v závorce je uvedeno měřítko podkladu převzaté z projektu),
  • Kresbu ZPMZ a GP se doporučuje vytvářet ve stejném měřítku jako je výchozí výkres DKM.
  • 'ZPMZ' – číslo záznamu podrobného měření změn, které obdrží zpracovatel na příslušném katastrálním úřadě.

Každá karta obsahuje tlačítko 'Spustit', které slouží pro spuštění vybrané funkce.


Karta Zadání

5.13.1 Karta 'Zadání'

Karta obsahuje funkce pro založení nového výkresu pro nové č. ZPMZ nebo pro otevření již existujícího.

  • 'Otevřít existující' – otevře výkres ZGV (pokud existuje) s názvem odpovídající aktivnímu a s příponou čtyřmístného čísla 'ZPMZ',
  • 'Formát' – umístění “testovacích” formátů pro určení výřezu z kresby DKM
  • 'Rám' – zakreslení formátu zadaných výkresů do výkresu,
  • 'Automat. výřez' – po zadání formátu do výkresu DKM se automaticky spustí funkce výřez,
  • 'Výška:' – pole na zadání výšky formátu,
  • 'Šířka:' – pole na zadání šířky formátu.
  • 'Výřez' – na základě zadaného výřezu založí nový výkres ZGV.
  • 'Spustit' – spustí vybranou funkci.


Postup

  • Založení nového výkresu s kresbou ve formátu A4 pro ZPMZ 1241 (v k.ú. 124, č. okresu 3505):
  1. Otevřete výkres 3505124.dgn (v MS GeoOutlook rdl).
  2. Pokud není vyplněn zápis v projektu učiňte tak.
  3. Otevřete dialog Tvorba ZPMZ a GP.
  4. Zadejte 'ZPMZ' 1241.
  5. Na kartě 'Zadání' zaškrtněte přepínač Formát.
  6. Zaškrtněte volbu 'Automat. výřez'.
  7. Nastavte hodnoty 'Výška:' a 'Šířka:' (280, 200).
  8. Spusťte funkci tlačítkem 'Spustit'.


Karta Kresba

5.13.2 Karta 'Kresba'

Karta obsahuje funkce pro vytváření nové kresby ZPMZ a GP a editaci stávající kresby DKM.

5.13.2.1 'Linie'

Kresba liniových prvků ZPMZ a GP.

  • 'Typ' – výběrový seznam pro zadání typu kreslené linie,
  • 'Spustit' – spustí kresbu vybrané linie.

5.13.2.1 'Oměrné'

Výpočet oměrných měr a jejich zápis do výkresu.

  • 'Délka:' – vypočtená délka, v tomto poli jde vypočtená délka přeeditovat,
  • 'Posun:' – určuje vzdálenost středu textu od linie,
  • 'Metoda' – způsob určení délky:
  • “Úsečka” – délka bude zadána liniovým elementem ve výkresu
  • “2 body” – délka bude zadána dvěma koncovými body
  • 'Typ' – typ oměrné:
  • “(d)” – délka vypočtená ze souřadnic (je zakreslena jen v GP)
  • “-d-”, “d” - délka přímo měřená (je zakreslena jen v ZPMZ a vyt. náčrtu)
  • 'Spustit' – spustí funkci.

5.13.2.3 'Texty'

Zakreslování “pomocných” textů.

  • 'Text' – pole na zadání textu,
  • 'Typ' – druh textu:
  • “díl”
  • “náčrt”
  • “ZPMZ”
  • 'Spustit' – spustí funkci.

5.13.2.3 'Úpravy'

Funkce umožňující upravit stávající kresbu DKM.

  • 'Úloha' – určuje druh funkce, která se spustí po stisku tlačítka 'Spustit'. Funkce jsou zadávány pomocí ikon ve výběrovém seznamu:
  • zakreslení přeškrtnutí na hranici
  • zakreslení slučky
  • zakreslení přeškrtnutí značky nebo p.č.
  • zakreslení kroužku kolem nového p.č.
  • označení elementu atributem ZPMZ a “pro zrušení”
  • označení elementu atributem ZPMZ (nový element)
  • zápis bodů – viz dále
  • změna měřítka
  • 'zakreslení slučky' – zkopíruje bod zakreslený jako “tečka” z aktivního výkresu nebo z PCB do příslušné vrstvy a doplní textem
  • 'Atribut' – “nový stav”,

    –“dosavadní stav”

  • 'označení elementu atributem ZPMZ' – zkopíruje bod zakreslený jako “tečka” z aktivního výkresu nebo z PCB do příslušné vrstvy a doplní textem
  • 'Vytyčovací hranice' – označení linie, která se má na Vytyčovacím náčrtu tisknout tlustě.
  • 'zápis bodů' – zkopíruje bod zakreslený jako “tečka” z aktivního výkresu nebo z PCB do příslušné vrstvy a doplní textem.

  • 'bod' – určuje typ bodu:
  • “identický”
  • “nový”
  • “vytyčovaný”
  • “původní”
  • “bod bodového pole”
  • 'Spustit' – spustí vybranou funkci.


Postup

  • Zakreslení hodnoty přímo měřené délky:
  1. Pokud není otevřeno dialogové okno Tvorba ZPMZ a GP, učiňte tak.
  2. Zkontrolujte hodnotu v poli 'ZPMZ'.
  3. Na kartě 'Kresba' zaškrtněte přepínač 'Oměrné'.
  4. 'Metodu' nastavte na “Úsečka”.
  5. 'Typ' nastavte na “-d-”.
  6. Stiskněte tlačítko 'Spustit'.
  7. Ve výkresu vyberte linii u které chcete zapsat délku.
  8. Délka vypočtená z výkresu se zapíše do 'Délka', kde je možno ji přeeditovat.
  9. Tlačítkem <DATA> potvrdíte umístění délky na zobrazené straně linie, Tlačítkem <RESET> pak na opačné.
  • Zakreslení kroužku kolem nového parc. čísla:
  1. Pokud není otevřeno dialogové okno Tvorba ZPMZ a GP učiňte tak.
  2. Zkontrolujte hodnotu v poli 'ZPMZ'.
  3. Na kartě 'Kresba' zaškrtněte přepínač 'Úpravy'.
  4. Ve výběrovém seznamu vyberte ikonu 'p.č. v kroužku' .
  5. Stiskněte tlačítko 'Spustit'.
  6. Ve výkresu vyberte parcelní číslo kolem kterého chcete umístit kroužek.
  7. V případě potřeby je nyní možno kroužek upravit.
  • Zkreslení nového bodu:
  1. Pokud není otevřeno dialogové okno Tvorba ZPMZ a GP učiňte tak.
  2. Zkontrolujte hodnotu v poli 'ZPMZ'.
  3. Na kartě 'Kresba' zaškrtněte přepínač 'Úpravy'.
  4. Ve výběrovém seznamu vyberte ikonu 'body' .
  5. 'Bod' nastavte na “nový”.
  6. Pokud chcete přenášet body z výkresu PCB připojte ho.
  7. V menu dialogu Parametry zobrazení bodů proveďte nastavení, které nejvíce vyhovuje Vašim potřebám.
  8. Stiskněte tlačítko 'Spustit'.
  9. Ve výkresu vyberte bod, který chcete zapsat do výkresu ZGV.
  10. Stiskněte tlačítko <DATA>.


Karta Výstup

5.13.3 Karta 'Výstup'

Karta obsahuje funkce pro vytvoření výstupů na obrazovku a pro tisk.

  • 'Zobrazení' – nastavení pro zobrazení jen určitého obsahu výkresu ZGV:
  • 'Vše' – zobrazí veškerou kresbu ve výkresu,
  • 'GP' – zobrazí pouze prvky geometrického plánu,
  • 'nová kresba' – zobrazí se pouze nová kresba DKM,
  • 'pro zrušení' – zobrazí se pouze kresba “pro zrušení” DKM,
  • 'ZPMZ' – zobrazí pouze prvky ZPMZ,
  • 'nová kresba' – zobrazí se pouze nová kresba DKM,
  • 'pro zrušení' – zobrazí se pouze kresba “pro zrušení” DKM,
  • 'GP' – zobrazí pouze prvky vytyčovacího náčrtu.
  • 'Tisk' – nastavení pro vytvoření tiskové podoby výkresu:

  • 'Vše' – veškerá kresbu ve výkresu,
  • 'GP' – pouze prvky geometrického plánu,
  • 'ZPMZ' – pouze prvky ZPMZ,
  • 'GP' – pouze prvky vytyčovacího náčrtu,
  • 'mód' – při zaškrtnutí se veškerá kresba převede do tiskové struktury,
  • 'barva' – při zaškrtnutí se veškerá kresba převede na černobílou (mimo měř. sítě),
  • 'síla' – při zaškrtnutí se síla čar veškeré kresba převede do tiskové struktury.
  • 'Výkres' – tlačítko pro návrat (z tiskového výkresu) do výkresu ZGV.
  • V ýstup do tiskové podoby je vhodné provádět ze 'Zobrazení' nastaveného na 'Vše'.
  • 'Výstup pro K.Ú.' – nastavení pro vytvoření výkresu GP. Na výkres vytvořený toto funkcí lze spustit kontrolní funkce a výstup do VKM

  • 'Výkres' – tlačítko pro návrat (z výkresu GP) do výkresu ZGV.
  • 'Spustit' – spustí vybranou funkci.


Postup

  • Zobrazení pouze prvků GP :
  1. Pokud není otevřeno dialogové okno Tvorba ZPMZ a GP učiňte tak.
  2. Zkontrolujte hodnotu v poli 'ZPMZ'.
  3. Na kartě 'Výstup' zaškrtněte přepínač 'Zobrazení'.
  4. Zaškrtněte 'GP' a zrušte zaškrtnutí v 'nová kresba' a 'pro zrušení'.
  5. Stiskněte tlačítko 'Spustit'.
  • Tisk obsahu ZPMZ v standardizované struktuře:
  1. Pokud není otevřeno dialogové okno Tvorba ZPMZ a GP učiňte tak,
  2. Zkontrolujte hodnotu v poli 'ZPMZ',
  3. Na kartě 'Výstup' zaškrtněte přepínač 'Zobrazení' a 'Vše',
  4. Stiskněte tlačítko 'Spustit',
  5. Na kartě 'Výstup' zaškrtněte přepínač 'Tisk',
  6. Zaškrtněte 'ZPMZ' + 'mód', 'barva' a 'síla',
  7. Stiskněte tlačítko 'Spustit',
  8. Nově vytvořený výkres je možno vytisknou pomocí standardních tiskových funkcí MicroStation,
  9. Zpět do výkresu ZGV se můžete vrátit tlačítkem 'Výkres'.


Rozdělení plochy

5.14 Rozdělení plochy

Funkce provádí dělení plochy přidáním objektu do aktivního výkresu (souboru).

Nastavení:

  • Karta 'Způsob dělení'
  • 'Určení plochy' – určuje, jaká oblast se bude dělit:
  • 'KÚ' – celé k.ú.,
  • 'Parcela' – zvolená parcela,
  • 'Vnitř. kresba' – vybraná vnitřní kresba,
  • 'Vše' – jakákoliv kresba,
  • 'Budova' – kresba s atributy “hranice budovy”,
  • 'Počet dílů:' – určuje, na kolik dílů se má plocha rozdělit (vždy +1),
  • 'Prvek' – při zapnutém přepínači je směr dělení udáván vybranou linií ve výkresu,
  • 'Dělení v:' – určuje, jaká hodnota se zadává do pole 'Dělit po:',
  • 'Dělit po:' – pole pro zadání velikosti dílů,
  • 'Dělit' – spustí funkci dělení plochy.
  • Karta 'Parametry'

  • 'Vrstva' – definuje, do jaké vrstvy se má zakreslit objekt,
  • 'Barva:' – barva čáry objektu,
  • 'Tloušťka:' – tloušťka čáry objektu,
  • 'Typ:' – typ čáry objektu,
  • 'Vyplnění' – přepínač pro vybarvení objektu,
  • 'Barva' – barva výplně objektu,


Postup

  • Rozdělení parcely:
  1. Aktivujte funkci Rozdělení plochy.
  2. Přepínač v 'Určení plochy' nastavte na 'Parcela'.
  3. Zadejte velikost požadované plochy.
  4. Stiskem <DATA> vyberte parcelu pro dělení
  5. Stiskem <DATA> zvolte první koncový bod směrové úsečky.
  6. Stiskem <DATA> zvolte druhý koncový bod směrové úsečky.
  7. Ve výkresu se zobrazí první díl a dialog s otázkou, zda tento objekt zakreslit do výkresu.
  8. Bod 7 se opakuje do navržení všech dílů
  9. Pokud je oddělená část na "špatné straně" parcely, zadejte znova body směrové úsečky, tentokrát v opačném pořadí.
  10. Na lomové rohy vytvořeného objektu lze chytit novou kresbu.


Kontroly

5.15 Kontroly

Dialog Kontroly se skládá z kartotéky, která obsahuje 8 záložek. Každá záložka zastupuje jeden typ kontrol (kromě záložky Nastavení). Dále obsahuje 2 tlačítka (Start, Konec – jejich význam bude vysvětlen níže) a výběrový seznam 'Použití'.

  • 'Použití' – volbou lze aktivovat různé režimy kontrol:
  • Celé kat. území – kontroluje celý výkres (na umístěné ohrady není brán zřetel).
  • Ohrada vně – kontroluje se vnější oblast vymezená ohradou (ohrada by měla být umístěna před zahájením kontroly – před stisknutím tlačítka start).
  • Ohrada vnitřek – kontroluje se vnitřní oblast vymezená ohradou (ohrada by měla být umístěna před zahájením kontroly – před stisknutím tlačítka start).
  • 'Start' - toto tlačítko spustí tu kontrolu, která má aktivní kartu. V případě, že pro danou kartu není kontrola definována, je tlačítko Start zašedlé (nepřístupné).
  • 'Konec' - toto tlačítko slouží k ukončení aplikace kontroly.


Karta Nastavení dialogu Kontroly

5.15.1 Karta Nastavení dialogu Kontroly

Položky dialogového okna Nastavení pro vykonávání povelů jsou:

  • 'Nastavení k.ú.'
  • 'Pořadové číslo k.ú.' - do tohoto editačního políčka se zadává pořadové číslo katastrálního území v okrese (využívá se zejména ke generování jmen databázových souborů – nyspaXXX.dbf,…).
  • 'Název výkresu' – implicitně je přednastaven název aktivního výkresu.
  • 'Číslo okresu' - číslo okresu.
  • 'Vztažné měřítko' - zadává se vztažné měřítko výkresu (v tomto měřítku jsou ve výkresu zakresleny značky a texty).
  • 'Měřítko podkladu' - zadává se měřítko výkresu. Toto měřítko se následně používá při kontrole odchylek.
  • 'Kontrolovat výkres'
  • Aktivní – všechny kontroly se vztahují na aktivní výkres.
  • Dle struktury - veškeré kontroly se provádějí na výkresech, které jsou vybrány z níže uvedeného seznamu:
  • DKM
  • DGN
  • GP
  • Simulovat zavedení – je aktivní pouze při aktivním tlačítku GP.
  • 'Chybové značky'
  • 'Vrstva'- určuje do jaké vrstvy se má chybová značka umístit. Přednastavená hodnota je 30.
  • 'Velikost' - určuje velikost chybové značky.
  • 'Velikost dle vztažného měřítka' – velikost chybové značky se řídí dle nastaveného vztažného měřítka.
  • 'Singularita' - slouží k nastavení parametrů pro tolerování některých chyb zjištěných během výpočtu. Chyby 'Blízkost uzlů', 'Blízkost uzlu a linie' či 'Délky mimo rozsah' lze označit umístěním značky jako přípustná singularita kresby. Poté již nebudou považovány za chybu.
  • Akceptuj singulární body (značky) - je-li přepínač zapnut, akceptují se umístěné značky singulárních bodů.
  • Vrstva: - vrstva značek singulárních bodů.
  • Název: - název značky pro singulární body.
  • 'Protokol' – určuje, zda se během kontrol bude vytvářet protokol chyb a jeho následné umístění.
  • 'Vyhotovil' - obsahuje jméno osoby, která je zodpovědná za prováděné kontroly.
  • 'Kat území' - obsahuje jméno kontrolovaného katastrálního území.
  • 'Před každou kontrolou mazat soubor DGE' – určuje, zda se má před každou kontrolou mazat dosavadní soubor DGE (pokud existuje).


Karta Ploch dialogu Kontroly

5.15.2 Karta Ploch dialogu Kontroly

Funkce Kontrola ploch obsahuje funkce umožňující detekovat chyby plošných objektů. Průběh výpočtu všech funkcí lze předčasně ukončit stiskem tlačítka zrušit.

  • 'Kontroly'
  • 'Struktura parcel' - kontroluje se struktura parcely (pokud je objekt uvnitř parcely spojen úsečkou s hranicí parcely aniž by tvořil samostatný polygon). Ukázka takové parcely:

  • 'KN parcely s LV obsahující parcely ZE' - kontroluje se každá parcela katastru nemovitostí s LV v DKM, zda neobsahuje parcelní čísla zjednodušené evidence.
  • 'KN parcely bez LV neobsahující parcely ZE' - kontroluje se každá parcela katastru nemovitostí bez LV v DKM, jestli také obsahuje parcelní čísla zjednodušené evidence.
  • 'Parcely KN s několika parcelními čísly' - kontroluje se každá parcela katastru nemovitostí zda neobsahuje několik parcelních čísel katastru nemovitostí.
  • 'Parcely ZE s několika parcelními čísly' - kontroluje se každá parcela ZE, jestli neobsahuje několik parcelních čísel ZE.
  • 'Parcely KN bez parcelních čísel' - kontroluje se každá parcela katastru nemovitostí, zda obsahuje právě jedno parcelní číslo katastru nemovitostí.
  • 'Parcely ZE bez parcelních čísel' - kontroluje se každá parcela vedená doposud ve zjednodušené evidenci, zda obsahuje právě jedno parcelní číslo zjednodušené evidence.
  • 'Pravoúhlost' - kontroluje se, zda se každá budova skládá pouze z pravých úhlů (odchylku od pravého úhlu lze nastavit v oddíle pravoúhlost).
  • 'Duplicitní parcelní čísla KN' - vyhledávají se parcelní čísla katastru nemovitostí, která jsou ve výkresu použitá několikrát.
  • 'Struktura parcelních čísel' - jedná se o případy, kdy parcelní číslo obsahuje nepovolený znak nebo má jinou vadu ve svém označení (příkladem nesprávné struktury parcelního čísla jsou např. tato označení: 7_158///1, k153).
  • 'Stavební parcelní čísla neležící uvnitř budov' - kontroluje se, zda stavební parcelní číslo leží v budově ( uzavřený polygon musí obsahovat jak stavební parcelní číslo tak i značku stavební parcely).
  • 'Obvodové linie' - kontroluje se struktura obvodových linií parcel (ZE i KN).
  • 'Pravoúhlost' - zde se nastavuje odchylka od pravého úhlu.
  • 'Kontrolovat i parcely doposud vedené v ZE' - pokud je tato volba aktivní, provádějí se pouze kontroly KN parcel (ostatní kontroly nejsou přístupné)


Karta DKM - SPI dialogu Kontroly

5.15.3 Karta DKMó SPI dialogu Kontroly

Funkce DKM < = > SPI slouží k propojení celého výkresu s databází SPI a ke kontrole souladu databáze SPI s výkresem. Funkce porovná parcelní čísla v databázi s parcelními čísly umístěnými v grafickém souboru DKM a pracuje pouze v aktivním výkresu a v rozsahu celého výkresu. Výsledek je uložen do souboru v přednastaveném adresáři ("c:\dikat\out\report\"-konfigurační proměnná MG_REPORT).

  • 'Kontrolovat'
  • 'Přebytečná parcelní čísla' - kontroluje se, zda každá parcela (KN i ZE) v DKM je také uvedena v databázi SPI. Není-li, pak je zapsána do chybového protokolu přebytečných parcel (nyspaXXX.tdb).
  • 'Chybějící parcely' - kontroluje se, zda každá parcela existující (KN i ZE) v databázi SPI je také zakreslena v DKM. Pokud nikoliv, pak je zapsána do chybového protokolu chybějících parcel (nyspaXXX.tma).
  • 'Porovnání výměr' - kontrolují se výměry parcel (ZE i KN) v DKM, jsou-li v dopustné odchylce vůči výměře uvedené v SPI.
  • 'Správnost kódu druhu pozemku' - kontrolují kódy druhu pozemku u parcel v DKM, zda souhlasí s kódy druhu pozemku v databázi SPI. V případě, že si uživatel přeje případný nesoulad mezi DKM a SPI automaticky opravit (nesprávná značka druhu pozemku v DKM se nahradí značkou druhu pozemku dle SPI) musí zaškrtnout políčko na pravé straně této kontroly (ve sloupci automatické kontroly).
  • 'BPEJó Nysbo' - tato kontrola není aktivní.
  • Nastavení automatických oprav - vztahuje se pouze ke kontrole Správnost kódu druhu pozemku:
  • 'Značky druhu poz. umísťovat vždy' - značky druhu pozemku se do příslušné parcely umístí vždy (stačí, když se do parcely vejde pouze vztažný bod buňky).
  • 'Značky druhu poz. neumísťovat při kolizi s hranici parcely čí parcelním číslem' - značky druhu pozemku se do příslušné parcely umísťují pouze v případě, že se neprotínají ani s hranicí parcely ani s parcelním číslem.
  • 'Kontrolovat i parcely doposud vedené v ZE' - pokud je tato volba aktivní, provádějí se pouze kontroly KN parcel (ostatní kontroly nejsou přístupné)
  • 'Po skončení spustit externí editor' - tato volba určuje, zda po skončení funkce Kontrola DKMó SPI se má vyvolat externí program, ve kterém si lze prohlédnout výstupní protokoly a dál s nimi pracovat.
  • 'Výměra určená' - zde si uživatel nastavuje vzorec pro počítání mezní odchylky, dle přílohy 13.1. sloupec 2 nebo 3 Vyhlášky 190/1996 Sb.
  • 'Struktura výstupního protokolu DKMó SPI' - toto tlačítko spustí dialogový box Struktura výstupního protokolu DKMó SPI, ve kterém si může uživatel nastavit strukturu výstupního protokolu.

5.15.3.1 Struktura výstupního protokolu DKMó SPI

  • 'Do výst. protokolu se zapisují' - nastavuje se pouze formát výstupního souboru nyspaXXX.vym (toto je implicitní název výstupního protokolu výměr).
  • 'Všechny parcely' – zapisují se všechny parcely.
  • 'Parcely s LV' - zapisují se pouze parcely s LV.
  • 'Parcely bez LV' – do výstupního protokolu se zapisují pouze parcely bez LV.
  • 'Parcely, kterým zbývá do odch.' – do výstupního protokolu se zapisují pouze ty parcely, jejichž výměře zbývá do odchylky X m2.
  • 'Parcely, jejichž rozdíl je větší než' - do výstupního protokolu se zapisují pouze ty parcely, jejichž rozdíl výměry mezi DKM a SPI je větší než X m2.
  • 'Parcely, jejichž rozdíl je roven' - do výstupního protokolu se zapisují pouze ty parcely, jejichž rozdíl výměry mezi DKM a SPI je roven X m2.
  • 'Parcely s kódem kvality' - do výstupního protokolu se zapisují pouze ty parcely, jejichž kód kvality je roven zadané hodnotě.
  • 'Výpis parcel dle odchylky'
  • 'Pouze mimo odchylky' – zapisují se parcely jejichž výměra je přes dopustnou odchylku.
  • 'Bez ohledu na odchylku' – zapisují se všechny parcely.
  • 'Struktura výstupního protokolu' - tato struktura se týká pouze výstupního protokolu výměr.
  • 'Parcelní skupina' – do výst. protokolu se zapíše parcelní skupina.
  • 'Kmenové parc. číslo' - do výst. protokolu se zapíše kmenové parcelní číslo.
  • 'Parcelní poddělení' - do výst. protokolu se zapíše parcelní poddělení.
  • 'Díl' - do výst. protokolu se zapíše díl parcely.
  • 'Výměra SPI' - do výst. protokolu se zapíše výměra z SPI.
  • 'Výměra SGI' - do výst. protokolu se zapíše výměra z SGI.
  • 'Rozdíl' - do výst. protokolu se zapíše rozdíl výměr SPI a SGI.
  • 'Dopustná odchylka' - do výst. protokolu se dopustná odchylka výměry z SPI.
  • 'Kvalita' - do výst. protokolu se zapíše kvalita parcely dle SPI.
  • 'Hodnocení odchylky' - do výst. protokolu se zapíše hodnocení odchylky (V POŘÁDKU nebo CHYBA).
  • 'Parcely těchto parcelních skupin' - do výstupního protokolu se zapisují pouze parcely, které mají shodnou parcelní skupinu s některou z dále vypsaných parc. skupin. Tuto možnost lze kombinovat s výše uvedenými přepínači.
  • 'Zapisovat hlavičku do výst. protokolu' - zapisují se informace o kontrolovaném katastrálním území, jméno osoby, datum a čas do všech výstupních protokolů.


Karta DKM - DB dialogu Kontroly

5.15.4 Karta DKMó DB dialogu Kontroly

Funkce DKM < = >DB pracuje pouze v aktivním výkresu a v rozsahu celého výkresu. Proces vytvoří pro body chybějící ve výkresu textový soubor "DGNooxxx.txt". Pro solitérní body, které leží samostatně (nejsou na konci linie), vytvoří soubor "SLVooxxx.txt". Funkce dále umožňuje zkontrolovat, zda pod každým lomovým bodem výkresu existuje v databázi bodů příslušný bod a opačně. Pokud tomu tak není, vytvoří se textový soubor souřadnic bodů, které nejsou obsahem databáze nebo kresby. Pro body, které neleží na centimetrové mřížce se vytvoří textový seznam souřadnic těchto bodů "ZKRooxxx.txt". Uživatel má možnost zadat údaje ("ZPMZ", "začátek číslování bodů", "třídu přesnosti – kód charakteristiky kvality") pro soubor chybějících bodů v databázi ("DBFooxxx.txt") a vytvořit tak nový textový seznam souřadnic, který lze implementovat (znovu načíst) do databáze bodů.

  • 'Kontroly'
  • 'Body, které jsou v databázi, ale nejsou ve výkresu'
  • 'Body, které jsou ve výkresu, ale nejsou v databázi'
  • 'Solitérní body' – body, které leží samostatně a jsou liniově vázané.
  • 'Body mimo centimetrovou mřížku' – body, které nejsou “zaokrouhleny” na centimetry.
  • 'Umístění značek PBPP' – kontroluje se, zda bod, který je v databázi veden jako PBPP je tak veden i v DKM.
  • 'Umístění bodů' – kontroluje se logika umístění jednotlivých bodů (stožár vysokého napětí může být pouze v lomovém vedení vysokého napětí – nebo musí ležet vně všech linií, atd….).
  • 'Číslo ZPMZ' - nastaví se číslo ZPMZ.
  • 'Body číslovat od' - nastaví se číslo prvního chybějícího bodu v databázi bodů,
  • 'Třída přesnosti bodů' - nastaví se kód charakteristiky kvality chybějících bodů,
  • 'Kontroly bez databáze bodů' – budou se provádět pouze ty kontroly, které nevyžadují připojení databáze bodů.
  • 'Zakreslovat chybové značky do výkresu' - přepínač umožňuje umísťovat "chybové" značky do výkresu "*.dge" v místě, kde kontrola odhalila chybu (bod není ve výkresu, bod výkresu není v databázi, chyba umístění PBPP, špatně umístěn bod). Chybové značky lze zpracovávat manažerem chyb.


Karta Oblouky, kruž. dialogu Kontroly

5.15.5 Karta Oblouky, kruž.

Funkce Oblouky, kružnice kontroluje a zároveň přiřazuje elementům typu oblouk a kružnice uživatelský atribut. Uživatelský atribut obsahuje geometrickou definici elementu (souřadnice bodů), který v systému MicroStation jinak nelze zapsat nebo odvodit. Z uživatelského atributu jsou identifikované souřadnice krajních a prostředního bodu oblouku a souřadnice tří bodů definujících kružnici. Tyto souřadnice jsou potřebné jednak pro správný výstup elementů typu oblouk a kružnice do VKM, jednak pro bezchybné vyhodnocení kontroly 'Porovnání DKM s databází bodů'.

Pro správnou definici oblouku jsou nutné v DB tři body.

Pro kružnici definovanou:

  • středem a poloměrem je nezbytný v DB středový bod,
  • třemi body jsou nezbytné v DB tři body.

Aplikace pracuje pouze v aktivním výkresu a v rozsahu celého výkresu. Předpokládá přístupnou příslušnou databázi bodů a zohledňuje pouze body, které mají STAV "vstupní", nebo "platný". Informace o provedeném procesu jsou zapsány ve výstupním protokolu, který je implicitně umísťován do adresáře "[C:\Dikat40\data]\OUT\REPORT".

Úloha postupně:

  • kontroluje obsah výkresu z hlediska existence elementů typu oblouk a kružnice,
  • porovnává u nalezených elementů jednak nutný počet bodů, které daný element definují v DB a jednak existenci uživatelského atributu u daného elementu,
  • jestliže nalezené elementy již obsahují uživatelský atribut (to je v případě předchozího spuštění aplikace, kdy bylo přiřazení provedeno) zkontroluje, jestli souřadnice zapsané v uživ. atributu skutečně ukazují na existující bod v DB a jestli daný bod "leží" skutečně na daném elementu. Zjistí-li aplikace nesrovnalost, odpojí uživatelský atribut a přiřadí nový.

V případě, že byl nalezen element nesprávně definovaný (žádný bod uložený v DB není potřebným bodem elementu), jsou na nalezené body tohoto elementu do souboru "*.dge" zapsány chybové značky. Jestliže aplikace nenalezne žádný bod definující kružnici, umístí chybovou značku na střed. Funkce označí chybovými značkami ty body elementů, které jsou v DB a které:

  • neobsahují uživatelský atribut,
  • definují element nesprávným počtem,
  • definují element chybně přiřazeným uživatelským atributem, tzn. že souřadnice zapsané v uživatelském atributu daného elementu neukazují na bod v DB, nebo ukazují na bod, který neleží na oblouku.

Číslování nově dopočtených bodů:

  • PORCIS ... přebírá se z "project.dbf"
  • ZPMZ ... převezme ZPMZ jednoho v DB nalezeného bodu oblouku nebo kružnice. Pokud není v DB nalezen žádný bod, funkce nalezne v DB nejvyšší použité ZPMZ a přiřadí ZPMZ o 1 vyšší.
  • Číslo ... přiřadí se nejvyšší možné k danému ZPMZ.
  • Poznámka: Jestliže jsou použita všechna čísla 1-9999, nejvyšší možné je 0, další –1, -2 atd. Pak je potřeba čísla v souboru oblk????.txt ručně opravit a přiřadit jiné ZPMZ a čísla (nepoužitá).
  • Kód charakteristiky kvality ... z bodů ležících na daném prvku nalezených v DB se vybere ta hodnota, která je větší. Pokud není v DB nalezen žádný bod na daném prvku a existuje-li v dB bod se ZBP = 0 a Kódem charakteristiky kvality ? 3, je přiřazena novému bodu nalezená hodnota Kódu charakteristiky kvality se ZBP = 0. Jestliže v celé DB není bod se ZBP = 0 a Kódem charakteristiky kvality ? 3, je přiřazena hodnota 3.
  • Poznámka: Jestliže v DB chybí bod, který leží na spojnici dvou oblouků, je do souboru "oblk????.txt" zapsán dvakrát. Při pokusu načíst tento soubor do DB je hlášena chyba a pak je potřeba vždy jeden bod z dvojice bodů (jsou uvedeny v souboru "oblk????.err") o stejných souřadnicích ze souboru"oblk????.txt" vymazat. Poté je třeba spustit načtení souboru "oblk????.txt" do databáze znovu.
  • 'Kontroly'
  • 'Kružnice' – Kontrolují se pouze příslušné elementy (kružnice).
  • 'Oblouky' – Kontrolují se pouze příslušné elementy (oblouky).
  • 'Kontrola již existujících atributů' - přepínač, který umožňuje kontrolu již existujících atributů a zároveň přiřazující atribut správně definovaným elementům, které ho nemají.
  • 'Dopočet souřadnic nových bodů' - přepínač, který umožňuje podle matematických vzorců dopočet nových bodů, potřebných pro správnou definici oblouků a kružnic.


Karta Kat. území

5.15.6 Karta Kat. území

Tato kontrola je pro systém Dikat nepotřebná a nepracuje s ní.


Karta Rozpoznatelnost elementů

5.15.7. Karta Rozpoznatelnost elementů

Funkce Rozpoznatelnost elementů spouští proces pro kontrolu rozpoznatelnosti elementů. V hromadném procesu se zjišťuje, zda dané elementy odpovídají svými grafickými vlastnostmi obsahu grafického souboru DKM. Funkce pracuje pouze v aktivním výkresu.

  • 'Kontroly'
  • 'Rozpoznatelnost elementů' – kontrolují se všechny elementy zda odpovídají svými grafickými vlastnostmi obsahu grafického souboru DKM.
  • 'Vztažné měřítko elementů' – kontroluje se vztažné měřítko textů a značek zda odpovídá příslušným elementům.
  • 'Nastavení rozpoznatelnosti elementů' - vztahuje se pouze ke kontrole rozpoznatelnosti elementů.
  • 'Linie' – kontrolují se grafické vlastnosti příslušného typu elementu (v oddílu 'Elementy, které se budou kontrolovat' lze nastavit podrobnější údaje).
  • 'Texty' – kontrolují se grafické vlastnosti všech elementů typu Text, které se nacházejí v aktivním výkresu.
  • 'Značky' - kontrolují se grafické vlastnosti všech elementů typu Buňka, které se nacházejí v aktivním výkrese.
  • 'Elementy, které se budou kontrolovat' - toto nastavení se vztahuje pouze k přepínači Linie v oddílu 'Nastavení rozpoznatelnosti elementů'.
  • 'Automatické opravy elementů' - toto nastavení se vztahuje pouze ke kontrole Vztažné měřítko elementů.
  • 'Parcelní čísla u paty šipek (KN i ZE)' – opravuje se vztažné měřítko těch parcelních čísel, která jsou příliš malá (zajišťuje se soulad s formátem VKM).
  • 'Vztažné měřítko parcelních čísel a značek' – opravuje se vztažné měřítko parcelních čísel a buněk, jejichž měřítko nesouhlasí s nastaveným vztažným měřítkem.
  • 'Zobrazovat průběh procesu' - lze nastavit grafické znázorňování průběhu procesu na obrazovce (zkontrolované elementy jsou zvýrazněny). Je vhodné mít tuto možnost vypnutou, protože kontroly pak běží cca. o 30% rychleji.


Karta Kresby

5.15.8 Karta Kresby

Funkce Kresba slouží pro ovládání modulu na detekci geometrických chyb kresby. Pojem kresba zde může být chápán v širším smyslu než v obvyklé formě elementárních hranic (hranice parcel + vnitřní kresba). Kresebný soubor lze považovat za množinu kresebných segmentů, z nichž některé musí splňovat určité geometrické vztahy, např. nesmějí se protínat, být příliš blízko u sebe, nesmí mít délku mimo rozsah, atd.

Za segment se považuje úsečka, oblouk, kružnice, úsečka lomené čáry, obvodový rámeček textu a obvodový rámeček značky.

  • 'Kontroly' - 12 přepínačů určujících, jaké chyby mají být detekovány.
  • 'Nulové délky' - je-li přepínač zapnut, jsou detekovány segmenty nulové délky (body). Tuto chybu lze automatizovaně odstranit aktivováním políčka vpravo.
  • 'Délky mimo rozsah' - je-li přepínač zapnut, jsou detekovány segmenty, jejichž velikost neodpovídá stanovenému rozsahu. Hodnoty rozsahu lze nastavit v dialogovém okně Vzdálenosti a velikosti.

  • 'Volné konce' - je-li přepínač zapnut, jsou detekovány volné konce linií, tj. takové konce linií, které nemají návaznost na jinou linii nebo segment - představují tedy místo nespojitosti.
  • 'Duplicity' - je-li přepínač zapnut, jsou detekovány liniové segmenty, které se vyskytují duplicitně. Tuto chybu lze automatizovaně odstranit aktivováním políčka vpravo. Podrobnosti lze nastavit v oddíle 'Za duplicitní elementy se považuje':.
  • 'Kolineární body' - je-li přepínač zapnut, jsou detekovány konce liniových segmentů, které se vyskytují uvnitř nějakého úsečkového segmentu (na úsečce). Tyto chyby lze automatizovaně odstranit aktivováním políčka vpravo.
  • 'Vnitřní intersekce' - je-li přepínač zapnut, jsou detekovány vnitřní intersekce (neuzlové průsečíky) liniových segmentů. Tyto chyby lze automatizovaně odstranit aktivováním políčka vpravo.
  • 'Blízkost dvou uzlů' - je-li přepínač zapnut, jsou detekovány ty dvojice uzlů (krajní body společné alespoň dvěma různým liniovým segmentům), jejichž vzdálenost nedosahuje stanovenou mez. Mezní hodnota se nastavuje v dialogu Vzdálenosti a velikosti.
  • 'Blízkost uzlu a linie' - je-li přepínač zapnut, jsou detekovány ty uzly, jejichž vzdálenost k některému úsečkovému segmentu nedosahuje stanovenou mez. Mezní hodnota se nastavuje v dialogu Vzdálenosti a velikosti.
  • 'Vnitřní uzly' - je-li přepínač zapnut, jsou detekovány ty uzly, které jsou tvořeny vnitřním vrcholem lomené čáry (linestring) a mají stupeň větší než 2 (vycházejí z něj alespoň 3 linie).
  • 'Překrytí rámečku' - je-li přepínač zapnut, jsou detekována místa překrytí rámečků textových elementů či značek s nějakým dalším segmentem (např. linie přes parcelní číslo).
  • 'Blízkost rámečku' - je-li přepínač zapnut, jsou detekována místa rámečků textových elementů či značek, která jsou příliš blízko k nějakému dalšímu segmentu. Mezní hodnota se nastavuje v dialogu Vzdálenosti a velikosti.
  • 'Křivky na vlast. hra.' - je-li přepínač zapnut, jsou detekovány ty části vlastnické hranice, které jsou tvořeny křivkou
  • 'Vše' – toto tlačítko slouží k rychlému označení všech kontrol.
  • 'Topologie' - toto tlačítko slouží k rychlému označení těchto kontrol – 'Křivky na vlastnických hranicích', 'Vnitřní intersekce', 'Kolineární body', 'Volné konce'.
  • 'Parametry' - slouží k nastavení podmínek zpracování kontrol.
  • 'Obecně' – je-li přepínač zapnut, je možno nastavit interaktivně seznam vrstev, které se při kontrolách kresby budou procházet. V případě, že tento přepínač není zapnut, nelze vrstvy editovat.
  • 'Mapa Vrstev' – slouží k nastavení vrstev (lze upravovat pouze v případě, že je zaškrtnut přepínač 'Obecně'.
  • 'Hranice ZE' – tento přepínač slouží k automatickému zapnutí vrstev hranice ZE (pouze vrstva 6).
  • 'Hranice KN' - tento přepínač slouží k automatickému zapnutí vrstev hranice KN (vrstvy 1,2,13,14).
  • 'Vnitřní kresba' - tento přepínač slouží k automatickému zapnutí vrstev Vnitřní kresba ( vrstvy 1,2,13,14).
  • 'Značky' - tento přepínač slouží k automatickému zapnutí vrstev Značek - buněk ( vrstvy 25,29).
  • 'Texty' - tento přepínač slouží k automatickému zapnutí vrstev, ve kterých jsou uloženy Texty ( vrstvy 18,19).
  • 'BPEJ' - tento přepínač slouží k automatickému zapnutí vrstev, ve kterých jsou uloženy BPEJ ( implicitně vrstvy 52,53).
  • 'Za duplicitní elementy se považuje' - vztahuje se pouze na automatickou opravu duplicit.
  • 'Shodné souřad.' – opravují se pouze ty elementy, které jsou shodného typu a mají shodné souřadnice.
  • 'Shodné souřad. a atributy' - opravují se pouze ty elementy, které jsou shodného typu, se shodnými souřadnicemi a atributy (barva, vrstva, styl, tloušťka).
  • 'Vzdálenosti ' - vyvolá dialog, ve kterém lze nastavit minimální a maximální vzdálenosti a velikosti.
  • 'Podrobnosti' - vyvolá dialog, ve kterém lze nastavit seznam elementů, které se mají při kontrolách kresby uvažovat.

  • Elementy - 'Úsečka', 'Lomená čára', 'Shape', 'Oblouk', 'Elipsa', 'Křivka' - jsou-li přepínače zapnuty, jsou vstupem elementy příslušných typů.
  • Komponenty - je-li přepínač zapnut, jsou komponenty buněk chápány jako samostatné liniové elementy.
  • Text, Buňka - jsou-li přepínače zapnuty, jsou vstupem elementy příslušných typů.


Rastr

6. Rastr

V systému MicroStation SE jsou rastrové soubory připojoványpomocí funkcí Image manageru nebo jako rastrové referenční výkresy. Některé funkce systému MicroStation pro práci s rastry jsou upraveny a spouští se přímo z menu systému DIKAT.

Roletové podmenu 'Rastr' obsahuje tyto funkce:

  • Image manager - nástroj pro práci s rastry
  • Načti rastr - načtení rastrového souboru se zvolenými atributy
  • Zavři vše - zavření všech připojených rastrových souborů
  • Práce s rastry - dialogové okno Referenční výkresy: rastrové soubory


Image manager

6.1 Image manager

  • Tato funkce není součástí systému Dikat pro MicroStation GeoOutlook

Funkce Image manager (menu 'Soubor' > 'Image manager') slouží k zobrazování rastrů. Podmínkou je, aby tato funkce byla nainstalována při instalaci systému MicroStation. Aby byl Image manager přístupný je nutné jej nainstalovat pomocí typu instalace "Pomocné programy" a ve vedlejším tlačítku "Pomůcky" zatrhnout volbu "Image Manager". Výhodou této funkce je, že při přibližování a oddalování zobrazeného pohledu nedochází k pohybu rastrů. Popis všech součástí a nastavení této funkce je uveden v nápovědě funkce Image manager (menu v Image manageru 'Nápověda' > 'Obsah').

  • 'Pohled' – číslo aktivního pohledu.
  • Jednotlivé pohledy jsou na sobě nezávislé tzn., že změny, které provedete v dialogovém okně Image Manager budou provedeny jen v tomto pohledu
  • V dolním seznamu připojených rastrů jsou možné dva nezávislé stavy: 1) Rastr je zapnutý – projevuje se křížkem vlevo 2) rastr je označen – projevuje se tím, že je v modrém poli.


Menu Soubor

6.1.1 Menu 'Soubor'

6.1.1.1 Otevřít

  • 'Výběr obrázku'
  • 'Soubor' - soubor určený pro otevření
  • 'Typy souborů' – seznam podporovaných přípon rastrů. Pozor, pro plný seznam je nutno zapnout přepínač Přidat převedené typy do seznamu typů
  • 'Přidat převedené typy do seznamu typů' – zpřístupní plný seznam podporovaných přípon souborů
  • 'Pohledy' – přehled pohledů, ve kterých bude rastr viditelný
  • 'Vše' – zapne všechny přepínače v pohledech
  • 'Žádný' – vypne všechny přepínače v pohledech
  • 'Umístit ručně' - umožní zadat protilehlé rohy rastru
  • 'Ukázat obrázek' – náhled na obrázek se před připojením zobrazí přímo v dialogovém okně
  • 'OK' – připojí rastr
  • 'Storno' – zavře dialog

6.1.1.2 Zavřít

zavře vybrané rastry

6.1.1.3 Zavři vše

zavře všechny rastry


Menu Pohled

6.1.2 Menu 'Pohled'

  • 'Přenést dozadu' – Označený rastr odsune za ostatní. Tuto funkci má smysl používat pro práci s více rastry, které se překrývají.
  • 'Přenést dopředu' - Označený rastr odsune před ostatní.
  • 'Zapnout obrázek' – zapne zobrazování označeného rastru.
  • 'Vypnout obrázek' – vypne zobrazování označeného rastru.
  • 'Vyplnit pohled obrázkem' – zobrazí všechny označené obrázky v daném pohledu
  • 'Vyplnit pohled všemi obrázky' - zobrazí všechny obrázky v daném pohledu
  • 'Aktuální rozlišení 1:1' – zobrazí označený rastr v měřítku 1:1
  • Provést na – zobrazí všechny připojené rastry v aktivním pohledu v následně vybraných pohledech. Při přenosu se zachovává i atribut, zda je rastr zapnut nebo vypnut.
  • 'Provést na všechny' - zobrazí všechny připojené rastry v aktivním pohledu ve všech otevřených pohledech.


Menu Nastavit

6.1.3 Menu 'Nastavit'

  • Funkce Projekt
  • 'Uložit a připojit automaticky' – rozhoduje, zda bude aktivní projekt (nastavení image manageru) ukládáno a připojováno automaticky k aktivnímu dgn výkresu.
  • 'Uložit celou cestu' – určuje, zda bude uložena celá cesta k projektu, nebo jen jeho jméno
  • Funkce Atributy pohledu s obrázkem
  • 'Pohled' – číslo pohledu (okna), pro které se atributy nastavují
  • 'Hranice obrázku' – zobrazovat/nezobrazovat ohraničení rastrů
  • 'Obrázky' - zobrazovat/nezobrazovat vlastní rastry. Pokud je vypnuto, pro určitý pohled, nebude možné žádný rastr v tomto pohledu zapnout a proto bude neviditelný!
  • 'Otočení', 'Průhlednost', 'Průsvitnost' – lze využít jen u rastrů, které mají tyto vlastnosti nastaveny vnitřně pomocí grafických rastrových programů.


Načti rastr

6.2 Načti rastr

Funkce Načti rastr otevře stejný dialog jako Referenční výkresy: rastrové soubory > 'Nástroje' > 'Připojit' > 'Pevně'. Pomocí tohoto dialogu lze připojit jako referenční výkres jakýkoliv rastrový soubor ve formátu umožňujícím ukládat polohu rastru (např. cit).


Zavři vše

6.3 Zavři vše

Funkce uzavře všechny načtené (připojené) rastrové soubory. Soubory se nadále nezobrazují.


Prace s rastry

6.4 Práce s rastry

Funkce otevře dialogové okno Referenční výkresy: rastrové soubory. V okně jsou zobrazeny všechny připojené rastrové referenční soubory, včetně informací o připojení. Na originály rastrových souborů se nesmí použít funkce manipulace s rastry (přesunutí, změny měřítka, ..) v nabídce 'Nástroje'. Tyto funkce systému MicroStation mohou rastrový soubor nenávratně poškodit. Naopak lze těchto funkcí s výhodou použít na kopiích rastrových souborů nebo na rastrových souborech a atributy “pouze pro čtení”.


Menu Nástroje

6.4.1 Menu 'Nástroje'

zde jsou popsány pouze ty položky této nabídky, které mají pro systém DIKAT větší význam.

  • 'Připojit' – načtení souboru, na který lze dále použít funkce manipulace s rastry,
  • 'Odpojit' – odpojí rastrový soubor vybraný ze seznamu,
  • 'Odpojit vše' – odpojí všechny rastrové soubory,
  • 'Přesunout' – přesune rastrový výkres na novou pozici,
  • 'Upravit' – změní velikost rastrového výkresu.
  • Přesunutí a změna velikosti rastrového referenčního výkresu se projeví pouze na propojení a nevyžaduje úpravu obrázku, vyjma souborů formátů systému Intergraph, do kterých je ukládána i poloha ve výkresu.
  • 'Transformace' – umožní posun, otočení a změnu velikosti rastrového výkresu.
  • Tato funkce není součástí systému Dikat pro MicroStation GeoOutlook.
  • Transformace rastrového referenčního výkresu může způsobit, že se rastrový soubor změní.
  • Detailní popis všech funkcí dialogu Referenční výkresy: rastrové soubory lze nalézt v nápovědě systému MicroStation.
  • MicroStation SE nedokáže rastry pomocí funkcí “referenční výkresy” připojit “pevně” – při změně měřítka nebo posunu okna dochází k posunu rastru oproti kresbě – proto se pro vektorizaci rastrových dat doporučuje používat “Image manager”.


Postup

  • Místní ztotožnění rastrového výkresu s kresbou:
  1. Vytvořte kopii rastrového souboru, který odpovídá výkresu.
  2. V dialogovém okně Referenční výkresy: rastrové soubory vyberte z nabídky 'Nástroje' funkci 'Připojit'.
  3. Zvýrazněte zvolený rastrový výkres v seznamu a z nabídky 'Nástroje' spusťte funkci 'Transformace'.
  4. Definujte vlícovací body, transformaci spustíte stiskem <Reset> tlačítka myši.


Nástroje

7. Nástroje

Menu obsahuje pomocné funkce a nastavení:

  • Parametry zobrazení - zapínání / vypínání tématického obsahu mapy
  • Zobrazení bodů - zobrazení informací o číslech bodů na obrazovce
  • Zobrazení textu - zobrazení zvoleného textového souboru
  • Měřítko výkresu - nastavení aktivního měřítka pro zobrazení značek a textů
  • Projekt - vložení a editace položek řídící databáze DIKAT “Project”
  • Lupa - zobrazení zájmové oblasti ve zvoleném pohledu
  • Nápověda - zobrazení nápovědy
  • O programu - zobrazení verze progra mu a dalších informací o něm


Parametry zobrazení

7.1 Parametry zobrazení

Touto funkcí se nastavují základní parametry zobrazení, tzv. vrstvy obsahu mapy. Pro daný typ výkresu a daný pohled lze zapnout / vypnout patřičnou vrstvu, či zvolit symboliku pro její zobrazování. Nastavení je třeba potvrdit stiskem tlačítka 'Aplikuj'.

Příslušné dialogové okno obsahuje:

  • 'Linie' – skupina přepínačů pro zobrazení / skrytí liniových elementů mapy.
  • 'Značky' – skupina přepínačů pro zobrazení / skrytí značek.
  • 'Body' – skupina přepínačů pro zobrazení / skrytí bodových “teček”.
  • 'Texty' – skupina přepínačů pro zobrazení / skrytí textů.
  • 'Vše' – zaškrtne všechny položky.
  • 'Nic' – zruší zaškrtnutí u všech položek.
  • 'Parametry'
  • 'Pohled' - určuje pohled, na který se definované nastavení vztahuje.
  • 'Výkres' – určuje, na které výkresy se bude nastavení vztahovat.
  • 'Vše' – nastavení se použije na všechny pohledy.
  • 'Aplikuj' – spustí funkci Parametry zobrazení.
  • 'Uložit' – uloží aktuální nastavení do výkresu.


Postup

  • Vypnutí všech vrstev (skupin elementů) kromě hranic parcel a parcelních čísel pro témata v pohledu 2:
  1. Pokud po otevření dialogového okna není hodnota přepínače 'Pohled:' rovna 2, nastavte ji.
  2. Tlačítkem 'Nic' vypněte naráz všechny přepínače pro vrstvy.
  3. Zapněte přepínače 'Hranice parcel' a 'Parcelní čísla'.
  4. Aplikujte zvolená nastavení stiskem tlačítka 'Aplikuj'.


Zobrazení bodů

7.2 Zobrazení bodů

Funkce Zobrazení bodů vyvolá dialogové okno Parametry zobrazení bodů , které slouží pro nastavování parametrů zobrazování ohodnocených bodů. Funkce předpokládá připojení souboru PCB.Parametry mají pro daný pohled platnost, jestliže v základních parametrech zobrazení je zapnut přepínač 'Body', jinak se popis bodů při zobrazování ignoruje.

  • 'Zobrazovat informace' – určuje, zda se má akceptovat nastavení v tomto dialogu.
  • 'Zobrazit' – skupina přepínačů pro výběr zobrazovaných informací.
  • 'Nastav.' – zpřístupní dolní část dialogu pro nastavení parametrů zobrazení bodů.
  • 'KU-ZPMZ' – přepínač definující zda se má číslo k.ú. a číslo ZPMZ zobrazovat odděleně nebo společně jako předčíslí. Při zobrazení předčíslí se mohou zobrazovat výšky bodů.
  • 'Liniové elementy'
  • 'Zobrazit konce' – zobrazí “tečku” na konci každé linie.
  • 'Tloušťka' – velikost “tečky”.
  • 'Nastavení' pro texty (při vybrání přepínače pro popis ('Číslo', 'Předčíslí', ...)
  • 'Barva' – barva popisu.
  • 'Font' – typ písma.
  • 'Velikost' – velikost písma.
  • 'Nastavení' pro “tečky” (při vybrání přepínače 'Bod'

  • 'Barva' – barva popisu.
  • 'Font' – typ písma.
  • 'Velikost' – velikost písma.
  • 'Max. vzdálenost' – velikost okna v metrech, při které se již informace o bodech nezobrazují.


Postup

  • Nastavení parametrů pro zobrazování maximálního množství údajů o bodech:
  1. V dialogovém okně Parametry zobrazení bodů zapněte přepínače 'Zobrazovat informace' a v 'Zobrazit' zatrhněte všechny volby.
  2. Použijte funkci “Obnovit pohled” pro zobrazení bodů.


Zobrazení textu

7.3 Zobrazení textu

Dialogové okno Zobrazení textového souboru slouží k otevření textového souboru v prostředí systému MicroStation.

Detailní popis všech funkcí lze zobrazit tlačítkem “Nápověda”.


Měřítko výkresu

7.4 Měřítko výkresu

Funkce Měřítko výkresu slouží k nastavení aktivního měřítka výkresu. Toto nastavení potom ovlivňuje velikost umisťovaných textů a značek. Funkce vyvolá dialogové okno Měřítko, které obsahuje:

  • 'Katastrální území' – číslo aktivního k.ú..
  • 'Aktivní výkres' – typ aktivního výkresu.
  • 'Měřítko projektu' – měřítkové číslo přečtené z projektu.
  • 'Měřítko výkresu' – měřítkové číslo přečtené z výkresu.
  • 'Nastavit' – nastaví měřítko aktivního výkresu dle projektu.
  • 'Zavřít' – zavře dialogové okno.


Projekt

7.5 Projekt

Funkce Projekt slouží pro vložení a editaci položek řídící databáze systému Dikat "PROJECT". Funkce otevře dialogové okno Project, které obsahuje:

  • 'Výkres' - označení výkresu (tj. čtyřmístné číslo okresu a třímístné číslo katastrálního území),
  • 'Katastrální území' - jméno katastrálního území,
  • 'Obec' - jméno obce,
  • 'NysPa', 'NysUv', 'NysBo' - názvy souborů parcel, vlastníků a údajů BPEJ pro dané katastrální území,
  • 'BodyDB' - název souboru databáze bodů pro dané katastrální území,
  • 'IdentČís' - identifikační číslo k.ú. podle jednotného číselníku prostorových jednotek ČSÚ (pro hlavičku výměnného formátu a pro název souboru výměnného formátu BPEJ pro VÚMOP),
  • 'OkrČís' - čtyřmístné číslo okresu,
  • 'PořČís' - pracovní číslo - je třímístné pořadové číslo k.ú. v okrese bez ohledu na příslušnost k obci a slouží k označení souborů jednotlivých k.ú. Pokud není číslo třímístné, doplní se zleva nulami,
  • 'PořČísD' - dvoumístné číslo katastrálního území pro převody seznamu souřadnic 12místných na 10místné,
  • 'ParČís' - způsob číslování parcel.
  • "1" = jednotná číselná řada,
  • "2" = dvojí samostatné řady pro stavební a pozemkové parcely,
  • 'SourSys' - souřadnicový systém, ve kterém byla katastrální mapa vytvořena. Možné hodnoty jsou:
  • "0" = DKM v S-JTSK,
  • "1" = KM-D v S-JTSK,
  • "2" = KM-D v souřadnicovém systému gusterbergském,
  • "3" = KM-D v souřadnicovém systému svatoštěpánském,
  • "4" = obecná místní soustava,
  • "9" = při převodu nebylo možno automaticky určit.
  • 'MěřPodkl' - měřítko podkladů, ze kterých byla katastrální mapa vektorizována. Teoreticky možné hodnoty jsou: "1" - mapa měřená (M 1:1), "1000", "1250", "1440", "2000", "2500", "2880", "5000", "500", "720".
  • 'VztazMěř' - vztažné měřítko katastrální mapy, ve kterém je vedena v systému DIKAT. Možné hodnoty jsou: "1000", "2000".
  • 'Přidat' - tlačítkem jsou zadané údaje přidány do databáze "project.dbf". Změna je provedena až po stisku 'Uložit',
  • 'Ubrat' - tlačítkem lze vypustit z databáze zvýrazněný řádek. Změna je provedena až po stisku 'Uložit',
  • 'Přepsat' - tlačítkem jsou zadané údaje zaměněny v databázi "project.dbf". Změna je provedena až po stisku 'Uložit',
  • 'Uložit' - tlačítkem jsou změny uloženy do souboru,
  • 'Zavřít' - tlačítkem je funkce ukončena a dialogové okno uzavřeno.
  • Při vyplňování projektu musí být MicroStation nastaven na kódovou stránku Windows (menu 'MicroStation' ->'Prostředí' ->'Klávesnice' -> 'Žádná').


Postup

  • Při vyplňování projektu musí být MicroStation nastaven na kódovou stránku Windows (menu 'MicroStation' ->'Prostředí' ->'Klávesnice' -> 'Žádná').
  • Přidání nové položky do řídící databáze DIKAT
  1. V dialogovém okně Project vyplňte pole.
  2. Stiskněte tlačítko 'Přidat' pro přidání položky do pole přehledu souborů.
  3. Stiskněte tlačítko 'Uložit' pro zapsání do databáze "project.dbf".
  4. Stiskněte tlačítko 'Zavřít' pro ukončení funkce.
  • Změna položky v řídicí databázi DIKAT
  1. V dialogovém okně Project v poli přehledu souborů označte kurzorem řádek pro změnu.
  2. Proveďte požadovanou změnu a stiskněte tlačítko 'Přepsat'.
  3. Stiskněte tlačítko 'Uložit' pro zapsání do databáze "project.dbf".
  4. Stiskněte tlačítko 'Zavřít' pro ukončení funkce.
  • Zrušení položky v řídicí databázi DIKAT
  1. V dialogovém okně Project v poli přehledu souborů označte kurzorem řádek pro vypuštění.
  2. Stiskněte tlačítko 'Ubrat' pro vymazání řádku z pole přehledu souborů.
  3. Stiskněte tlačítko 'Uložit' pro zapsání do databáze "project.dbf".
  4. Stiskněte tlačítko 'Zavřít' pro ukončení funkce.


Lupa

7.6 Lupa

Funkce Lupa je určena pro zobrazení zvolené oblasti ve zvoleném okně. Lupa je spuštěna současným stiskem klávesy zvolené klávesy na klávesnici a zvoleného tlačítka myši kdykoliv během práce v libovolném okně. Pozice kurzoru a okolí dle nastavení je zobrazena ve zvoleném okně.

  • 'Velikost okna:' - určuje rozměr v metrech vodorovné hrany okna, ve kterém se zobrazí zájmová oblast,
  • 'Pohled:' - určuje číslo okna, ve kterém se oblast bude zobrazovat.
  • 'Uložit' – uloží novou definici parametrů lupy.
  • Okno Lupa nemusí být při práci s lupou otevřené!


Postup

  • Zobrazení okolí kurzoru v jiném okně:
  1. Aktivujte funkci z roletového menu.
  2. Nadefinujte tlačítka, která chcete pro lupu používat.
  3. Stiskem nadefinovaných tlačítek se funkce Lupa spustí a oblast okolí kurzoru je zobrazena ve zvoleném okně.


Nápověda

7.7 Nápověda

Zobrazí tuto nápovědu systému Dikat, která svým rozsahem plně odpovídá referenční příručce.


O programu

7.8 O programu

Funkce O programu slouží k zobrazení informací verzi systému Dikat.


Přílohy

Tisk

Funkce Tisk (menu 'Soubor' > 'Tisk') umožňuje vytisknout aktivní výkres včetně všech připojených vektorových a rastrových výkresů na výstupním zařízení. MicroStation SE dokáže využít tiskárny a plotry nainstalované v operačním systému Windows. Funkce otevře dialogové okno Tisk. Popis všech součástí a nastavení této funkce je uveden v nápovědě systému MicroStation, zde je uveden pouze popis těch prvků, které jsou používány pro účely systému Dikat.

  • Menu 'Soubor'
  • 'Tisk' – vytiskne vybranou oblast.
  • 'Náhled' – zobrazí ukázku před tiskem.
  • Menu 'Tisknout'
  • 'Pohled' – oblast tisku bude shodná s vybraným pohledem.
  • 'Ohradu' – oblast tisku bude shodná s ohradou v pohledu, kde byla ohrada vytvořena.
  • Menu 'Nastavení'
  • 'Stránka' – nastavení vlastností stránky. Při použití ovladače “printer.plt” zobrazí okno Nastavení tisku pro výběr tiskárny ze seznamu tiskáren nainstalovaných v operačním systému Windows a pro nastavení vlastností této tiskárny.
  • 'Rozvržení' – zobrazí okno Rozvržení tisku:

  • 'Okraje' – informace o velikosti okrajů a potištěné plochy
  • 'Měřítko' – měřítko tisku. Možno zadávat % nebo číselnou hodnotou udávající poměr Hlavních jednotek / jednotky stránky (pro měřítko 1:1000 je zde 1, pro 1:2880 bude 2.88).
  • 'Vzhled stránky' – informace o umístění potištěné plochy na stránce a o maximální velikosti potisknutelné plochy (přebíráno z ovladače tiskárny).
  • 'Varianty' – zobrazí okno Varianty tisku obsahující přepínače:
  • 'Obrys ohrady' – vytiskne ohradu
  • 'Obrys kresby' – vytiskne ohraničení kresby a informaci o jménu souboru a datu tisku.
  • 'Ovladač' – zobrazí okno Vybrat ovladač tisku. Ovladač “printer.plt” zpřístupní tiskárny operačního systému.


Postup

  • Tisk Kopie KM:
  1. Vytvořte Kopii KM.
  2. Spusťte funkci Tisk.
  3. Pokud v panelu nástrojů není používaný ovladač plotru “printer.plt” (např. Plotr: [c:\dikat40\]system\plocfg\printer.plt), vyberte jej v menu 'Nastavení' > 'Ovladač'.
  4. Pokud v levém stavovém řádku okna není “Ohrada (v pohledu 1)” vyberte 'Ohrada' v menu 'Tisknout'. V závorce musí být pohled (okno) ve kterém není zapnuta 'symbologie' viz Parametry zobrazení. (Standardně je tímto pohledem pohled 1).
  5. Zkontrolujte / nastavte typ tiskárny / plotru a formát papíru 'Nastavení' > 'Stránka'. Informace o typu tiskárny a velikosti stránky je také v záhlaví okna Tisk.
  6. Zkontrolujte / nastavte měřítko 'Nastavení' > 'Rozvržení' > 'Měřítko'. Pokud nemůžete nastavit požadované měřítko, ale pouze menší, musíte změnit hodnoty rozměru stránky v souborech a4.asc a a3.asc v [c:\dikat40\]system\plotcfg\ dle velikosti tisknutelné plochy vaší tiskárny (najdete v 'Nastavení' > 'Rozvržení' > 'Vzhled stránky').
  7. Zkontrolujte / nastavte nastavení přepínačů 'Nastavení' > 'Varianty'.
  8. Spusťte tisk (menu 'Soubor' > 'Vytisknout').
  • Tisk Mapového listu:
  1. Vytvořte Mapový list.
  2. Pomocí “rohů” vytvořte ohradu v pohledu (okně), kde není zapnuta 'symbologie' viz Parametry zobrazení. (Standardně je tímto pohledem pohled 1).
  3. Spusťte funkci Tisk.
  4. Pokud v panelu nástrojů není používaný ovladač plotru “printer.plt” (např. Plotr: [c:\dikat40\]system\plocfg\printer.plt), vyberte jej v menu 'Nastavení' > 'Ovladač'.
  5. Pokud v levém stavovém řádku okna není “Ohrada (v pohledu 1)” vyberte 'Ohrada' v menu 'Tisknout'. V závorce musí být pohled (okno), ve kterém není zapnuta 'symbologie' viz Parametry zobrazení. (Standardně je tímto pohledem pohled 1).
  6. Zkontrolujte / nastavte typ tiskárny / plotru a formát papíru 'Nastavení' > 'Stránka'. Informace o typu tiskárny a velikosti stránky je také v záhlaví okna Tisk.
  7. Zkontrolujte / nastavte měřítko 'Nastavení' > 'Rozvržení' > 'Měřítko'.
  8. Zkontrolujte / nastavte nastavení přepínačů 'Nastavení' > 'Varianty'.
  9. Spusťte tisk (menu 'Soubor' > 'Vytisknout').


MicroGEOS

Struktura DKM

LINIE

H | Hranice | Level | Color | Weight | Style
0 | hranice státní | 13, 14 | 3 | 6 |
1 | hranice krajská | 13, 14 | 3 | 5 |
2 | hranice okresní | 13, 14 | 3 | 4 |
3 | hranice obecní | 13, 14 | 3 | 3 |
4 | hranice kat. území | 13, 14 | 3 | 2 |
5 | hranice parcel | 1, 2 | 2 | 1 |
6 | vnitřní kresba | 4, 3 | 4 | 0, 4 |
J | Jakost | Level | Color | Weight | Style
0 | žádný speciální atribut |  |  |  | 0
1 | hranice shora neviditelná |  |  |  | 2
2 | hranice pohyblivá |  |  |  | 1
3 | hranice převzatá |  |  |  | 4
4 | hranice sporná |  |  |  | 5
5 | hranice podzemní |  |  |  | 3
B | Budova? | Level | Color | Weight | Style
0 | není hranice budovy | 1, 4, 13 |  |  |
1 | je hranice budovy | 2, 3, 14 |  |  |
D | Doplň. | Level | Color | Weight | Style
0 | hr. parcel evid. zjednoduš. zp. | 6 | 7 | 1 | 4
1 | hranice chráněného území | 5 | 5 | 2 | 6
2 | hranice ochranného pásma | 5 | 1 | 2 | 7
3 | významné schodiště | 7 | 4 | 0 | 0
4 | most (linie) | 8 | 0 | 1 | 0
5 | propustek a tunel (linie) | 9 | 0 | 1 | 2
6 | osa kolejí | 10 | 6 | 2 | 0
7 | visutá lanová dráha | 11 | 6 | 1 | 4
8 | pozemní lanová dráha | 11 | 6 | 1 | 0
9 | osa nadzemního el. vedení | 12 | 0 | 1 | 2
10 | venkovní silové el. vedení | 12 | 0 | 1 | 4

TEXTY

N | Názvy | Level | Color | Weight | Style | Font | Height | Width
0 | město | 15 | 5 | 5 | 0 | 1 | 8500.0 | 0.7*H
1 | čtvrť | 15 | 5 | 3 | 0 | 1 | 5000.0 | 0.7*H
2 | obec část | 15 | 5 | 4 | 0 | 1 | 6700.0 | 0.7*H
3 | osada část | 15 | 21 | 3 | 0 | 1 | 4400.0 | 0.7*H
4 | samota | 15 | 5 | 1 | 0 | 1 | 3400.0 | 0.7*H
5 | ulice | 15 | 5 | 0 | 0 | 1 | 1400.0 | 0.7*H
6 | pozemková trať | 15 | 37 | 3 | 0 | 1 | 2900.0 | 0.7*H
7 | podružná pozemková trať | 15 | 21 | 1 | 0 | 1 | 3800.0 | 0.7*H
8 | stát | 15 | 5 | 6 | 0 | 1 | 8500.0 | 0.7*H
9 | řeka užívaná pro lodní dopr. | 15 | 53 | 3 | 0 | 23 | 4400.0 | 0.7*H
10 | řeka, jez., v. rybník, přehr. | 15 | 37 | 2 | 0 | 23 | 3400.0 | 0.7*H
11 | potok, rybník | 15 | 5 | 1 | 0 | 23 | 2300.0 | 0.7*H
C | Čísla | Level | Color | Weight | Style | Font | Height | Width
0 | parcelní číslo pozemkové p. | 18 | 4 | 0 | 0 | 23 | 1700.0 | 1500.0
1 | parcelní číslo stav. parcely | 19 | 3 | 0 | 0 | 23 | 1700.0 | 1500.0
2 | parcelní číslo popisné | 16 | 0 | 0 | 0 | 23 | 1700.0 | 1500.0
3 | číslo bodu PBPP | 17 | 2 | 0 | 0 | 1 | 1700.0 | 0.7*H
4 | číslo hranič. znaku | 17 | 18 | 0 | 0 | 23 | 1700.0 | 1500.0
5 | parcelní číslo P parcely | 20 | 23 | 0 | 0 | 23 | 1700.0 | 1500.0
6 | parcelní číslo P parcely pop. | 23 | 7 | 0 | 0 | 23 | 1700.0 | 1500.0
7 | číslo katastr. území | 21 | 3 | 0 | 0 | 23 | 60000.0 | 45000.0
P | Parcely | Level | Color | Weight | Style | Font | Height | Width
0 | pozemkové parcely | 18,20 | 4,7 | 0 | 0 | 23 | 1700.0 | 1500.0
1 | stavební parcely | 19,20 | 3,23 | 0 | 0 | 23 | 1700.0 | 1500.0
2 | jako popis | 16,23 | 0,7 | 0 | 0 | 23 | 1700.0 | 1500.0

ZNAČKY

G | Geodetické body | Level | Color | Weight | Style | Name
0 | bod polohového bodového pole | 24 | 2 | 1 | 0 | "1.01"
1 | bod poloh. bod. pole podz. | 24 | 2 | 1 | 0 | "1.02"
2 | bod jednotné nivelační sítě | 24 | 2 | 1 | 0 | "1.03"
3 | stabil. bod technické nivelace | 24 | 2 | 1 | 0 | "1.04"
4 | hraniční znak | 24 | 2 | 1 | 0 | "1.05"
5 | pomocný měřický bod | 24 | 2 | 1 | 0 | "1.07"
6 | lomový bod | 24 | 2 | 1 | 0 | "1.09"
7 | identický bod | 24 | 2 | 1 | 0 | "1.10"
K | Kultury | Level | Color | Weight | Style | Name
0 | orná půda | 25,29 | 0 | 1 | 0 | "3.01"
1 | chmelnice | 25,29 | 0 | 1 | 0 | "3.02"
2 | vinice | 25,29 | 0 | 1 | 0 | "3.03"
3 | zahrada | 25,29 | 0 | 1 | 0 | "3.04"
4 | ovocný sad | 25,29 | 0 | 1 | 0 | "3.05"
5 | trvalý travní porost | 25,29 | 0 | 1 | 0 | "3.06"
6 | lesní půda bez rozl. | 25,29 | 0 | 1 | 0 | "3.08"
7 | park, okrasná zahrada | 25,29 | 0 | 1 | 0 | "3.14"
8 | hřbitov | 25,29 | 0 | 1 | 0 | "3.15"
9 | neplodná půda | 25,29 | 0 | 1 | 0 | "3.16"
10 | povrchová těžba | 25,29 | 0 | 1 | 0 | "7.01"
11 | ložisko slatin a rašelin | 25,29 | 0 | 1 | 0 | "7.03"
12 | vodní tok | 25,29 | 0 | 1 | 0 | "8.02"
13 | vodní nádrž | 25,29 | 0 | 1 | 0 | "8.03"
14 | močál | 25,29 | 0 | 1 | 0 | "8.04"
S | Stavby | Level | Color | Weight | Style | Name
0 | kulturní památka | 25,29 | 0 | 1 | 0 | "3.18"
1 | budova zděná, beton., kov. | 25,29 | 0 | 1 | 0 | "4.02"
2 | budova dřevěná | 25,29 | 0 | 1 | 0 | "4.03"
3 | kostel, kaple | 25,29 | 0 | 1 | 0 | "4.09"
4 | synagoga | 25,29 | 0 | 1 | 0 | "4.10"
5 | střed malého předmětu | 25,29 | 0 | 1 | 0 | "4.11"
6 | předmět malého rozsahu | 25,29 | 0 | 1 | 0 | "4.12"
7 | střešní plášť | 25,29 | 0 | 1 | 0 | "4.01"
B | Bodové objekty | Level | Color | Weight | Style | Name
0 | podpěra visuté lanovky | 26 | 0 | 1 | 0 | "5.21"
1 | kovový, betonový stožár | 26 | 0 | 1 | 0 | "6.01"
2 | příhradový stožár | 26 | 0 | 1 | 0 | "6.02"
3 | stožár vysílací stanice | 26 | 0 | 1 | 0 | "6.04"
4 | veřejná studna | 26 | 0 | 1 | 0 | "8.11"
5 | singularita | 26 | 7 | 3 | 0 | "6.90"
6 | šipka k parc. č. | 16 | 0 | 0 | 0 | "1029"
7 | šipka k parc. č. parc event. zj. zp. | 23 | 7 | 0 | 0 | "1029"
8 | most | 26 | 0 | 0 | 0 | "4.20"
P | Popis? Vazba jen na (kultury). | Level
0 | identifikátor | 25
1 | popis | 29

Rozšiřující atributy

Z | Zruš.? | color
0 | platné | dle strukrury
1 | pro zrušení | color + 144

Příklady:

  1. Hranice parcel shora neviditelná, jež není hranicí budovy, má tyto hodnoty MS-atributů: Level = 1, Color = 2, Weight = 1, Style = 2.
  2. Značka (pozemní) kultury pastvina, která je popisem (tzn. není identifikátorem), má tyto hodnoty MS-atributů: Level = 29, Color = 0, Weight = 1, Style = 0, Name = “3.07“.

Ukázka rozpisu tabulky TEXTY Čísla-Parcely

C | Čísla | Level | Color | Weight | Style | Font | Height | Width
 | parc. číslo poz.. parcely | 18 | 4 | 0 | 0 | 23 | 1700.0 | 1500.0
 | parc. číslo stav. parcely | 19 | 3 | 0 | 0 | 23 | 1700.0 | 1500.0
 | parcelní číslo jako popis | 16 | 0 | 0 | 0 | 23 | 1700.0 | 1500.0
 | parc. číslo P parcely poz. | 20 | 7 | 0 | 0 | 23 | 1700.0 | 1500.0
 | parc. číslo P parcely stav. | 20 | 23 | 0 | 0 | 23 | 1700.0 | 1500.0
 | parc. číslo P parcely popis | 23 | 7 | 0 | 0 | 23 | 1700.0 | 1500.0
 | číslo bodu PBPP | 17 | 2 | 0 | 0 | 1 | 1700.0 | 0.7*H
 | číslo hranič. znaku | 17 | 18 | 0 | 0 | 23 | 1700.0 | 1500.0
 | číslo katastrálního území | 21 | 3 | 0 | 0 | 23 | 60000.0 | 45000.0

Struktura BPEJ

LINIE | Level | Color | Weight | Style
Linie BPEJ | 52 | 2 | 5 | 0
TEXT | Level | Color | Weight | Style | Font | Height
Kód BPEJ | 53 | 2 | 3 | 0 | 1 | 2500
Kód nebonit. plochy | 53 | 4 | 3 | 0 | 1 | 2500


uvod

Nápověda

Dikat 4.0


Zkratky

Použité zkratky a konvence

Dikat | Dikat v. 4.0
GP | geometrický plán
k.ú. | katastrální území
kkooxxx | kódové katastrálního území ve formátu: kk - kraj oo - okres xxx - pořadové číslo katastrálního území v rámci okresu
DB | databáze bodů
VKM | výměnný formát DKM
mapa | grafické soubory v systému DIKAT (DKM, DGN, PČB, GP, DGE, BPJ, BRV)
svazek | mapa pro jedno katastrální území

Konvence použité v dokumentu:

Takto je psán běžný text úvodů jednotlivých kapitol.

Dialogové okno, Panel nástrojů - takto je v textu vyznačen název dialogového okna. Dialogové okno je kladeno na stejnou úroveň jako panel nástrojů.

´Položka dialogového okna´ - takto je vyznačen prvek (přepínač, tlačítko, volba, pole) dialogového okna.

“Název souborů, zadávaná hodnota” - takto je vyznačena cesta, název souboru, hodnota zadávaná (psaná) uživatelem, nebo slangový výraz.V hranatých závorkách (např.[c:\dikat40\data\…]) je psaná ta část cesty, kterou zadává uživatel při instalaci systému DIKAT.

Funkce - takto je vyznačen název funkce.

Odkaz na jinou kapitolu - takto je vyznačen hypertextový odkaz na jinou kapitolu dokumentu.

  • Takto je označen začátek postupu:
  1. Takto je psán 1. bod postupu.
  2. Takto je psán 2. bod postupu atd.
  • Takto vypadá upozornění na nějakou specifickou (případně neočekávanou) vlastnost.
  • Takto je označena skupina položek dialogu.
  • Takto je označena položka dialogu (pole, volba, přepínač).
  • Takto je označeno tlačítko v dialogu.
  • Takto je označena hodnota pole volby.
  • Takto je označena další pole volby.